package androidx.cardview.widget;

import android.graphics.drawable.Drawable;
import android.view.View;

/* access modifiers changed from: package-private */
public interface CardViewDelegate {
    Drawable getCardBackground();

    View getCardView();

    boolean getPreventCornerOverlap();

    boolean getUseCompatPadding();

    void setCardBackground(Drawable drawable);

    void setMinWidthHeightInternal(int i7, int i8);

    void setShadowPadding(int i7, int i8, int i9, int i10);
}
