package androidx.core.graphics;

import a7.d;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.ColorSpace;
import android.graphics.Point;
import android.graphics.PointF;
import androidx.annotation.ColorInt;
import androidx.annotation.RequiresApi;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.l2;
import r4.l;

@i0(d1 = {"\u0000D\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0007\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\u001a&\u0010\u0006\u001a\u00020\u0000*\u00020\u00002\u0017\u0010\u0005\u001a\u0013\u0012\u0004\u0012\u00020\u0002\u0012\u0004\u0012\u00020\u00030\u0001¢\u0006\u0002\b\u0004H\b\u001a\u001d\u0010\n\u001a\u00020\u0007*\u00020\u00002\u0006\u0010\b\u001a\u00020\u00072\u0006\u0010\t\u001a\u00020\u0007H\n\u001a'\u0010\f\u001a\u00020\u0003*\u00020\u00002\u0006\u0010\b\u001a\u00020\u00072\u0006\u0010\t\u001a\u00020\u00072\b\b\u0001\u0010\u000b\u001a\u00020\u0007H\n\u001a'\u0010\u0011\u001a\u00020\u0000*\u00020\u00002\u0006\u0010\r\u001a\u00020\u00072\u0006\u0010\u000e\u001a\u00020\u00072\b\b\u0002\u0010\u0010\u001a\u00020\u000fH\b\u001a#\u0010\u0014\u001a\u00020\u00002\u0006\u0010\r\u001a\u00020\u00072\u0006\u0010\u000e\u001a\u00020\u00072\b\b\u0002\u0010\u0013\u001a\u00020\u0012H\b\u001a7\u0010\u0014\u001a\u00020\u00002\u0006\u0010\r\u001a\u00020\u00072\u0006\u0010\u000e\u001a\u00020\u00072\b\b\u0002\u0010\u0013\u001a\u00020\u00122\b\b\u0002\u0010\u0015\u001a\u00020\u000f2\b\b\u0002\u0010\u0017\u001a\u00020\u0016H\b\u001a\u0015\u0010\u001a\u001a\u00020\u000f*\u00020\u00002\u0006\u0010\u0019\u001a\u00020\u0018H\n\u001a\u0015\u0010\u001a\u001a\u00020\u000f*\u00020\u00002\u0006\u0010\u0019\u001a\u00020\u001bH\n¨\u0006\u001c"}, d2 = {"Landroid/graphics/Bitmap;", "Lkotlin/Function1;", "Landroid/graphics/Canvas;", "Lkotlin/l2;", "Lkotlin/u;", "block", "applyCanvas", "", "x", "y", "get", "color", "set", "width", "height", "", "filter", "scale", "Landroid/graphics/Bitmap$Config;", "config", "createBitmap", "hasAlpha", "Landroid/graphics/ColorSpace;", "colorSpace", "Landroid/graphics/Point;", "p", "contains", "Landroid/graphics/PointF;", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class BitmapKt {
    @d
    public static final Bitmap applyCanvas(@d Bitmap bitmap, @d l<? super Canvas, l2> lVar) {
        l0.q(bitmap, "$this$applyCanvas");
        l0.q(lVar, "block");
        lVar.invoke(new Canvas(bitmap));
        return bitmap;
    }

    public static final boolean contains(@d Bitmap bitmap, @d Point point) {
        int i7;
        l0.q(bitmap, "$this$contains");
        l0.q(point, "p");
        int i8 = point.x;
        return i8 >= 0 && i8 < bitmap.getWidth() && (i7 = point.y) >= 0 && i7 < bitmap.getHeight();
    }

    @d
    public static final Bitmap createBitmap(int i7, int i8, @d Bitmap.Config config) {
        l0.q(config, "config");
        Bitmap createBitmap = Bitmap.createBitmap(i7, i8, config);
        l0.h(createBitmap, "Bitmap.createBitmap(width, height, config)");
        return createBitmap;
    }

    public static /* synthetic */ Bitmap createBitmap$default(int i7, int i8, Bitmap.Config config, int i9, Object obj) {
        if ((i9 & 4) != 0) {
            config = Bitmap.Config.ARGB_8888;
        }
        l0.q(config, "config");
        Bitmap createBitmap = Bitmap.createBitmap(i7, i8, config);
        l0.h(createBitmap, "Bitmap.createBitmap(width, height, config)");
        return createBitmap;
    }

    public static final int get(@d Bitmap bitmap, int i7, int i8) {
        l0.q(bitmap, "$this$get");
        return bitmap.getPixel(i7, i8);
    }

    @d
    public static final Bitmap scale(@d Bitmap bitmap, int i7, int i8, boolean z7) {
        l0.q(bitmap, "$this$scale");
        Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, i7, i8, z7);
        l0.h(createScaledBitmap, "Bitmap.createScaledBitma…s, width, height, filter)");
        return createScaledBitmap;
    }

    public static /* synthetic */ Bitmap scale$default(Bitmap bitmap, int i7, int i8, boolean z7, int i9, Object obj) {
        if ((i9 & 4) != 0) {
            z7 = true;
        }
        l0.q(bitmap, "$this$scale");
        Bitmap createScaledBitmap = Bitmap.createScaledBitmap(bitmap, i7, i8, z7);
        l0.h(createScaledBitmap, "Bitmap.createScaledBitma…s, width, height, filter)");
        return createScaledBitmap;
    }

    public static final void set(@d Bitmap bitmap, int i7, int i8, @ColorInt int i9) {
        l0.q(bitmap, "$this$set");
        bitmap.setPixel(i7, i8, i9);
    }

    public static final boolean contains(@d Bitmap bitmap, @d PointF pointF) {
        l0.q(bitmap, "$this$contains");
        l0.q(pointF, "p");
        float f7 = pointF.x;
        float f8 = (float) 0;
        if (f7 < f8 || f7 >= ((float) bitmap.getWidth())) {
            return false;
        }
        float f9 = pointF.y;
        return f9 >= f8 && f9 < ((float) bitmap.getHeight());
    }

    @d
    @RequiresApi(26)
    public static final Bitmap createBitmap(int i7, int i8, @d Bitmap.Config config, boolean z7, @d ColorSpace colorSpace) {
        l0.q(config, "config");
        l0.q(colorSpace, "colorSpace");
        Bitmap createBitmap = Bitmap.createBitmap(i7, i8, config, z7, colorSpace);
        l0.h(createBitmap, "Bitmap.createBitmap(widt…ig, hasAlpha, colorSpace)");
        return createBitmap;
    }

    public static /* synthetic */ Bitmap createBitmap$default(int i7, int i8, Bitmap.Config config, boolean z7, ColorSpace colorSpace, int i9, Object obj) {
        if ((i9 & 4) != 0) {
            config = Bitmap.Config.ARGB_8888;
        }
        if ((i9 & 8) != 0) {
            z7 = true;
        }
        if ((i9 & 16) != 0) {
            colorSpace = ColorSpace.get(ColorSpace.Named.SRGB);
            l0.h(colorSpace, "ColorSpace.get(ColorSpace.Named.SRGB)");
        }
        l0.q(config, "config");
        l0.q(colorSpace, "colorSpace");
        Bitmap createBitmap = Bitmap.createBitmap(i7, i8, config, z7, colorSpace);
        l0.h(createBitmap, "Bitmap.createBitmap(widt…ig, hasAlpha, colorSpace)");
        return createBitmap;
    }
}
