package androidx.core.graphics;

import a7.d;
import android.graphics.Path;
import androidx.annotation.RequiresApi;
import com.google.firebase.messaging.c;
import java.util.Collection;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(bv = {1, 0, 3}, d1 = {"\u0000\u001c\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u001c\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0007\n\u0002\b\u0005\u001a\u0015\u0010\u0000\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0001H\f\u001a\u001c\u0010\u0003\u001a\b\u0012\u0004\u0012\u00020\u00050\u0004*\u00020\u00012\b\b\u0002\u0010\u0006\u001a\u00020\u0007H\u0007\u001a\u0015\u0010\b\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0001H\n\u001a\u0015\u0010\t\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0001H\f\u001a\u0015\u0010\n\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0001H\n\u001a\u0015\u0010\u000b\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u0001H\f¨\u0006\f"}, d2 = {"and", "Landroid/graphics/Path;", "p", "flatten", "", "Landroidx/core/graphics/PathSegment;", c.f14447d, "", "minus", "or", "plus", "xor", "core-ktx_release"}, k = 2, mv = {1, 1, 16})
public final class PathKt {
    @d
    @RequiresApi(19)
    public static final Path and(@d Path path, @d Path path2) {
        l0.q(path, "$this$and");
        l0.q(path2, "p");
        Path path3 = new Path();
        path3.op(path, path2, Path.Op.INTERSECT);
        return path3;
    }

    @d
    @RequiresApi(26)
    public static final Iterable<PathSegment> flatten(@d Path path, float f7) {
        l0.q(path, "$this$flatten");
        Collection<PathSegment> flatten = PathUtils.flatten(path, f7);
        l0.h(flatten, "PathUtils.flatten(this, error)");
        return flatten;
    }

    public static /* synthetic */ Iterable flatten$default(Path path, float f7, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            f7 = 0.5f;
        }
        return flatten(path, f7);
    }

    @d
    @RequiresApi(19)
    public static final Path minus(@d Path path, @d Path path2) {
        l0.q(path, "$this$minus");
        l0.q(path2, "p");
        Path path3 = new Path(path);
        path3.op(path2, Path.Op.DIFFERENCE);
        return path3;
    }

    @d
    @RequiresApi(19)
    public static final Path or(@d Path path, @d Path path2) {
        l0.q(path, "$this$or");
        l0.q(path2, "p");
        Path path3 = new Path(path);
        path3.op(path2, Path.Op.UNION);
        return path3;
    }

    @d
    @RequiresApi(19)
    public static final Path plus(@d Path path, @d Path path2) {
        l0.q(path, "$this$plus");
        l0.q(path2, "p");
        Path path3 = new Path(path);
        path3.op(path2, Path.Op.UNION);
        return path3;
    }

    @d
    @RequiresApi(19)
    public static final Path xor(@d Path path, @d Path path2) {
        l0.q(path, "$this$xor");
        l0.q(path2, "p");
        Path path3 = new Path(path);
        path3.op(path2, Path.Op.XOR);
        return path3;
    }
}
