package androidx.core.os;

import a7.d;
import android.os.PersistableBundle;
import androidx.annotation.RequiresApi;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.text.h0;
import kotlin.u0;

@i0(d1 = {"\u0000\u001a\n\u0002\u0010\u0011\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\u0010\u0000\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\u001a?\u0010\u0006\u001a\u00020\u00052.\u0010\u0004\u001a\u0018\u0012\u0014\b\u0001\u0012\u0010\u0012\u0004\u0012\u00020\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u00030\u00010\u0000\"\u0010\u0012\u0004\u0012\u00020\u0002\u0012\u0006\u0012\u0004\u0018\u00010\u00030\u0001H\u0007¢\u0006\u0004\b\u0006\u0010\u0007¨\u0006\b"}, d2 = {"", "Lkotlin/u0;", "", "", "pairs", "Landroid/os/PersistableBundle;", "persistableBundleOf", "([Lkotlin/u0;)Landroid/os/PersistableBundle;", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class PersistableBundleKt {
    @d
    @RequiresApi(21)
    public static final PersistableBundle persistableBundleOf(@d u0<String, ? extends Object>... u0VarArr) {
        String str;
        l0.q(u0VarArr, "pairs");
        PersistableBundle persistableBundle = new PersistableBundle(u0VarArr.length);
        for (u0<String, ? extends Object> u0Var : u0VarArr) {
            String a8 = u0Var.a();
            Object b7 = u0Var.b();
            if (b7 == null) {
                str = null;
            } else {
                if (b7 instanceof Boolean) {
                    persistableBundle.putBoolean(a8, ((Boolean) b7).booleanValue());
                } else if (b7 instanceof Double) {
                    persistableBundle.putDouble(a8, ((Number) b7).doubleValue());
                } else if (b7 instanceof Integer) {
                    persistableBundle.putInt(a8, ((Number) b7).intValue());
                } else if (b7 instanceof Long) {
                    persistableBundle.putLong(a8, ((Number) b7).longValue());
                } else if (b7 instanceof String) {
                    str = (String) b7;
                } else if (b7 instanceof boolean[]) {
                    persistableBundle.putBooleanArray(a8, (boolean[]) b7);
                } else if (b7 instanceof double[]) {
                    persistableBundle.putDoubleArray(a8, (double[]) b7);
                } else if (b7 instanceof int[]) {
                    persistableBundle.putIntArray(a8, (int[]) b7);
                } else if (b7 instanceof long[]) {
                    persistableBundle.putLongArray(a8, (long[]) b7);
                } else if (b7 instanceof Object[]) {
                    Class<?> componentType = b7.getClass().getComponentType();
                    if (componentType == null) {
                        l0.L();
                    }
                    l0.h(componentType, "value::class.java.componentType!!");
                    if (String.class.isAssignableFrom(componentType)) {
                        persistableBundle.putStringArray(a8, (String[]) b7);
                    } else {
                        throw new IllegalArgumentException("Illegal value array type " + componentType.getCanonicalName() + " for key \"" + a8 + h0.f20269b);
                    }
                } else {
                    throw new IllegalArgumentException("Illegal value type " + b7.getClass().getCanonicalName() + " for key \"" + a8 + h0.f20269b);
                }
            }
            persistableBundle.putString(a8, str);
        }
        return persistableBundle;
    }
}
