package androidx.core.text;

import a7.d;
import android.annotation.SuppressLint;
import android.text.Spannable;
import android.text.SpannableString;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.ranges.k;

@i0(d1 = {"\u0000(\n\u0002\u0010\r\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u001a\r\u0010\u0002\u001a\u00020\u0001*\u00020\u0000H\b\u001a\r\u0010\u0004\u001a\u00020\u0003*\u00020\u0001H\b\u001a%\u0010\n\u001a\u00020\u0003*\u00020\u00012\u0006\u0010\u0006\u001a\u00020\u00052\u0006\u0010\u0007\u001a\u00020\u00052\u0006\u0010\t\u001a\u00020\bH\n\u001a\u001d\u0010\n\u001a\u00020\u0003*\u00020\u00012\u0006\u0010\f\u001a\u00020\u000b2\u0006\u0010\t\u001a\u00020\bH\n¨\u0006\r"}, d2 = {"", "Landroid/text/Spannable;", "toSpannable", "Lkotlin/l2;", "clearSpans", "", "start", "end", "", "span", "set", "Lkotlin/ranges/k;", "range", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class SpannableStringKt {
    @SuppressLint({"SyntheticAccessor"})
    public static final void clearSpans(@d Spannable spannable) {
        l0.q(spannable, "$this$clearSpans");
        Object[] spans = spannable.getSpans(0, spannable.length(), Object.class);
        l0.h(spans, "getSpans(start, end, T::class.java)");
        for (Object obj : spans) {
            spannable.removeSpan(obj);
        }
    }

    public static final void set(@d Spannable spannable, int i7, int i8, @d Object obj) {
        l0.q(spannable, "$this$set");
        l0.q(obj, "span");
        spannable.setSpan(obj, i7, i8, 17);
    }

    @d
    public static final Spannable toSpannable(@d CharSequence charSequence) {
        l0.q(charSequence, "$this$toSpannable");
        SpannableString valueOf = SpannableString.valueOf(charSequence);
        l0.h(valueOf, "SpannableString.valueOf(this)");
        return valueOf;
    }

    public static final void set(@d Spannable spannable, @d k kVar, @d Object obj) {
        l0.q(spannable, "$this$set");
        l0.q(kVar, "range");
        l0.q(obj, "span");
        spannable.setSpan(obj, kVar.getStart().intValue(), kVar.getEndInclusive().intValue(), 17);
    }
}
