package androidx.core.util;

import a7.d;
import android.util.AtomicFile;
import androidx.annotation.RequiresApi;
import java.io.FileOutputStream;
import java.nio.charset.Charset;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.l2;
import kotlin.text.f;
import r4.l;

@i0(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0012\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\u001a0\u0010\b\u001a\u00020\u0006*\u00020\u00002!\u0010\u0007\u001a\u001d\u0012\u0013\u0012\u00110\u0002¢\u0006\f\b\u0003\u0012\b\b\u0004\u0012\u0004\b\b(\u0005\u0012\u0004\u0012\u00020\u00060\u0001H\b\u001a\u0014\u0010\u000b\u001a\u00020\u0006*\u00020\u00002\u0006\u0010\n\u001a\u00020\tH\u0007\u001a\u001e\u0010\u0010\u001a\u00020\u0006*\u00020\u00002\u0006\u0010\r\u001a\u00020\f2\b\b\u0002\u0010\u000f\u001a\u00020\u000eH\u0007\u001a\r\u0010\u0011\u001a\u00020\t*\u00020\u0000H\b\u001a\u0016\u0010\u0012\u001a\u00020\f*\u00020\u00002\b\b\u0002\u0010\u000f\u001a\u00020\u000eH\u0007¨\u0006\u0013"}, d2 = {"Landroid/util/AtomicFile;", "Lkotlin/Function1;", "Ljava/io/FileOutputStream;", "Lkotlin/v0;", "name", "out", "Lkotlin/l2;", "block", "tryWrite", "", "array", "writeBytes", "", "text", "Ljava/nio/charset/Charset;", "charset", "writeText", "readBytes", "readText", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class AtomicFileKt {
    @d
    @RequiresApi(17)
    public static final byte[] readBytes(@d AtomicFile atomicFile) {
        l0.q(atomicFile, "$this$readBytes");
        byte[] readFully = atomicFile.readFully();
        l0.h(readFully, "readFully()");
        return readFully;
    }

    @d
    @RequiresApi(17)
    public static final String readText(@d AtomicFile atomicFile, @d Charset charset) {
        l0.q(atomicFile, "$this$readText");
        l0.q(charset, "charset");
        byte[] readFully = atomicFile.readFully();
        l0.h(readFully, "readFully()");
        return new String(readFully, charset);
    }

    public static /* synthetic */ String readText$default(AtomicFile atomicFile, Charset charset, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            charset = f.f20248b;
        }
        return readText(atomicFile, charset);
    }

    @RequiresApi(17)
    public static final void tryWrite(@d AtomicFile atomicFile, @d l<? super FileOutputStream, l2> lVar) {
        l0.q(atomicFile, "$this$tryWrite");
        l0.q(lVar, "block");
        FileOutputStream startWrite = atomicFile.startWrite();
        try {
            l0.h(startWrite, "stream");
            lVar.invoke(startWrite);
            kotlin.jvm.internal.i0.d(1);
            atomicFile.finishWrite(startWrite);
            kotlin.jvm.internal.i0.c(1);
        } catch (Throwable th) {
            kotlin.jvm.internal.i0.d(1);
            atomicFile.failWrite(startWrite);
            kotlin.jvm.internal.i0.c(1);
            throw th;
        }
    }

    @RequiresApi(17)
    public static final void writeBytes(@d AtomicFile atomicFile, @d byte[] bArr) {
        l0.q(atomicFile, "$this$writeBytes");
        l0.q(bArr, "array");
        FileOutputStream startWrite = atomicFile.startWrite();
        try {
            l0.h(startWrite, "stream");
            startWrite.write(bArr);
            atomicFile.finishWrite(startWrite);
        } catch (Throwable th) {
            atomicFile.failWrite(startWrite);
            throw th;
        }
    }

    @RequiresApi(17)
    public static final void writeText(@d AtomicFile atomicFile, @d String str, @d Charset charset) {
        l0.q(atomicFile, "$this$writeText");
        l0.q(str, "text");
        l0.q(charset, "charset");
        byte[] bytes = str.getBytes(charset);
        l0.h(bytes, "(this as java.lang.String).getBytes(charset)");
        writeBytes(atomicFile, bytes);
    }

    public static /* synthetic */ void writeText$default(AtomicFile atomicFile, String str, Charset charset, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            charset = f.f20248b;
        }
        writeText(atomicFile, str, charset);
    }
}
