package androidx.navigation;

import a7.d;
import a7.e;
import android.os.Bundle;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000!\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0011\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\n*\u0001\u0000\b\n\u0018\u00002\u0010\u0012\f\u0012\n\u0012\u0004\u0012\u00020\u0003\u0018\u00010\u00020\u0001J/\u0010\t\u001a\u00020\b2\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u00032\u000e\u0010\u0007\u001a\n\u0012\u0004\u0012\u00020\u0003\u0018\u00010\u0002H\u0016¢\u0006\u0004\b\t\u0010\nJ(\u0010\u000b\u001a\n\u0012\u0004\u0012\u00020\u0003\u0018\u00010\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0003H\u0002¢\u0006\u0004\b\u000b\u0010\fJ\u001f\u0010\r\u001a\n\u0012\u0004\u0012\u00020\u0003\u0018\u00010\u00022\u0006\u0010\u0007\u001a\u00020\u0003H\u0016¢\u0006\u0004\b\r\u0010\u000eR\u0014\u0010\u0011\u001a\u00020\u00038VX\u0004¢\u0006\u0006\u001a\u0004\b\u000f\u0010\u0010¨\u0006\u0012"}, d2 = {"androidx/navigation/NavType$Companion$StringArrayType$1", "Landroidx/navigation/NavType;", "", "", "Landroid/os/Bundle;", "bundle", "key", "value", "Lkotlin/l2;", "put", "(Landroid/os/Bundle;Ljava/lang/String;[Ljava/lang/String;)V", "get", "(Landroid/os/Bundle;Ljava/lang/String;)[Ljava/lang/String;", "parseValue", "(Ljava/lang/String;)[Ljava/lang/String;", "getName", "()Ljava/lang/String;", "name", "navigation-common_release"}, k = 1, mv = {1, 6, 0})
public final class NavType$Companion$StringArrayType$1 extends NavType<String[]> {
    NavType$Companion$StringArrayType$1() {
        super(true);
    }

    @Override // androidx.navigation.NavType
    @d
    public String getName() {
        return "string[]";
    }

    @Override // androidx.navigation.NavType
    @e
    public String[] get(@d Bundle bundle, @d String str) {
        l0.p(bundle, "bundle");
        l0.p(str, "key");
        return (String[]) bundle.get(str);
    }

    @Override // androidx.navigation.NavType
    @e
    public String[] parseValue(@d String str) {
        l0.p(str, "value");
        throw new UnsupportedOperationException("Arrays don't support default values.");
    }

    public void put(@d Bundle bundle, @d String str, @e String[] strArr) {
        l0.p(bundle, "bundle");
        l0.p(str, "key");
        bundle.putStringArray(str, strArr);
    }
}
