package com.google.android.gms.common;

import android.app.Activity;
import android.app.Dialog;
import android.app.PendingIntent;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.Resources;
import androidx.fragment.app.Fragment;
import com.google.android.gms.common.internal.i;
import com.google.android.gms.common.internal.p;
import r.a;
import x.d0;

public final class GooglePlayServicesUtil extends i {
    public static final String GMS_ERROR_DIALOG = "GooglePlayServicesErrorDialog";
    @Deprecated
    public static final String GOOGLE_PLAY_SERVICES_PACKAGE = "com.google.android.gms";
    @Deprecated
    public static final int GOOGLE_PLAY_SERVICES_VERSION_CODE = i.GOOGLE_PLAY_SERVICES_VERSION_CODE;
    public static final String GOOGLE_PLAY_STORE_PACKAGE = "com.android.vending";

    private GooglePlayServicesUtil() {
    }

    @Deprecated
    public static Dialog getErrorDialog(int i7, Activity activity, int i8) {
        return getErrorDialog(i7, activity, i8, null);
    }

    @Deprecated
    public static PendingIntent getErrorPendingIntent(int i7, Context context, int i8) {
        return i.getErrorPendingIntent(i7, context, i8);
    }

    @d0
    @Deprecated
    public static String getErrorString(int i7) {
        return i.getErrorString(i7);
    }

    public static Context getRemoteContext(Context context) {
        return i.getRemoteContext(context);
    }

    public static Resources getRemoteResource(Context context) {
        return i.getRemoteResource(context);
    }

    @p
    @Deprecated
    public static int isGooglePlayServicesAvailable(Context context) {
        return i.isGooglePlayServicesAvailable(context);
    }

    @Deprecated
    public static boolean isUserRecoverableError(int i7) {
        return i.isUserRecoverableError(i7);
    }

    @Deprecated
    public static boolean showErrorDialogFragment(int i7, Activity activity, int i8) {
        return showErrorDialogFragment(i7, activity, i8, null);
    }

    @Deprecated
    public static void showErrorNotification(int i7, Context context) {
        e v7 = e.v();
        if (i.isPlayServicesPossiblyUpdating(context, i7) || i.isPlayStorePossiblyUpdating(context, i7)) {
            v7.G(context);
        } else {
            v7.A(context, i7);
        }
    }

    @Deprecated
    public static Dialog getErrorDialog(int i7, Activity activity, int i8, DialogInterface.OnCancelListener onCancelListener) {
        if (i.isPlayServicesPossiblyUpdating(activity, i7)) {
            i7 = 18;
        }
        return e.v().t(activity, i7, i8, onCancelListener);
    }

    @a
    @Deprecated
    public static int isGooglePlayServicesAvailable(Context context, int i7) {
        return i.isGooglePlayServicesAvailable(context, i7);
    }

    @Deprecated
    public static boolean showErrorDialogFragment(int i7, Activity activity, int i8, DialogInterface.OnCancelListener onCancelListener) {
        return showErrorDialogFragment(i7, activity, null, i8, onCancelListener);
    }

    public static boolean showErrorDialogFragment(int i7, Activity activity, Fragment fragment, int i8, DialogInterface.OnCancelListener onCancelListener) {
        if (i.isPlayServicesPossiblyUpdating(activity, i7)) {
            i7 = 18;
        }
        e v7 = e.v();
        if (fragment == null) {
            return v7.z(activity, i7, i8, onCancelListener);
        }
        Dialog D = e.D(activity, i7, i.b(fragment, e.v().e(activity, i7, "d"), i8), onCancelListener);
        if (D == null) {
            return false;
        }
        e.F(activity, D, GMS_ERROR_DIALOG, onCancelListener);
        return true;
    }
}
