package com.google.android.gms.internal.clearcut;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public final class m6 {
    private static int a(byte[] bArr, int i7) {
        return ((bArr[i7 + 3] & 255) << 24) | (bArr[i7] & 255) | ((bArr[i7 + 1] & 255) << 8) | ((bArr[i7 + 2] & 255) << 16);
    }

    private static long b(long j7, long j8, long j9) {
        long j10 = (j7 ^ j8) * j9;
        long j11 = ((j10 ^ (j10 >>> 47)) ^ j8) * j9;
        return (j11 ^ (j11 >>> 47)) * j9;
    }

    public static long c(byte[] bArr) {
        int length = bArr.length;
        if (length < 0 || length > bArr.length) {
            StringBuilder sb = new StringBuilder(67);
            sb.append("Out of bound index with offput: 0 and length: ");
            sb.append(length);
            throw new IndexOutOfBoundsException(sb.toString());
        }
        int i7 = 37;
        if (length <= 32) {
            if (length > 16) {
                long j7 = ((long) (length << 1)) - 7286425919675154353L;
                long e7 = e(bArr, 0) * -5435081209227447693L;
                long e8 = e(bArr, 8);
                int i8 = length + 0;
                long e9 = e(bArr, i8 - 8) * j7;
                return b(Long.rotateRight(e7 + e8, 43) + Long.rotateRight(e9, 30) + (e(bArr, i8 - 16) * -7286425919675154353L), e7 + Long.rotateRight(e8 - 7286425919675154353L, 18) + e9, j7);
            } else if (length >= 8) {
                long j8 = ((long) (length << 1)) - 7286425919675154353L;
                long e10 = e(bArr, 0) - 7286425919675154353L;
                long e11 = e(bArr, (length + 0) - 8);
                return b((Long.rotateRight(e11, 37) * j8) + e10, (Long.rotateRight(e10, 25) + e11) * j8, j8);
            } else if (length >= 4) {
                return b(((long) length) + ((((long) a(bArr, 0)) & 4294967295L) << 3), ((long) a(bArr, (length + 0) - 4)) & 4294967295L, ((long) (length << 1)) - 7286425919675154353L);
            } else if (length <= 0) {
                return -7286425919675154353L;
            } else {
                long j9 = (((long) ((bArr[0] & 255) + ((bArr[(length >> 1) + 0] & 255) << 8))) * -7286425919675154353L) ^ (((long) (length + ((bArr[(length - 1) + 0] & 255) << 2))) * -4348849565147123417L);
                return (j9 ^ (j9 >>> 47)) * -7286425919675154353L;
            }
        } else if (length <= 64) {
            long j10 = ((long) (length << 1)) - 7286425919675154353L;
            long e12 = e(bArr, 0) * -7286425919675154353L;
            long e13 = e(bArr, 8);
            int i9 = length + 0;
            long e14 = e(bArr, i9 - 8) * j10;
            long rotateRight = Long.rotateRight(e12 + e13, 43) + Long.rotateRight(e14, 30) + (e(bArr, i9 - 16) * -7286425919675154353L);
            long b7 = b(rotateRight, Long.rotateRight(-7286425919675154353L + e13, 18) + e12 + e14, j10);
            long e15 = e(bArr, 16) * j10;
            long e16 = e(bArr, 24);
            long e17 = (rotateRight + e(bArr, i9 - 32)) * j10;
            return b(Long.rotateRight(e15 + e16, 43) + Long.rotateRight(e17, 30) + ((b7 + e(bArr, i9 - 24)) * j10), e15 + Long.rotateRight(e16 + e12, 18) + e17, j10);
        } else {
            long[] jArr = new long[2];
            long[] jArr2 = new long[2];
            long e18 = e(bArr, 0) + 95310865018149119L;
            int i10 = length - 1;
            int i11 = ((i10 / 64) << 6) + 0;
            int i12 = i10 & 63;
            int i13 = (i11 + i12) - 63;
            long j11 = 2480279821605975764L;
            long j12 = 1390051526045402406L;
            int i14 = 0;
            while (true) {
                long rotateRight2 = (Long.rotateRight(((e18 + j11) + jArr[0]) + e(bArr, i14 + 8), i7) * -5435081209227447693L) ^ jArr2[1];
                long rotateRight3 = (Long.rotateRight(j11 + jArr[1] + e(bArr, i14 + 48), 42) * -5435081209227447693L) + jArr[0] + e(bArr, i14 + 40);
                long rotateRight4 = Long.rotateRight(j12 + jArr2[0], 33) * -5435081209227447693L;
                d(bArr, i14, jArr[1] * -5435081209227447693L, rotateRight2 + jArr2[0], jArr);
                d(bArr, i14 + 32, rotateRight4 + jArr2[1], rotateRight3 + e(bArr, i14 + 16), jArr2);
                int i15 = i14 + 64;
                if (i15 == i11) {
                    long j13 = ((rotateRight2 & 255) << 1) - 5435081209227447693L;
                    long j14 = jArr2[0] + ((long) i12);
                    jArr2[0] = j14;
                    long j15 = jArr[0] + j14;
                    jArr[0] = j15;
                    jArr2[0] = jArr2[0] + j15;
                    long rotateRight5 = (Long.rotateRight(((rotateRight4 + rotateRight3) + jArr[0]) + e(bArr, i13 + 8), 37) * j13) ^ (jArr2[1] * 9);
                    long rotateRight6 = (Long.rotateRight(rotateRight3 + jArr[1] + e(bArr, i13 + 48), 42) * j13) + (jArr[0] * 9) + e(bArr, i13 + 40);
                    long rotateRight7 = Long.rotateRight(rotateRight2 + jArr2[0], 33) * j13;
                    d(bArr, i13, jArr[1] * j13, rotateRight5 + jArr2[0], jArr);
                    d(bArr, i13 + 32, rotateRight7 + jArr2[1], e(bArr, i13 + 16) + rotateRight6, jArr2);
                    return b(b(jArr[0], jArr2[0], j13) + (((rotateRight6 >>> 47) ^ rotateRight6) * -4348849565147123417L) + rotateRight5, b(jArr[1], jArr2[1], j13) + rotateRight7, j13);
                }
                i14 = i15;
                i11 = i11;
                i12 = i12;
                e18 = rotateRight4;
                j12 = rotateRight2;
                j11 = rotateRight3;
                i7 = 37;
            }
        }
    }

    private static void d(byte[] bArr, int i7, long j7, long j8, long[] jArr) {
        long e7 = e(bArr, i7);
        long e8 = e(bArr, i7 + 8);
        long e9 = e(bArr, i7 + 16);
        long e10 = e(bArr, i7 + 24);
        long j9 = j7 + e7;
        long j10 = e8 + j9 + e9;
        jArr[0] = j10 + e10;
        jArr[1] = Long.rotateRight(j8 + j9 + e10, 21) + Long.rotateRight(j10, 44) + j9;
    }

    private static long e(byte[] bArr, int i7) {
        ByteBuffer wrap = ByteBuffer.wrap(bArr, i7, 8);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        return wrap.getLong();
    }
}
