package com.google.android.material.resources;

import android.content.Context;
import android.util.TypedValue;
import android.view.View;
import androidx.annotation.AttrRes;
import androidx.annotation.DimenRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.annotation.Px;
import androidx.annotation.RestrictTo;
import b0.a;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP})
public class b {
    @Nullable
    public static TypedValue a(@NonNull Context context, @AttrRes int i7) {
        TypedValue typedValue = new TypedValue();
        if (context.getTheme().resolveAttribute(i7, typedValue, true)) {
            return typedValue;
        }
        return null;
    }

    public static boolean b(@NonNull Context context, @AttrRes int i7, boolean z7) {
        TypedValue a8 = a(context, i7);
        return (a8 == null || a8.type != 18) ? z7 : a8.data != 0;
    }

    public static boolean c(@NonNull Context context, @AttrRes int i7, @NonNull String str) {
        return g(context, i7, str) != 0;
    }

    @Px
    public static int d(@NonNull Context context, @AttrRes int i7, @DimenRes int i8) {
        TypedValue a8 = a(context, i7);
        return (int) ((a8 == null || a8.type != 5) ? context.getResources().getDimension(i8) : a8.getDimension(context.getResources().getDisplayMetrics()));
    }

    public static int e(@NonNull Context context, @AttrRes int i7, int i8) {
        TypedValue a8 = a(context, i7);
        return (a8 == null || a8.type != 16) ? i8 : a8.data;
    }

    @Px
    public static int f(@NonNull Context context) {
        return d(context, a.c.fa, a.f.f1036e5);
    }

    public static int g(@NonNull Context context, @AttrRes int i7, @NonNull String str) {
        TypedValue a8 = a(context, i7);
        if (a8 != null) {
            return a8.data;
        }
        throw new IllegalArgumentException(String.format("%1$s requires a value for the %2$s attribute to be set in your app theme. You can either set the attribute in your theme or update your theme to inherit from Theme.MaterialComponents (or a descendant).", str, context.getResources().getResourceName(i7)));
    }

    public static int h(@NonNull View view, @AttrRes int i7) {
        return g(view.getContext(), i7, view.getClass().getCanonicalName());
    }
}
