package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import p0.i;

@i
abstract class c implements r {
    c() {
    }

    @Override // com.google.common.hash.r
    public q a(byte[] bArr) {
        return j(bArr, 0, bArr.length);
    }

    @Override // com.google.common.hash.r
    public q c(int i7) {
        return k(4).putInt(i7).i();
    }

    @Override // com.google.common.hash.r
    public <T> q d(T t7, o<? super T> oVar) {
        return b().h(t7, oVar).i();
    }

    @Override // com.google.common.hash.r
    public q e(CharSequence charSequence, Charset charset) {
        return b().g(charSequence, charset).i();
    }

    @Override // com.google.common.hash.r
    public q f(ByteBuffer byteBuffer) {
        return k(byteBuffer.remaining()).f(byteBuffer).i();
    }

    @Override // com.google.common.hash.r
    public q g(CharSequence charSequence) {
        return k(charSequence.length() * 2).c(charSequence).i();
    }

    @Override // com.google.common.hash.r
    public q i(long j7) {
        return k(8).putLong(j7).i();
    }

    @Override // com.google.common.hash.r
    public q j(byte[] bArr, int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
        return k(i8).d(bArr, i7, i8).i();
    }

    @Override // com.google.common.hash.r
    public s k(int i7) {
        Preconditions.checkArgument(i7 >= 0, "expectedInputSize must be >= 0 but was %s", i7);
        return b();
    }
}
