package com.graphisoft.bimx.connector;

import a7.d;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.enums.LicenseKind;
import com.graphisoft.bimx.connector.enums.OperationResultCode;
import com.graphisoft.bimx.connector.enums.TicketValidityKind;
import com.graphisoft.bimx.connector.handles.LicenseHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import java.util.Calendar;
import java.util.function.BiConsumer;
import kotlin.i0;

@i0(d1 = {"\u0000N\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u000b\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b \u0010!J-\u0010\n\u001a\u00020\t2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0012\u0010\b\u001a\u000e\u0012\u0004\u0012\u00020\u0007\u0012\u0004\u0012\u00020\u00020\u0006H J\u0019\u0010\u000f\u001a\u00020\u000e2\u0006\u0010\f\u001a\u00020\u000b2\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u0011\u001a\u00020\u00102\u0006\u0010\r\u001a\u00020\tH J!\u0010\u0016\u001a\u00020\u00152\u0006\u0010\r\u001a\u00020\t2\u0006\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0014\u001a\u00020\u0002H J\u0011\u0010\u0018\u001a\u00020\u00172\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u0019\u001a\u00020\u000e2\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u001a\u001a\u00020\u00022\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u001b\u001a\u00020\u000e2\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u001c\u001a\u00020\u00172\u0006\u0010\r\u001a\u00020\tH J\u0011\u0010\u001d\u001a\u00020\u00122\u0006\u0010\r\u001a\u00020\tH J\u0019\u0010\u001f\u001a\u00020\u000e2\u0006\u0010\r\u001a\u00020\t2\u0006\u0010\u001e\u001a\u00020\u0012H ¨\u0006\""}, d2 = {"Lcom/graphisoft/bimx/connector/LicenseManagerConnector;", "", "", "bundleId", "Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "sessionListHandle", "Ljava/util/function/BiConsumer;", "Lcom/graphisoft/bimx/connector/enums/TicketValidityKind;", "ticketCallback", "Lcom/graphisoft/bimx/connector/handles/LicenseHandle;", "createLicenseHandleWithBundleID", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "hyperModelAddress", "licenseHandle", "", "isModelLicensed", "Lcom/graphisoft/bimx/connector/enums/LicenseKind;", "licenseKind", "Ljava/util/Calendar;", "expDate", "productId", "Lcom/graphisoft/bimx/connector/enums/OperationResultCode;", "setAppToPurchased", "Lkotlin/l2;", "recordDiscountUsedUp", "wasDiscountUsedUp", "activeProductId", "hasEverBeenSubscribed", "clearSubscription", "getSubscriptionStartDate", "date", "setSubscriptionStartDate", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class LicenseManagerConnector {
    @d
    public static final LicenseManagerConnector INSTANCE = new LicenseManagerConnector();

    private LicenseManagerConnector() {
    }

    @d
    public final native String activeProductId(@d LicenseHandle licenseHandle);

    public final native void clearSubscription(@d LicenseHandle licenseHandle);

    @d
    public final native LicenseHandle createLicenseHandleWithBundleID(@d String str, @d SessionListHandle sessionListHandle, @d BiConsumer<TicketValidityKind, String> biConsumer);

    @d
    public final native Calendar getSubscriptionStartDate(@d LicenseHandle licenseHandle);

    public final native boolean hasEverBeenSubscribed(@d LicenseHandle licenseHandle);

    public final native boolean isModelLicensed(@d HyperModelDataAddress hyperModelDataAddress, @d LicenseHandle licenseHandle);

    @d
    public final native LicenseKind licenseKind(@d LicenseHandle licenseHandle);

    public final native void recordDiscountUsedUp(@d LicenseHandle licenseHandle);

    @d
    public final native OperationResultCode setAppToPurchased(@d LicenseHandle licenseHandle, @d Calendar calendar, @d String str);

    public final native boolean setSubscriptionStartDate(@d LicenseHandle licenseHandle, @d Calendar calendar);

    public final native boolean wasDiscountUsedUp(@d LicenseHandle licenseHandle);
}
