package com.graphisoft.bimx.connector;

import a7.d;
import com.graphisoft.bimx.connector.data.MessageCellData;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.handles.MailboxHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;

@i0(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u0017\u0010\u0018J)\u0010\u000b\u001a\u00020\n2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\t\u001a\u00020\bH J\u0017\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\u000e0\r2\u0006\u0010\f\u001a\u00020\nH J\u0017\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\u000e0\r2\u0006\u0010\f\u001a\u00020\nH J\u0019\u0010\u0014\u001a\u00020\u00132\u0006\u0010\u0012\u001a\u00020\u00112\u0006\u0010\f\u001a\u00020\nH J\u0019\u0010\u0016\u001a\u00020\u00132\u0006\u0010\u0015\u001a\u00020\u00112\u0006\u0010\f\u001a\u00020\nH ¨\u0006\u0019"}, d2 = {"Lcom/graphisoft/bimx/connector/MailboxConnector;", "", "Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "sessionListHandle", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "hyperModelAddress", "Ljava/lang/Runnable;", "onContentChangeCallback", "", "localizedMe", "Lcom/graphisoft/bimx/connector/handles/MailboxHandle;", "createHandle", "mailboxHandle", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/MessageCellData;", "getDrafts", "getThreads", "Ljava/util/UUID;", "draftId", "Lkotlin/l2;", "deleteDraft", "threadId", "deleteThread", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class MailboxConnector {
    @d
    public static final MailboxConnector INSTANCE = new MailboxConnector();

    private MailboxConnector() {
    }

    @d
    public final native MailboxHandle createHandle(@d SessionListHandle sessionListHandle, @d HyperModelDataAddress hyperModelDataAddress, @d Runnable runnable, @d String str);

    public final native void deleteDraft(@d UUID uuid, @d MailboxHandle mailboxHandle);

    public final native void deleteThread(@d UUID uuid, @d MailboxHandle mailboxHandle);

    @d
    public final native ArrayList<MessageCellData> getDrafts(@d MailboxHandle mailboxHandle);

    @d
    public final native ArrayList<MessageCellData> getThreads(@d MailboxHandle mailboxHandle);
}
