package com.graphisoft.bimx.connector;

import a7.d;
import android.graphics.PointF;
import android.graphics.RectF;
import com.graphisoft.bimx.connector.data.MeasureLabelData;
import com.graphisoft.bimx.connector.enums.MeasureLabelAlignmentStyle;
import com.graphisoft.bimx.connector.enums.UnitFormatterInfoType;
import com.graphisoft.bimx.connector.handles.UserPreferencesStorageHandle;
import java.util.ArrayList;
import kotlin.i0;

@i0(d1 = {"\u0000V\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0010\u0007\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0000\bÆ\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002JS\u0010\u0003\u001a\u00020\u00042\f\u0010\u0005\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\f\u0010\b\u001a\b\u0012\u0004\u0012\u00020\t0\u00062\f\u0010\n\u001a\b\u0012\u0004\u0012\u00020\u00070\u00062\u0006\u0010\u000b\u001a\u00020\u00042\u0006\u0010\f\u001a\u00020\r2\u0006\u0010\u000e\u001a\u00020\u000f2\u0006\u0010\u0010\u001a\u00020\rH J!\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\r2\u0006\u0010\u0014\u001a\u00020\u00152\u0006\u0010\u0016\u001a\u00020\u0017H J9\u0010\u0018\u001a\u00020\u00072\u0006\u0010\u0019\u001a\u00020\u00072\u0006\u0010\u001a\u001a\u00020\u001b2\u0006\u0010\u001c\u001a\u00020\r2\u0006\u0010\u001d\u001a\u00020\r2\u0006\u0010\u001e\u001a\u00020\r2\u0006\u0010\u001f\u001a\u00020\u0007H J\u000f\u0010 \u001a\b\u0012\u0004\u0012\u00020!0\u0006H ¨\u0006\""}, d2 = {"Lcom/graphisoft/bimx/connector/MeasureControllerConnector;", "", "()V", "alignLengthAndAngleLabels", "Lcom/graphisoft/bimx/connector/data/MeasureLabelData;", "vertices", "Ljava/util/ArrayList;", "Landroid/graphics/PointF;", "isMoving", "", "edgeCenters", "labelData", "measureMarkerDiameter", "", "style", "Lcom/graphisoft/bimx/connector/enums/MeasureLabelAlignmentStyle;", "extraOffsetForMovingPointLabels", "format", "", "value", "type", "Lcom/graphisoft/bimx/connector/enums/UnitFormatterInfoType;", "handle", "Lcom/graphisoft/bimx/connector/handles/UserPreferencesStorageHandle;", "getAppendPlaceholderPosition", "anchor", "visibleRect", "Landroid/graphics/RectF;", "zoomScale", "magnifierGlassDiameter", "magnifierHandleDiameter", "magnifierGlassOffset", "measureColors", "", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class MeasureControllerConnector {
    @d
    public static final MeasureControllerConnector INSTANCE = new MeasureControllerConnector();

    private MeasureControllerConnector() {
    }

    @d
    public final native MeasureLabelData alignLengthAndAngleLabels(@d ArrayList<PointF> arrayList, @d ArrayList<Boolean> arrayList2, @d ArrayList<PointF> arrayList3, @d MeasureLabelData measureLabelData, float f7, @d MeasureLabelAlignmentStyle measureLabelAlignmentStyle, float f8);

    @d
    public final native String format(float f7, @d UnitFormatterInfoType unitFormatterInfoType, @d UserPreferencesStorageHandle userPreferencesStorageHandle);

    @d
    public final native PointF getAppendPlaceholderPosition(@d PointF pointF, @d RectF rectF, float f7, float f8, float f9, @d PointF pointF2);

    @d
    public final native ArrayList<Integer> measureColors();
}
