package com.graphisoft.bimx.connector;

import a7.d;
import a7.e;
import com.graphisoft.bimx.connector.data.DraftData;
import com.graphisoft.bimx.connector.data.MessageComposerUser;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.handles.MessageComposerHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;

@i0(d1 = {"\u0000H\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u001c\u0010\u001dJ#\u0010\t\u001a\u0004\u0018\u00010\b2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u0006H J#\u0010\u000b\u001a\u0004\u0018\u00010\b2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\n\u001a\u00020\u0006H J\u0011\u0010\u000e\u001a\u00020\r2\u0006\u0010\f\u001a\u00020\bH J\u0011\u0010\u0010\u001a\u00020\u000f2\u0006\u0010\f\u001a\u00020\bH J%\u0010\u0015\u001a\b\u0012\u0004\u0012\u00020\u00140\u00112\f\u0010\u0013\u001a\b\u0012\u0004\u0012\u00020\u00120\u00112\u0006\u0010\f\u001a\u00020\bH J\u0017\u0010\u0016\u001a\b\u0012\u0004\u0012\u00020\u00140\u00112\u0006\u0010\f\u001a\u00020\bH J\u0011\u0010\u0017\u001a\u00020\u000f2\u0006\u0010\f\u001a\u00020\bH J\u0019\u0010\u001a\u001a\u00020\u00192\u0006\u0010\u0018\u001a\u00020\r2\u0006\u0010\f\u001a\u00020\bH J\u0019\u0010\u001b\u001a\u00020\u000f2\u0006\u0010\u0018\u001a\u00020\r2\u0006\u0010\f\u001a\u00020\bH ¨\u0006\u001e"}, d2 = {"Lcom/graphisoft/bimx/connector/MessageComposerConnector;", "", "Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "sessionList", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "address", "Ljava/util/UUID;", "replyInThread", "Lcom/graphisoft/bimx/connector/handles/MessageComposerHandle;", "createHandleWithReplyInThread", "previousDraftId", "createHandleWithPreviousDraft", "composerHandle", "Lcom/graphisoft/bimx/connector/data/DraftData;", "getDraftData", "", "isRecipientListEditable", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/MessageComposerUser;", "recipients", "", "leftUsersAmong", "letfPreviouslySavedUsers", "messageHasBeenSent", "draftData", "Lkotlin/l2;", "saveDraft", "sendMessage", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class MessageComposerConnector {
    @d
    public static final MessageComposerConnector INSTANCE = new MessageComposerConnector();

    private MessageComposerConnector() {
    }

    @e
    public final native MessageComposerHandle createHandleWithPreviousDraft(@d SessionListHandle sessionListHandle, @d HyperModelDataAddress hyperModelDataAddress, @d UUID uuid);

    @e
    public final native MessageComposerHandle createHandleWithReplyInThread(@d SessionListHandle sessionListHandle, @d HyperModelDataAddress hyperModelDataAddress, @d UUID uuid);

    @d
    public final native DraftData getDraftData(@d MessageComposerHandle messageComposerHandle);

    public final native boolean isRecipientListEditable(@d MessageComposerHandle messageComposerHandle);

    @d
    public final native ArrayList<String> leftUsersAmong(@d ArrayList<MessageComposerUser> arrayList, @d MessageComposerHandle messageComposerHandle);

    @d
    public final native ArrayList<String> letfPreviouslySavedUsers(@d MessageComposerHandle messageComposerHandle);

    public final native boolean messageHasBeenSent(@d MessageComposerHandle messageComposerHandle);

    public final native void saveDraft(@d DraftData draftData, @d MessageComposerHandle messageComposerHandle);

    public final native boolean sendMessage(@d DraftData draftData, @d MessageComposerHandle messageComposerHandle);
}
