package com.graphisoft.bimx.connector;

import a7.d;
import a7.e;
import com.graphisoft.bimx.connector.data.FormattedUserName;
import com.graphisoft.bimx.connector.data.MessageThreadSectionData;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.handles.MessageThreadHandle;
import com.graphisoft.bimx.connector.handles.SessionListHandle;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;

@i0(d1 = {"\u0000P\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000b\n\u0002\b\u0004\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u001c\u0010\u001dJ3\u0010\r\u001a\u0004\u0018\u00010\f2\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\t\u001a\u00020\b2\u0006\u0010\u000b\u001a\u00020\nH J\u0017\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\u00100\u000f2\u0006\u0010\u000e\u001a\u00020\fH J\u0017\u0010\u0013\u001a\b\u0012\u0004\u0012\u00020\u00120\u000f2\u0006\u0010\u000e\u001a\u00020\fH J\u001b\u0010\u0016\u001a\u00020\u00152\b\u0010\u000e\u001a\u0004\u0018\u00010\f2\u0006\u0010\u0014\u001a\u00020\u0006H J\u0019\u0010\u0018\u001a\u00020\u00152\u0006\u0010\u000e\u001a\u00020\f2\u0006\u0010\u0017\u001a\u00020\u0006H J\u0019\u0010\u0019\u001a\u00020\u00152\u0006\u0010\u000e\u001a\u00020\f2\u0006\u0010\u0017\u001a\u00020\u0006H J\u0011\u0010\u001b\u001a\u00020\u001a2\u0006\u0010\u000e\u001a\u00020\fH ¨\u0006\u001e"}, d2 = {"Lcom/graphisoft/bimx/connector/MessageThreadConnector;", "", "Lcom/graphisoft/bimx/connector/handles/SessionListHandle;", "sessionListHandle", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "hyperModelAddress", "Ljava/util/UUID;", "threadId", "Ljava/lang/Runnable;", "onContentChangeCallback", "", "localizedMe", "Lcom/graphisoft/bimx/connector/handles/MessageThreadHandle;", "createHandle", "messageThreadHandle", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/FormattedUserName;", "getFormattedThreadUserNames", "Lcom/graphisoft/bimx/connector/data/MessageThreadSectionData;", "getDataOfSections", "draftId", "Lkotlin/l2;", "deleteDraft", "mailId", "deleteMail", "markMailRead", "", "hasThreadMoreMails", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class MessageThreadConnector {
    @d
    public static final MessageThreadConnector INSTANCE = new MessageThreadConnector();

    private MessageThreadConnector() {
    }

    @e
    public final native MessageThreadHandle createHandle(@d SessionListHandle sessionListHandle, @d HyperModelDataAddress hyperModelDataAddress, @d UUID uuid, @d Runnable runnable, @d String str);

    public final native void deleteDraft(@e MessageThreadHandle messageThreadHandle, @d UUID uuid);

    public final native void deleteMail(@d MessageThreadHandle messageThreadHandle, @d UUID uuid);

    @d
    public final native ArrayList<MessageThreadSectionData> getDataOfSections(@d MessageThreadHandle messageThreadHandle);

    @d
    public final native ArrayList<FormattedUserName> getFormattedThreadUserNames(@d MessageThreadHandle messageThreadHandle);

    public final native boolean hasThreadMoreMails(@d MessageThreadHandle messageThreadHandle);

    public final native void markMailRead(@d MessageThreadHandle messageThreadHandle, @d UUID uuid);
}
