package com.graphisoft.bimx.connector;

import a7.d;
import a7.e;
import android.graphics.Bitmap;
import android.graphics.RectF;
import com.graphisoft.bimx.connector.data.Marker2DsData;
import com.graphisoft.bimx.connector.data.PubItem2DPageData;
import com.graphisoft.bimx.connector.data.ZoneSplotch;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimx.connector.handles.PubItem2DPageDataHandle;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;

@i0(d1 = {"\u0000T\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0007\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\b\n\u0002\b\u0003\bÆ\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u0013\u0010\u0003\u001a\u0004\u0018\u00010\u00042\u0006\u0010\u0005\u001a\u00020\u0006H J#\u0010\u0007\u001a\u0004\u0018\u00010\b2\u0006\u0010\t\u001a\u00020\u00042\u0006\u0010\n\u001a\u00020\u000b2\u0006\u0010\f\u001a\u00020\rH J\u0011\u0010\u000e\u001a\u00020\u000f2\u0006\u0010\t\u001a\u00020\u0004H J\u0011\u0010\u0010\u001a\u00020\u00112\u0006\u0010\t\u001a\u00020\u0004H J\u0019\u0010\u0012\u001a\u00020\u000b2\u0006\u0010\t\u001a\u00020\u00042\u0006\u0010\u0013\u001a\u00020\u0014H J\u0017\u0010\u0015\u001a\b\u0012\u0004\u0012\u00020\u00170\u00162\u0006\u0010\t\u001a\u00020\u0004H J\u0013\u0010\u0018\u001a\u0004\u0018\u00010\b2\u0006\u0010\t\u001a\u00020\u0004H J+\u0010\u0019\u001a\u0004\u0018\u00010\b2\u0006\u0010\t\u001a\u00020\u00042\u0006\u0010\f\u001a\u00020\r2\u0006\u0010\u001a\u001a\u00020\u001b2\u0006\u0010\u001c\u001a\u00020\u001bH J\u0017\u0010\u001d\u001a\b\u0012\u0004\u0012\u00020\u00170\u00162\u0006\u0010\t\u001a\u00020\u0004H ¨\u0006\u001e"}, d2 = {"Lcom/graphisoft/bimx/connector/PubItem2DPageDataConnector;", "", "()V", "createHandleWith", "Lcom/graphisoft/bimx/connector/handles/PubItem2DPageDataHandle;", "pageAddress", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "drawRect", "Landroid/graphics/Bitmap;", "pageHandle", "zoomRect", "Landroid/graphics/RectF;", "scale", "", "get2DMarkersOf", "Lcom/graphisoft/bimx/connector/data/Marker2DsData;", "getDataOf", "Lcom/graphisoft/bimx/connector/data/PubItem2DPageData;", "getDrawingZoomRectOf", "drawingId", "Ljava/util/UUID;", "getLabelsOf", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/ZoneSplotch;", "getThumbnailOf", "getTileOf", "col", "", "row", "getZonesOf", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class PubItem2DPageDataConnector {
    @d
    public static final PubItem2DPageDataConnector INSTANCE = new PubItem2DPageDataConnector();

    private PubItem2DPageDataConnector() {
    }

    @e
    public final native PubItem2DPageDataHandle createHandleWith(@d PublisherItemPageDataAddress publisherItemPageDataAddress);

    @e
    public final native Bitmap drawRect(@d PubItem2DPageDataHandle pubItem2DPageDataHandle, @d RectF rectF, float f7);

    @d
    public final native Marker2DsData get2DMarkersOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle);

    @d
    public final native PubItem2DPageData getDataOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle);

    @d
    public final native RectF getDrawingZoomRectOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle, @d UUID uuid);

    @d
    public final native ArrayList<ZoneSplotch> getLabelsOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle);

    @e
    public final native Bitmap getThumbnailOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle);

    @e
    public final native Bitmap getTileOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle, float f7, int i7, int i8);

    @d
    public final native ArrayList<ZoneSplotch> getZonesOf(@d PubItem2DPageDataHandle pubItem2DPageDataHandle);
}
