package com.graphisoft.bimx.connector.contentspecification;

import android.os.Parcel;
import android.os.Parcelable;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemDataAddress;
import d5.d;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.w;

@i0(d1 = {"\u00004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000b\n\u0002\b\u0007\b\u0007\u0018\u00002\u00020\u0001B!\u0012\u0006\u0010\n\u001a\u00020\t\u0012\u0006\u0010\u000f\u001a\u00020\u000e\u0012\b\b\u0002\u0010\u0014\u001a\u00020\u0013¢\u0006\u0004\b\u0018\u0010\u0019J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u001a\u0010\n\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\f\u0010\rR\u0017\u0010\u000f\u001a\u00020\u000e8\u0006¢\u0006\f\n\u0004\b\u000f\u0010\u0010\u001a\u0004\b\u0011\u0010\u0012R\u0017\u0010\u0014\u001a\u00020\u00138\u0006¢\u0006\f\n\u0004\b\u0014\u0010\u0015\u001a\u0004\b\u0016\u0010\u0017¨\u0006\u001a"}, d2 = {"Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpecWithElement;", "Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemDataAddress;", "address", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemDataAddress;", "getAddress", "()Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemDataAddress;", "Ljava/util/UUID;", "elementId", "Ljava/util/UUID;", "getElementId", "()Ljava/util/UUID;", "", "resetSelectionToElement", "Z", "getResetSelectionToElement", "()Z", "<init>", "(Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemDataAddress;Ljava/util/UUID;Z)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class PubItem3dContentSpecWithElement implements PubItem3dContentSpec {
    @a7.d
    public static final Parcelable.Creator<PubItem3dContentSpecWithElement> CREATOR = new Creator();
    @a7.d
    private final PublisherItemDataAddress address;
    @a7.d
    private final UUID elementId;
    private final boolean resetSelectionToElement;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<PubItem3dContentSpecWithElement> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final PubItem3dContentSpecWithElement createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            return new PubItem3dContentSpecWithElement((PublisherItemDataAddress) parcel.readParcelable(PubItem3dContentSpecWithElement.class.getClassLoader()), (UUID) parcel.readSerializable(), parcel.readInt() != 0);
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final PubItem3dContentSpecWithElement[] newArray(int i7) {
            return new PubItem3dContentSpecWithElement[i7];
        }
    }

    public PubItem3dContentSpecWithElement(@a7.d PublisherItemDataAddress publisherItemDataAddress, @a7.d UUID uuid, boolean z7) {
        l0.p(publisherItemDataAddress, "address");
        l0.p(uuid, "elementId");
        this.address = publisherItemDataAddress;
        this.elementId = uuid;
        this.resetSelectionToElement = z7;
    }

    public int describeContents() {
        return 0;
    }

    @a7.d
    public final UUID getElementId() {
        return this.elementId;
    }

    public final boolean getResetSelectionToElement() {
        return this.resetSelectionToElement;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeParcelable(this.address, i7);
        parcel.writeSerializable(this.elementId);
        parcel.writeInt(this.resetSelectionToElement ? 1 : 0);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ PubItem3dContentSpecWithElement(PublisherItemDataAddress publisherItemDataAddress, UUID uuid, boolean z7, int i7, w wVar) {
        this(publisherItemDataAddress, uuid, (i7 & 4) != 0 ? true : z7);
    }

    @Override // com.graphisoft.bimx.connector.contentspecification.ContentSpecification, com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec
    @a7.d
    public PublisherItemDataAddress getAddress() {
        return this.address;
    }
}
