package com.graphisoft.bimx.connector.data;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.annotation.ColorInt;
import d5.d;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u000e\n\u0002\b\t\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\t\b\u0007\u0018\u00002\u00020\u0001B-\u0012\u0006\u0010\t\u001a\u00020\u0002\u0012\u0006\u0010\u0010\u001a\u00020\u000f\u0012\u0006\u0010\u0016\u001a\u00020\u0002\u0012\f\u0010\u001b\u001a\b\u0012\u0004\u0012\u00020\u001a0\u0019¢\u0006\u0004\b!\u0010\"J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\"\u0010\t\u001a\u00020\u00028\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\t\u0010\n\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\"\u0010\u0010\u001a\u00020\u000f8\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\u0010\u0010\u0011\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015R\"\u0010\u0016\u001a\u00020\u00028\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\u0016\u0010\n\u001a\u0004\b\u0017\u0010\f\"\u0004\b\u0018\u0010\u000eR(\u0010\u001b\u001a\b\u0012\u0004\u0012\u00020\u001a0\u00198\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\u001b\u0010\u001c\u001a\u0004\b\u001d\u0010\u001e\"\u0004\b\u001f\u0010 ¨\u0006#"}, d2 = {"Lcom/graphisoft/bimx/connector/data/ElementGroup;", "Landroid/os/Parcelable;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "index", "I", "getIndex", "()I", "setIndex", "(I)V", "", "name", "Ljava/lang/String;", "getName", "()Ljava/lang/String;", "setName", "(Ljava/lang/String;)V", "color", "getColor", "setColor", "Ljava/util/ArrayList;", "Ljava/util/UUID;", "elements", "Ljava/util/ArrayList;", "getElements", "()Ljava/util/ArrayList;", "setElements", "(Ljava/util/ArrayList;)V", "<init>", "(ILjava/lang/String;ILjava/util/ArrayList;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class ElementGroup implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<ElementGroup> CREATOR = new Creator();
    @ColorInt
    private int color;
    @a7.d
    private ArrayList<UUID> elements;
    private int index;
    @a7.d
    private String name;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<ElementGroup> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementGroup createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            int readInt = parcel.readInt();
            String readString = parcel.readString();
            int readInt2 = parcel.readInt();
            int readInt3 = parcel.readInt();
            ArrayList arrayList = new ArrayList(readInt3);
            for (int i7 = 0; i7 != readInt3; i7++) {
                arrayList.add(parcel.readSerializable());
            }
            return new ElementGroup(readInt, readString, readInt2, arrayList);
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementGroup[] newArray(int i7) {
            return new ElementGroup[i7];
        }
    }

    public ElementGroup(int i7, @a7.d String str, int i8, @a7.d ArrayList<UUID> arrayList) {
        l0.p(str, "name");
        l0.p(arrayList, "elements");
        this.index = i7;
        this.name = str;
        this.color = i8;
        this.elements = arrayList;
    }

    public int describeContents() {
        return 0;
    }

    public final int getColor() {
        return this.color;
    }

    @a7.d
    public final ArrayList<UUID> getElements() {
        return this.elements;
    }

    public final int getIndex() {
        return this.index;
    }

    @a7.d
    public final String getName() {
        return this.name;
    }

    public final void setColor(int i7) {
        this.color = i7;
    }

    public final void setElements(@a7.d ArrayList<UUID> arrayList) {
        l0.p(arrayList, "<set-?>");
        this.elements = arrayList;
    }

    public final void setIndex(int i7) {
        this.index = i7;
    }

    public final void setName(@a7.d String str) {
        l0.p(str, "<set-?>");
        this.name = str;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeInt(this.index);
        parcel.writeString(this.name);
        parcel.writeInt(this.color);
        ArrayList<UUID> arrayList = this.elements;
        parcel.writeInt(arrayList.size());
        Iterator<UUID> it = arrayList.iterator();
        while (it.hasNext()) {
            parcel.writeSerializable(it.next());
        }
    }
}
