package com.graphisoft.bimx.connector.data;

import android.os.Parcel;
import android.os.Parcelable;
import d5.d;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000:\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0007\b\u0007\u0018\u00002\u00020\u0001B\u0015\u0012\f\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00020\u0013¢\u0006\u0004\b\u0018\u0010\u0019J\u000e\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0003\u001a\u00020\u0002J\u0006\u0010\u0007\u001a\u00020\u0006J\u000e\u0010\n\u001a\u00020\u00042\u0006\u0010\t\u001a\u00020\bJ\u000e\u0010\f\u001a\u00020\u000b2\u0006\u0010\t\u001a\u00020\bJ\u0006\u0010\r\u001a\u00020\u0004J\t\u0010\u000e\u001a\u00020\u0006HÖ\u0001J\u0019\u0010\u0012\u001a\u00020\u00042\u0006\u0010\u0010\u001a\u00020\u000f2\u0006\u0010\u0011\u001a\u00020\u0006HÖ\u0001R\u001d\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00020\u00138\u0006¢\u0006\f\n\u0004\b\u0014\u0010\u0015\u001a\u0004\b\u0016\u0010\u0017¨\u0006\u001a"}, d2 = {"Lcom/graphisoft/bimx/connector/data/ElementGroups;", "Landroid/os/Parcelable;", "Lcom/graphisoft/bimx/connector/data/ElementGroup;", "elementGroup", "Lkotlin/l2;", "addGroup", "", "allElementsCount", "Ljava/util/UUID;", "element", "addElement", "", "removeElement", "removeAll", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "writeToParcel", "Ljava/util/ArrayList;", "groups", "Ljava/util/ArrayList;", "getGroups", "()Ljava/util/ArrayList;", "<init>", "(Ljava/util/ArrayList;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class ElementGroups implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<ElementGroups> CREATOR = new Creator();
    @a7.d
    private final ArrayList<ElementGroup> groups;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<ElementGroups> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementGroups createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            int readInt = parcel.readInt();
            ArrayList arrayList = new ArrayList(readInt);
            for (int i7 = 0; i7 != readInt; i7++) {
                arrayList.add(ElementGroup.CREATOR.createFromParcel(parcel));
            }
            return new ElementGroups(arrayList);
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementGroups[] newArray(int i7) {
            return new ElementGroups[i7];
        }
    }

    public ElementGroups(@a7.d ArrayList<ElementGroup> arrayList) {
        l0.p(arrayList, "groups");
        this.groups = arrayList;
    }

    public final void addElement(@a7.d UUID uuid) {
        l0.p(uuid, "element");
        if (this.groups.size() == 0 || this.groups.get(0).getIndex() != 0) {
            this.groups.add(0, new ElementGroup(0, "", 0, new ArrayList()));
        }
        this.groups.get(0).getElements().add(uuid);
    }

    public final void addGroup(@a7.d ElementGroup elementGroup) {
        l0.p(elementGroup, "elementGroup");
        this.groups.add(elementGroup);
    }

    public final int allElementsCount() {
        Iterator<ElementGroup> it = this.groups.iterator();
        int i7 = 0;
        while (it.hasNext()) {
            i7 += it.next().getElements().size();
        }
        return i7;
    }

    public int describeContents() {
        return 0;
    }

    @a7.d
    public final ArrayList<ElementGroup> getGroups() {
        return this.groups;
    }

    public final void removeAll() {
        this.groups.clear();
    }

    public final boolean removeElement(@a7.d UUID uuid) {
        l0.p(uuid, "element");
        int i7 = 0;
        boolean z7 = false;
        while (i7 < this.groups.size()) {
            this.groups.get(i7).getElements().remove(uuid);
            if (this.groups.get(i7).getElements().size() > 0) {
                i7++;
            } else {
                this.groups.remove(i7);
                z7 = true;
            }
        }
        return z7;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        ArrayList<ElementGroup> arrayList = this.groups;
        parcel.writeInt(arrayList.size());
        Iterator<ElementGroup> it = arrayList.iterator();
        while (it.hasNext()) {
            it.next().writeToParcel(parcel, i7);
        }
    }
}
