package com.graphisoft.bimx.connector.data;

import android.os.Parcel;
import android.os.Parcelable;
import d5.d;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u000b\b\u0017\u0018\u00002\u00020\u0001B\u001f\u0012\u0006\u0010\n\u001a\u00020\t\u0012\u0006\u0010\u000e\u001a\u00020\t\u0012\u0006\u0010\u0010\u001a\u00020\t¢\u0006\u0004\b\u0012\u0010\u0013J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u001a\u0010\n\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\f\u0010\rR\u001a\u0010\u000e\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\u000e\u0010\u000b\u001a\u0004\b\u000f\u0010\rR\u001a\u0010\u0010\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\u0010\u0010\u000b\u001a\u0004\b\u0011\u0010\r¨\u0006\u0014"}, d2 = {"Lcom/graphisoft/bimx/connector/data/ElementInfoCellData;", "Landroid/os/Parcelable;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "", "key", "Ljava/lang/String;", "getKey", "()Ljava/lang/String;", "value", "getValue", "unit", "getUnit", "<init>", "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public class ElementInfoCellData implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<ElementInfoCellData> CREATOR = new Creator();
    @a7.d
    private final String key;
    @a7.d
    private final String unit;
    @a7.d
    private final String value;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<ElementInfoCellData> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementInfoCellData createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            return new ElementInfoCellData(parcel.readString(), parcel.readString(), parcel.readString());
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementInfoCellData[] newArray(int i7) {
            return new ElementInfoCellData[i7];
        }
    }

    public ElementInfoCellData(@a7.d String str, @a7.d String str2, @a7.d String str3) {
        l0.p(str, "key");
        l0.p(str2, "value");
        l0.p(str3, "unit");
        this.key = str;
        this.value = str2;
        this.unit = str3;
    }

    public int describeContents() {
        return 0;
    }

    @a7.d
    public String getKey() {
        return this.key;
    }

    @a7.d
    public String getUnit() {
        return this.unit;
    }

    @a7.d
    public String getValue() {
        return this.value;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeString(this.key);
        parcel.writeString(this.value);
        parcel.writeString(this.unit);
    }
}
