package com.graphisoft.bimx.connector.data;

import a7.d;
import a7.e;
import android.graphics.Bitmap;
import android.graphics.RectF;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.handles.VisualStateHandle;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.w;

@i0(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0018\u0002\n\u0002\b\u000f\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\u0018\u00002\u00020\u0001B7\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\n\b\u0002\u0010\u0006\u001a\u0004\u0018\u00010\u0007\u0012\n\b\u0002\u0010\b\u001a\u0004\u0018\u00010\t\u0012\b\b\u0002\u0010\n\u001a\u00020\u0005¢\u0006\u0002\u0010\u000bR\u001c\u0010\f\u001a\u0004\u0018\u00010\rX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u000e\u0010\u000f\"\u0004\b\u0010\u0010\u0011R\u0015\u0010\u0006\u001a\u0004\u0018\u00010\u0007¢\u0006\n\n\u0002\u0010\u0014\u001a\u0004\b\u0012\u0010\u0013R\u001c\u0010\u0015\u001a\u0004\u0018\u00010\u0016X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\u0018\"\u0004\b\u0019\u0010\u001aR\u000e\u0010\u001b\u001a\u00020\u0005X\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u0002\u001a\u00020\u0003X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u001d\"\u0004\b\u001e\u0010\u001fR\u000e\u0010 \u001a\u00020\u0007X\u000e¢\u0006\u0002\n\u0000R\u0010\u0010\b\u001a\u0004\u0018\u00010\tX\u0004¢\u0006\u0002\n\u0000R\u001a\u0010\u0004\u001a\u00020\u0005X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b!\u0010\"\"\u0004\b#\u0010$R\u0010\u0010%\u001a\u0004\u0018\u00010&X\u000e¢\u0006\u0002\n\u0000R\u000e\u0010\n\u001a\u00020\u0005X\u0004¢\u0006\u0002\n\u0000R\u0010\u0010'\u001a\u0004\u0018\u00010(X\u000e¢\u0006\u0002\n\u0000¨\u0006)"}, d2 = {"Lcom/graphisoft/bimx/connector/data/Favorite;", "", "name", "", "visible", "", "favoriteId", "", "pubItemId", "Ljava/util/UUID;", "zonesEnabled", "(Ljava/lang/String;ZLjava/lang/Integer;Ljava/util/UUID;Z)V", "content", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "getContent", "()Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "setContent", "(Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;)V", "getFavoriteId", "()Ljava/lang/Integer;", "Ljava/lang/Integer;", "image", "Landroid/graphics/Bitmap;", "getImage", "()Landroid/graphics/Bitmap;", "setImage", "(Landroid/graphics/Bitmap;)V", "labelsEnabled", "getName", "()Ljava/lang/String;", "setName", "(Ljava/lang/String;)V", "page", "getVisible", "()Z", "setVisible", "(Z)V", "visualState", "Lcom/graphisoft/bimx/connector/handles/VisualStateHandle;", "zoomBox", "Landroid/graphics/RectF;", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class Favorite {
    @e
    private ContentSpecification content;
    @e
    private final Integer favoriteId;
    @e
    private Bitmap image;
    private boolean labelsEnabled;
    @d
    private String name;
    private int page;
    @e
    private final UUID pubItemId;
    private boolean visible;
    @e
    private VisualStateHandle visualState;
    private final boolean zonesEnabled;
    @e
    private RectF zoomBox;

    public Favorite(@d String str, boolean z7, @e Integer num, @e UUID uuid, boolean z8) {
        l0.p(str, "name");
        this.name = str;
        this.visible = z7;
        this.favoriteId = num;
        this.pubItemId = uuid;
        this.zonesEnabled = z8;
    }

    @e
    public final ContentSpecification getContent() {
        return this.content;
    }

    @e
    public final Integer getFavoriteId() {
        return this.favoriteId;
    }

    @e
    public final Bitmap getImage() {
        return this.image;
    }

    @d
    public final String getName() {
        return this.name;
    }

    public final boolean getVisible() {
        return this.visible;
    }

    public final void setContent(@e ContentSpecification contentSpecification) {
        this.content = contentSpecification;
    }

    public final void setImage(@e Bitmap bitmap) {
        this.image = bitmap;
    }

    public final void setName(@d String str) {
        l0.p(str, "<set-?>");
        this.name = str;
    }

    public final void setVisible(boolean z7) {
        this.visible = z7;
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ Favorite(String str, boolean z7, Integer num, UUID uuid, boolean z8, int i7, w wVar) {
        this(str, z7, (i7 & 4) != 0 ? null : num, (i7 & 8) != 0 ? null : uuid, (i7 & 16) != 0 ? false : z8);
    }
}
