package com.graphisoft.bimx.connector.data;

import a7.d;
import android.graphics.Bitmap;
import com.graphisoft.bimx.connector.handles.VisualStateHandle;
import java.util.ArrayList;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000.\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\f\u0018\u00002\u00020\u0001B3\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0007\u0012\f\u0010\b\u001a\b\u0012\u0004\u0012\u00020\n0\t\u0012\u0006\u0010\u000b\u001a\u00020\f¢\u0006\u0002\u0010\rR\u0011\u0010\u0004\u001a\u00020\u0005¢\u0006\b\n\u0000\u001a\u0004\b\u000e\u0010\u000fR\u0011\u0010\u000b\u001a\u00020\f¢\u0006\b\n\u0000\u001a\u0004\b\u0010\u0010\u0011R\u0011\u0010\u0006\u001a\u00020\u0007¢\u0006\b\n\u0000\u001a\u0004\b\u0012\u0010\u0013R\u0011\u0010\u0002\u001a\u00020\u0003¢\u0006\b\n\u0000\u001a\u0004\b\u0014\u0010\u0015R\u0017\u0010\b\u001a\b\u0012\u0004\u0012\u00020\n0\t¢\u0006\b\n\u0000\u001a\u0004\b\u0016\u0010\u0017¨\u0006\u0018"}, d2 = {"Lcom/graphisoft/bimx/connector/data/Gallery;", "", "name", "", "bezier", "", "inBetweenFrames", "", "visualStates", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/handles/VisualStateHandle;", "image", "Landroid/graphics/Bitmap;", "(Ljava/lang/String;ZILjava/util/ArrayList;Landroid/graphics/Bitmap;)V", "getBezier", "()Z", "getImage", "()Landroid/graphics/Bitmap;", "getInBetweenFrames", "()I", "getName", "()Ljava/lang/String;", "getVisualStates", "()Ljava/util/ArrayList;", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class Gallery {
    private final boolean bezier;
    @d
    private final Bitmap image;
    private final int inBetweenFrames;
    @d
    private final String name;
    @d
    private final ArrayList<VisualStateHandle> visualStates;

    public Gallery(@d String str, boolean z7, int i7, @d ArrayList<VisualStateHandle> arrayList, @d Bitmap bitmap) {
        l0.p(str, "name");
        l0.p(arrayList, "visualStates");
        l0.p(bitmap, "image");
        this.name = str;
        this.bezier = z7;
        this.inBetweenFrames = i7;
        this.visualStates = arrayList;
        this.image = bitmap;
    }

    public final boolean getBezier() {
        return this.bezier;
    }

    @d
    public final Bitmap getImage() {
        return this.image;
    }

    public final int getInBetweenFrames() {
        return this.inBetweenFrames;
    }

    @d
    public final String getName() {
        return this.name;
    }

    @d
    public final ArrayList<VisualStateHandle> getVisualStates() {
        return this.visualStates;
    }
}
