package com.graphisoft.bimx.connector.data;

import a7.d;
import a7.e;
import com.graphisoft.bimx.connector.enums.IndexCellType;
import com.graphisoft.bimx.connector.enums.IndexCellUpdateType;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000H\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u000f\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR \u0010\t\u001a\b\u0012\u0004\u0012\u00020\u000b0\nX.¢\u0006\u000e\n\u0000\u001a\u0004\b\f\u0010\r\"\u0004\b\u000e\u0010\u000fR\u001a\u0010\u0010\u001a\u00020\u0011X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015R\u001a\u0010\u0016\u001a\u00020\u0017X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0018\u0010\u0019\"\u0004\b\u001a\u0010\u001bR\u001a\u0010\u001c\u001a\u00020\u0017X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001c\u0010\u0019\"\u0004\b\u001d\u0010\u001bR\u001a\u0010\u001e\u001a\u00020\u000bX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u001f\u0010 \"\u0004\b!\u0010\"R\u001a\u0010#\u001a\u00020\u000bX\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b$\u0010 \"\u0004\b%\u0010\"R\u001a\u0010&\u001a\u00020'X.¢\u0006\u000e\n\u0000\u001a\u0004\b(\u0010)\"\u0004\b*\u0010+R\u001c\u0010,\u001a\u0004\u0018\u00010-X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b.\u0010/\"\u0004\b0\u00101R\u001c\u00102\u001a\u0004\u0018\u000103X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b4\u00105\"\u0004\b6\u00107¨\u00068"}, d2 = {"Lcom/graphisoft/bimx/connector/data/IndexCellData;", "", "()V", "caption", "", "getCaption", "()Ljava/lang/String;", "setCaption", "(Ljava/lang/String;)V", "folderPath", "Ljava/util/ArrayList;", "", "getFolderPath", "()Ljava/util/ArrayList;", "setFolderPath", "(Ljava/util/ArrayList;)V", "guid", "Ljava/util/UUID;", "getGuid", "()Ljava/util/UUID;", "setGuid", "(Ljava/util/UUID;)V", "hasUpdate", "", "getHasUpdate", "()Z", "setHasUpdate", "(Z)V", "isPubItemValid", "setPubItemValid", "level", "getLevel", "()I", "setLevel", "(I)V", "numberOfUpdates", "getNumberOfUpdates", "setNumberOfUpdates", "type", "Lcom/graphisoft/bimx/connector/enums/IndexCellType;", "getType", "()Lcom/graphisoft/bimx/connector/enums/IndexCellType;", "setType", "(Lcom/graphisoft/bimx/connector/enums/IndexCellType;)V", "updatePublishDate", "Ljava/util/Calendar;", "getUpdatePublishDate", "()Ljava/util/Calendar;", "setUpdatePublishDate", "(Ljava/util/Calendar;)V", "updateType", "Lcom/graphisoft/bimx/connector/enums/IndexCellUpdateType;", "getUpdateType", "()Lcom/graphisoft/bimx/connector/enums/IndexCellUpdateType;", "setUpdateType", "(Lcom/graphisoft/bimx/connector/enums/IndexCellUpdateType;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class IndexCellData {
    public String caption;
    public ArrayList<Integer> folderPath;
    public UUID guid;
    private boolean hasUpdate;
    private boolean isPubItemValid;
    private int level;
    private int numberOfUpdates;
    public IndexCellType type;
    @e
    private Calendar updatePublishDate;
    @e
    private IndexCellUpdateType updateType;

    @d
    public final String getCaption() {
        String str = this.caption;
        if (str != null) {
            return str;
        }
        l0.S("caption");
        return null;
    }

    @d
    public final ArrayList<Integer> getFolderPath() {
        ArrayList<Integer> arrayList = this.folderPath;
        if (arrayList != null) {
            return arrayList;
        }
        l0.S("folderPath");
        return null;
    }

    @d
    public final UUID getGuid() {
        UUID uuid = this.guid;
        if (uuid != null) {
            return uuid;
        }
        l0.S("guid");
        return null;
    }

    public final boolean getHasUpdate() {
        return this.hasUpdate;
    }

    public final int getLevel() {
        return this.level;
    }

    public final int getNumberOfUpdates() {
        return this.numberOfUpdates;
    }

    @d
    public final IndexCellType getType() {
        IndexCellType indexCellType = this.type;
        if (indexCellType != null) {
            return indexCellType;
        }
        l0.S("type");
        return null;
    }

    @e
    public final Calendar getUpdatePublishDate() {
        return this.updatePublishDate;
    }

    @e
    public final IndexCellUpdateType getUpdateType() {
        return this.updateType;
    }

    public final boolean isPubItemValid() {
        return this.isPubItemValid;
    }

    public final void setCaption(@d String str) {
        l0.p(str, "<set-?>");
        this.caption = str;
    }

    public final void setFolderPath(@d ArrayList<Integer> arrayList) {
        l0.p(arrayList, "<set-?>");
        this.folderPath = arrayList;
    }

    public final void setGuid(@d UUID uuid) {
        l0.p(uuid, "<set-?>");
        this.guid = uuid;
    }

    public final void setHasUpdate(boolean z7) {
        this.hasUpdate = z7;
    }

    public final void setLevel(int i7) {
        this.level = i7;
    }

    public final void setNumberOfUpdates(int i7) {
        this.numberOfUpdates = i7;
    }

    public final void setPubItemValid(boolean z7) {
        this.isPubItemValid = z7;
    }

    public final void setType(@d IndexCellType indexCellType) {
        l0.p(indexCellType, "<set-?>");
        this.type = indexCellType;
    }

    public final void setUpdatePublishDate(@e Calendar calendar) {
        this.updatePublishDate = calendar;
    }

    public final void setUpdateType(@e IndexCellUpdateType indexCellUpdateType) {
        this.updateType = indexCellUpdateType;
    }
}
