package com.graphisoft.bimx.connector.handles;

import android.os.Parcel;
import android.os.Parcelable;
import d5.d;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.w;
import q4.l;

@i0(d1 = {"\u0000$\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\t\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\t\b\u0017\u0018\u0000 \u00112\u00020\u0001:\u0001\u0011B\u000f\u0012\u0006\u0010\u000b\u001a\u00020\u0002¢\u0006\u0004\b\u000f\u0010\u0010J\u0006\u0010\u0003\u001a\u00020\u0002J\t\u0010\u0005\u001a\u00020\u0004HÖ\u0001J\u0019\u0010\n\u001a\u00020\t2\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\u0004HÖ\u0001R\u001a\u0010\u000b\u001a\u00020\u00028\u0014X\u0004¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\r\u0010\u000e¨\u0006\u0012"}, d2 = {"Lcom/graphisoft/bimx/connector/handles/CppObjectHandle;", "Landroid/os/Parcelable;", "", "getID", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "storeID", "J", "getStoreID", "()J", "<init>", "(J)V", "Companion", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public class CppObjectHandle implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<CppObjectHandle> CREATOR = new Creator();
    @a7.d
    public static final Companion Companion = new Companion(null);
    private final long storeID;

    @i0(d1 = {"\u0000\u0016\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0010\t\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\b\u0003\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u0006\u0010\u0007J\u0011\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0003\u001a\u00020\u0002H ¨\u0006\b"}, d2 = {"Lcom/graphisoft/bimx/connector/handles/CppObjectHandle$Companion;", "", "", "storeID", "Lkotlin/l2;", "dealloc", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
    public static final class Companion {
        private Companion() {
        }

        @l
        public final void dealloc(long j7) {
            CppObjectHandle.dealloc(j7);
        }

        public /* synthetic */ Companion(w wVar) {
            this();
        }
    }

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<CppObjectHandle> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final CppObjectHandle createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            return new CppObjectHandle(parcel.readLong());
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final CppObjectHandle[] newArray(int i7) {
            return new CppObjectHandle[i7];
        }
    }

    public CppObjectHandle(long j7) {
        this.storeID = j7;
        CppObjectHandleLifetimeManager.register(this);
    }

    @l
    public static final native void dealloc(long j7);

    public int describeContents() {
        return 0;
    }

    public final long getID() {
        return getStoreID();
    }

    /* access modifiers changed from: protected */
    public long getStoreID() {
        return this.storeID;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeLong(this.storeID);
    }
}
