package com.graphisoft.bimxlab.mailbox.fragment;

import a7.d;
import android.content.Context;
import android.content.res.Resources;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.SpannableString;
import android.text.style.ForegroundColorSpan;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.activity.OnBackPressedCallback;
import androidx.core.os.BundleKt;
import androidx.fragment.app.FragmentActivity;
import androidx.lifecycle.ViewModelProvider;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.google.firebase.messaging.c;
import com.graphisoft.bimx.connector.data.MessageComposerUser;
import com.graphisoft.bimxlab.MainActivity;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.fragment.e;
import com.graphisoft.bimxlab.base.view.TitleBarView;
import com.graphisoft.bimxlab.mailbox.model.ContactFragmentData;
import com.graphisoft.bimxlab.s;
import j1.d4;
import java.util.ArrayList;
import java.util.Iterator;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.w;
import kotlin.p1;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import q4.l;
import s1.f;

@i0(d1 = {"\u0000Z\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\n\u0018\u0000 /2\u00020\u0001:\u00010B\u0007¢\u0006\u0004\b-\u0010.J\b\u0010\u0003\u001a\u00020\u0002H\u0002J\b\u0010\u0004\u001a\u00020\u0002H\u0002J\b\u0010\u0005\u001a\u00020\u0002H\u0002J \u0010\n\u001a\u00020\u00022\u0016\u0010\t\u001a\u0012\u0012\u0004\u0012\u00020\u00070\u0006j\b\u0012\u0004\u0012\u00020\u0007`\bH\u0002J&\u0010\u0012\u001a\u0004\u0018\u00010\u00112\u0006\u0010\f\u001a\u00020\u000b2\b\u0010\u000e\u001a\u0004\u0018\u00010\r2\b\u0010\u0010\u001a\u0004\u0018\u00010\u000fH\u0016J\u001a\u0010\u0014\u001a\u00020\u00022\u0006\u0010\u0013\u001a\u00020\u00112\b\u0010\u0010\u001a\u0004\u0018\u00010\u000fH\u0016J\b\u0010\u0015\u001a\u00020\u0002H\u0016J\u0006\u0010\u0016\u001a\u00020\u0002J\u0006\u0010\u0017\u001a\u00020\u0002J\u0010\u0010\u001a\u001a\u00020\u00022\u0006\u0010\u0019\u001a\u00020\u0018H\u0007R\"\u0010\"\u001a\u00020\u001b8\u0006@\u0006X.¢\u0006\u0012\n\u0004\b\u001c\u0010\u001d\u001a\u0004\b\u001e\u0010\u001f\"\u0004\b \u0010!R\u0018\u0010&\u001a\u0004\u0018\u00010#8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b$\u0010%R\u0017\u0010,\u001a\u00020'8\u0006¢\u0006\f\n\u0004\b(\u0010)\u001a\u0004\b*\u0010+¨\u00061"}, d2 = {"Lcom/graphisoft/bimxlab/mailbox/fragment/c;", "Lcom/graphisoft/bimxlab/base/fragment/e;", "Lkotlin/l2;", "z", "t", "C", "Ljava/util/ArrayList;", "Lk1/a;", "Lkotlin/collections/ArrayList;", "itemModels", "E", "Landroid/view/LayoutInflater;", "inflater", "Landroid/view/ViewGroup;", "container", "Landroid/os/Bundle;", "savedInstanceState", "Landroid/view/View;", "onCreateView", "view", "onViewCreated", "onDestroy", "w", "A", "Lj1/w;", "event", "onContactCellSelectedEvent", "Lcom/graphisoft/bimxlab/mailbox/viewModel/b;", "d", "Lcom/graphisoft/bimxlab/mailbox/viewModel/b;", "v", "()Lcom/graphisoft/bimxlab/mailbox/viewModel/b;", "D", "(Lcom/graphisoft/bimxlab/mailbox/viewModel/b;)V", "viewModel", "Ls1/f;", "e", "Ls1/f;", "binding", "Lcom/graphisoft/bimxlab/mailbox/adapter/a;", "f", "Lcom/graphisoft/bimxlab/mailbox/adapter/a;", "u", "()Lcom/graphisoft/bimxlab/mailbox/adapter/a;", "adapter", "<init>", "()V", "g", "a", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class c extends e {
    @d

    /* renamed from: g  reason: collision with root package name */
    public static final a f16177g = new a(null);

    /* renamed from: d  reason: collision with root package name */
    public com.graphisoft.bimxlab.mailbox.viewModel.b f16178d;
    @a7.e

    /* renamed from: e  reason: collision with root package name */
    private f f16179e;
    @d

    /* renamed from: f  reason: collision with root package name */
    private final com.graphisoft.bimxlab.mailbox.adapter.a f16180f = new com.graphisoft.bimxlab.mailbox.adapter.a();

    public static final class a {
        private a() {
        }

        @d
        @l
        public final c a(@d Parcelable parcelable) {
            l0.p(parcelable, c.f.a.f14539c0);
            c cVar = new c();
            cVar.setArguments(BundleKt.bundleOf(p1.a("fragment_data_key", parcelable)));
            return cVar;
        }

        public /* synthetic */ a(w wVar) {
            this();
        }
    }

    public static final class b extends OnBackPressedCallback {
        b() {
            super(true);
        }

        @Override // androidx.activity.OnBackPressedCallback
        public void handleOnBackPressed() {
            EventBus.getDefault().post(new d4());
        }
    }

    @d
    @l
    public static final c B(@d Parcelable parcelable) {
        return f16177g.a(parcelable);
    }

    private final void C() {
        TextView textView;
        TextView textView2;
        SpannableString spannableString = new SpannableString(getResources().getString(s.n.S8));
        spannableString.setSpan(new ForegroundColorSpan(-16777216), 0, spannableString.length(), 33);
        f fVar = this.f16179e;
        TextView textView3 = fVar != null ? fVar.f25375f : null;
        if (textView3 != null) {
            textView3.setText(spannableString);
        }
        f fVar2 = this.f16179e;
        if (!(fVar2 == null || (textView2 = fVar2.f25375f) == null)) {
            textView2.append("  ");
        }
        SpannableString spannableString2 = new SpannableString(this.f16180f.B());
        spannableString2.setSpan(new ForegroundColorSpan(-16776961), 0, spannableString2.length(), 33);
        f fVar3 = this.f16179e;
        if (fVar3 != null && (textView = fVar3.f25375f) != null) {
            textView.append(spannableString2);
        }
    }

    private final void E(ArrayList<k1.a> arrayList) {
        this.f16180f.o();
        this.f16180f.n(arrayList);
        this.f16180f.notifyDataSetChanged();
    }

    private final void t() {
        TitleBarView titleBarView;
        f fVar = this.f16179e;
        if (fVar != null && (titleBarView = fVar.f25374e) != null) {
            com.graphisoft.bimxlab.mailbox.viewModel.b v7 = v();
            Resources resources = getResources();
            l0.o(resources, "resources");
            titleBarView.n(v7.c(resources));
        }
    }

    /* access modifiers changed from: private */
    public static final void x(View view) {
        new a();
    }

    /* access modifiers changed from: private */
    public static final void y(View view) {
    }

    private final void z() {
        requireActivity().getOnBackPressedDispatcher().addCallback(getViewLifecycleOwner(), new b());
    }

    public final void A() {
        f fVar;
        RecyclerView recyclerView;
        f fVar2 = this.f16179e;
        RecyclerView recyclerView2 = null;
        RecyclerView recyclerView3 = fVar2 != null ? fVar2.f25372c : null;
        if (recyclerView3 != null) {
            recyclerView3.setLayoutManager(new LinearLayoutManager(getContext(), 1, false));
        }
        f fVar3 = this.f16179e;
        if (fVar3 != null) {
            recyclerView2 = fVar3.f25372c;
        }
        if (recyclerView2 != null) {
            recyclerView2.setAdapter(this.f16180f);
        }
        Context context = getContext();
        if (!(context == null || (fVar = this.f16179e) == null || (recyclerView = fVar.f25372c) == null)) {
            recyclerView.addItemDecoration(new o3.d(context));
        }
        E(v().e());
        C();
    }

    public final void D(@d com.graphisoft.bimxlab.mailbox.viewModel.b bVar) {
        l0.p(bVar, "<set-?>");
        this.f16178d = bVar;
    }

    @Subscribe
    public final void onContactCellSelectedEvent(@d j1.w wVar) {
        l0.p(wVar, "event");
        C();
        ArrayList<MessageComposerUser> b7 = v().f().b();
        MessageComposerUser messageComposerUser = null;
        if (b7 != null) {
            Iterator<T> it = b7.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                T next = it.next();
                if (l0.g(next.getServerId(), wVar.b())) {
                    messageComposerUser = next;
                    break;
                }
            }
            messageComposerUser = messageComposerUser;
        }
        ArrayList<MessageComposerUser> b8 = v().f().b();
        if (messageComposerUser != null) {
            if (b8 != null) {
                b8.remove(messageComposerUser);
            }
        } else if (b8 != null) {
            b8.add(new MessageComposerUser(wVar.a(), wVar.b()));
        }
    }

    @Override // androidx.fragment.app.Fragment
    @a7.e
    public View onCreateView(@d LayoutInflater layoutInflater, @a7.e ViewGroup viewGroup, @a7.e Bundle bundle) {
        l0.p(layoutInflater, "inflater");
        f d7 = f.d(layoutInflater, viewGroup, false);
        this.f16179e = d7;
        if (d7 != null) {
            return d7.getRoot();
        }
        return null;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            ((MainActivity) activity).W(v().h());
            super.onDestroy();
            this.f16179e = null;
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(@d View view, @a7.e Bundle bundle) {
        l0.p(view, "view");
        super.onViewCreated(view, bundle);
        w();
    }

    @d
    public final com.graphisoft.bimxlab.mailbox.adapter.a u() {
        return this.f16180f;
    }

    @d
    public final com.graphisoft.bimxlab.mailbox.viewModel.b v() {
        com.graphisoft.bimxlab.mailbox.viewModel.b bVar = this.f16178d;
        if (bVar != null) {
            return bVar;
        }
        l0.S("viewModel");
        return null;
    }

    public final void w() {
        f fVar;
        View view;
        LinearLayout linearLayout;
        Object obj;
        D((com.graphisoft.bimxlab.mailbox.viewModel.b) new ViewModelProvider(this).get(com.graphisoft.bimxlab.mailbox.viewModel.b.class));
        Bundle arguments = getArguments();
        if (arguments != null) {
            com.graphisoft.bimxlab.mailbox.viewModel.b v7 = v();
            if (Build.VERSION.SDK_INT >= 33) {
                obj = (Parcelable) arguments.getParcelable("fragment_data_key", ContactFragmentData.class);
            } else {
                Parcelable parcelable = arguments.getParcelable("fragment_data_key");
                if (!(parcelable instanceof ContactFragmentData)) {
                    parcelable = null;
                }
                obj = (ContactFragmentData) parcelable;
            }
            l0.m(obj);
            v7.j((ContactFragmentData) obj);
        }
        v().i(p());
        t();
        A();
        f fVar2 = this.f16179e;
        if (!(fVar2 == null || (linearLayout = fVar2.f25373d) == null)) {
            linearLayout.setOnClickListener(new b());
        }
        if (!ExtensionsKt.Q(getContext()) && ExtensionsKt.O(getContext()) && (fVar = this.f16179e) != null && (view = fVar.f25371b) != null) {
            ExtensionsKt.c0(view);
        }
        z();
    }
}
