package in.uncod.android.bypass;

import android.text.SpannableStringBuilder;

public class ReverseSpannableStringBuilder extends SpannableStringBuilder {
    private static void reverse(Object[] objArr) {
        if (objArr != null) {
            int length = objArr.length - 1;
            for (int i7 = 0; length > i7; i7++) {
                Object obj = objArr[length];
                objArr[length] = objArr[i7];
                objArr[i7] = obj;
                length--;
            }
        }
    }

    @Override // android.text.SpannableStringBuilder, android.text.Spanned
    public <T> T[] getSpans(int i7, int i8, Class<T> cls) {
        T[] tArr = (T[]) super.getSpans(i7, i8, cls);
        reverse(tArr);
        return tArr;
    }
}
