package kotlin.collections;

import a7.d;
import a7.e;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import kotlin.a1;
import kotlin.b2;
import kotlin.collections.unsigned.c;
import kotlin.g1;
import kotlin.h2;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.p1;
import kotlin.ranges.q;
import kotlin.t1;
import kotlin.u0;
import kotlin.x1;
import q4.h;
import r4.a;

/* access modifiers changed from: package-private */
public class n extends m {
    @g1(version = "1.3")
    @h(name = "contentDeepEquals")
    @a1
    public static final <T> boolean g(@e T[] tArr, @e T[] tArr2) {
        if (tArr == tArr2) {
            return true;
        }
        if (tArr == null || tArr2 == null || tArr.length != tArr2.length) {
            return false;
        }
        int length = tArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            T t7 = tArr[i7];
            T t8 = tArr2[i7];
            if (t7 != t8) {
                if (t7 == null || t8 == null) {
                    return false;
                }
                if (!(t7 instanceof Object[]) || !(t8 instanceof Object[])) {
                    if (!(t7 instanceof byte[]) || !(t8 instanceof byte[])) {
                        if (!(t7 instanceof short[]) || !(t8 instanceof short[])) {
                            if (!(t7 instanceof int[]) || !(t8 instanceof int[])) {
                                if (!(t7 instanceof long[]) || !(t8 instanceof long[])) {
                                    if (!(t7 instanceof float[]) || !(t8 instanceof float[])) {
                                        if (!(t7 instanceof double[]) || !(t8 instanceof double[])) {
                                            if (!(t7 instanceof char[]) || !(t8 instanceof char[])) {
                                                if (!(t7 instanceof boolean[]) || !(t8 instanceof boolean[])) {
                                                    if (!(t7 instanceof t1) || !(t8 instanceof t1)) {
                                                        if (!(t7 instanceof h2) || !(t8 instanceof h2)) {
                                                            if (!(t7 instanceof x1) || !(t8 instanceof x1)) {
                                                                if (!(t7 instanceof b2) || !(t8 instanceof b2)) {
                                                                    if (!l0.g(t7, t8)) {
                                                                        return false;
                                                                    }
                                                                } else if (!(c.X0(t7.P(), t8.P()))) {
                                                                    return false;
                                                                }
                                                            } else if (!(c.T0(t7.P(), t8.P()))) {
                                                                return false;
                                                            }
                                                        } else if (!(c.S0(t7.P(), t8.P()))) {
                                                            return false;
                                                        }
                                                    } else if (!(c.V0(t7.P(), t8.P()))) {
                                                        return false;
                                                    }
                                                } else if (!Arrays.equals((boolean[]) t7, (boolean[]) t8)) {
                                                    return false;
                                                }
                                            } else if (!Arrays.equals((char[]) t7, (char[]) t8)) {
                                                return false;
                                            }
                                        } else if (!Arrays.equals((double[]) t7, (double[]) t8)) {
                                            return false;
                                        }
                                    } else if (!Arrays.equals((float[]) t7, (float[]) t8)) {
                                        return false;
                                    }
                                } else if (!Arrays.equals((long[]) t7, (long[]) t8)) {
                                    return false;
                                }
                            } else if (!Arrays.equals((int[]) t7, (int[]) t8)) {
                                return false;
                            }
                        } else if (!Arrays.equals((short[]) t7, (short[]) t8)) {
                            return false;
                        }
                    } else if (!Arrays.equals((byte[]) t7, (byte[]) t8)) {
                        return false;
                    }
                } else if (!g((Object[]) t7, (Object[]) t8)) {
                    return false;
                }
            }
        }
        return true;
    }

    @g1(version = "1.3")
    @h(name = "contentDeepToString")
    @d
    @a1
    public static final <T> String h(@e T[] tArr) {
        if (tArr == null) {
            return "null";
        }
        StringBuilder sb = new StringBuilder((q.u(tArr.length, 429496729) * 5) + 2);
        i(tArr, sb, new ArrayList());
        String sb2 = sb.toString();
        l0.o(sb2, "StringBuilder(capacity).…builderAction).toString()");
        return sb2;
    }

    private static final <T> void i(T[] tArr, StringBuilder sb, List<Object[]> list) {
        String obj;
        if (list.contains(tArr)) {
            sb.append("[...]");
            return;
        }
        list.add(tArr);
        sb.append('[');
        int length = tArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(", ");
            }
            T t7 = tArr[i7];
            if (t7 == null) {
                obj = "null";
            } else if (t7 instanceof Object[]) {
                i((Object[]) t7, sb, list);
            } else {
                if (t7 instanceof byte[]) {
                    obj = Arrays.toString((byte[]) t7);
                } else if (t7 instanceof short[]) {
                    obj = Arrays.toString((short[]) t7);
                } else if (t7 instanceof int[]) {
                    obj = Arrays.toString((int[]) t7);
                } else if (t7 instanceof long[]) {
                    obj = Arrays.toString((long[]) t7);
                } else if (t7 instanceof float[]) {
                    obj = Arrays.toString((float[]) t7);
                } else if (t7 instanceof double[]) {
                    obj = Arrays.toString((double[]) t7);
                } else if (t7 instanceof char[]) {
                    obj = Arrays.toString((char[]) t7);
                } else if (t7 instanceof boolean[]) {
                    obj = Arrays.toString((boolean[]) t7);
                } else {
                    obj = t7 instanceof t1 ? c.j1(t7.P()) : t7 instanceof h2 ? c.n1(t7.P()) : t7 instanceof x1 ? c.m1(t7.P()) : t7 instanceof b2 ? c.p1(t7.P()) : t7.toString();
                }
                l0.o(obj, "toString(this)");
            }
            sb.append(obj);
        }
        sb.append(']');
        list.remove(y.H(list));
    }

    @d
    public static final <T> List<T> j(@d T[][] tArr) {
        l0.p(tArr, "<this>");
        int i7 = 0;
        for (T[] tArr2 : tArr) {
            i7 += tArr2.length;
        }
        ArrayList arrayList = new ArrayList(i7);
        for (T[] tArr3 : tArr) {
            d0.q0(arrayList, tArr3);
        }
        return arrayList;
    }

    /* JADX WARN: Incorrect types in method signature: <C:[Ljava/lang/Object;:TR;R:Ljava/lang/Object;>(TC;Lr4/a<+TR;>;)TR; */
    @g1(version = "1.3")
    @f
    private static final Object k(Object[] objArr, a aVar) {
        l0.p(aVar, "defaultValue");
        return objArr.length == 0 ? aVar.invoke() : objArr;
    }

    @g1(version = "1.3")
    @f
    private static final boolean l(Object[] objArr) {
        if (objArr == null) {
            return true;
        }
        return objArr.length == 0;
    }

    @d
    public static final <T, R> u0<List<T>, List<R>> m(@d u0<? extends T, ? extends R>[] u0VarArr) {
        l0.p(u0VarArr, "<this>");
        ArrayList arrayList = new ArrayList(u0VarArr.length);
        ArrayList arrayList2 = new ArrayList(u0VarArr.length);
        for (u0<? extends T, ? extends R> u0Var : u0VarArr) {
            arrayList.add(u0Var.e());
            arrayList2.add(u0Var.f());
        }
        return p1.a(arrayList, arrayList2);
    }
}
