package kotlin.collections;

import a7.d;
import java.util.Collection;
import java.util.LinkedHashSet;
import java.util.Set;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.sequences.m;

/* access modifiers changed from: package-private */
public class o1 extends n1 {
    @d
    public static final <T> Set<T> A(@d Set<? extends T> set, @d T[] tArr) {
        l0.p(set, "<this>");
        l0.p(tArr, "elements");
        LinkedHashSet linkedHashSet = new LinkedHashSet(set);
        d0.H0(linkedHashSet, tArr);
        return linkedHashSet;
    }

    @f
    private static final <T> Set<T> B(Set<? extends T> set, T t7) {
        l0.p(set, "<this>");
        return y(set, t7);
    }

    @d
    public static <T> Set<T> C(@d Set<? extends T> set, @d Iterable<? extends T> iterable) {
        int i7;
        l0.p(set, "<this>");
        l0.p(iterable, "elements");
        Integer a02 = z.a0(iterable);
        if (a02 != null) {
            i7 = set.size() + a02.intValue();
        } else {
            i7 = set.size() * 2;
        }
        LinkedHashSet linkedHashSet = new LinkedHashSet(b1.j(i7));
        linkedHashSet.addAll(set);
        boolean unused = d0.o0(linkedHashSet, iterable);
        return linkedHashSet;
    }

    @d
    public static <T> Set<T> D(@d Set<? extends T> set, T t7) {
        l0.p(set, "<this>");
        LinkedHashSet linkedHashSet = new LinkedHashSet(b1.j(set.size() + 1));
        linkedHashSet.addAll(set);
        linkedHashSet.add(t7);
        return linkedHashSet;
    }

    @d
    public static final <T> Set<T> E(@d Set<? extends T> set, @d m<? extends T> mVar) {
        l0.p(set, "<this>");
        l0.p(mVar, "elements");
        LinkedHashSet linkedHashSet = new LinkedHashSet(b1.j(set.size() * 2));
        linkedHashSet.addAll(set);
        boolean unused = d0.p0(linkedHashSet, mVar);
        return linkedHashSet;
    }

    @d
    public static final <T> Set<T> F(@d Set<? extends T> set, @d T[] tArr) {
        l0.p(set, "<this>");
        l0.p(tArr, "elements");
        LinkedHashSet linkedHashSet = new LinkedHashSet(b1.j(set.size() + tArr.length));
        linkedHashSet.addAll(set);
        d0.q0(linkedHashSet, tArr);
        return linkedHashSet;
    }

    @f
    private static final <T> Set<T> G(Set<? extends T> set, T t7) {
        l0.p(set, "<this>");
        return D(set, t7);
    }

    @d
    public static final <T> Set<T> x(@d Set<? extends T> set, @d Iterable<? extends T> iterable) {
        l0.p(set, "<this>");
        l0.p(iterable, "elements");
        Collection<?> d7 = s.d(iterable, set);
        if (d7.isEmpty()) {
            return g0.V5(set);
        }
        if (d7 instanceof Set) {
            LinkedHashSet linkedHashSet = new LinkedHashSet();
            for (T t7 : set) {
                if (!d7.contains(t7)) {
                    linkedHashSet.add(t7);
                }
            }
            return linkedHashSet;
        }
        LinkedHashSet linkedHashSet2 = new LinkedHashSet(set);
        linkedHashSet2.removeAll(d7);
        return linkedHashSet2;
    }

    @d
    public static <T> Set<T> y(@d Set<? extends T> set, T t7) {
        l0.p(set, "<this>");
        LinkedHashSet linkedHashSet = new LinkedHashSet(b1.j(set.size()));
        boolean z7 = false;
        for (T t8 : set) {
            boolean z8 = true;
            if (!z7 && l0.g(t8, t7)) {
                z7 = true;
                z8 = false;
            }
            if (z8) {
                linkedHashSet.add(t8);
            }
        }
        return linkedHashSet;
    }

    @d
    public static final <T> Set<T> z(@d Set<? extends T> set, @d m<? extends T> mVar) {
        l0.p(set, "<this>");
        l0.p(mVar, "elements");
        LinkedHashSet linkedHashSet = new LinkedHashSet(set);
        d0.G0(linkedHashSet, mVar);
        return linkedHashSet;
    }
}
