package kotlin.ranges;

import a7.d;
import a7.e;
import java.util.NoSuchElementException;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.l;
import kotlin.q2;
import kotlin.random.g;
import kotlin.ranges.a;
import kotlin.ranges.i;
import kotlin.ranges.l;
import kotlin.s;
import kotlinx.coroutines.scheduling.r;
import q4.h;

/* access modifiers changed from: package-private */
public class q extends p {
    public static final float A(float f7, float f8, float f9) {
        if (f8 <= f9) {
            return f7 < f8 ? f8 : f7 > f9 ? f9 : f7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + f9 + " is less than minimum " + f8 + '.');
    }

    @g1(version = "1.7")
    public static final long A0(@d l lVar) {
        l0.p(lVar, "<this>");
        if (!lVar.isEmpty()) {
            return lVar.e();
        }
        throw new NoSuchElementException("Progression " + lVar + " is empty.");
    }

    @d
    public static final k A1(int i7, short s7) {
        return new k(i7, s7 - 1);
    }

    public static int B(int i7, int i8, int i9) {
        if (i8 <= i9) {
            return i7 < i8 ? i8 : i7 > i9 ? i9 : i7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + i9 + " is less than minimum " + i8 + '.');
    }

    @g1(version = "1.7")
    @e
    public static final Character B0(@d a aVar) {
        l0.p(aVar, "<this>");
        if (aVar.isEmpty()) {
            return null;
        }
        return Character.valueOf(aVar.e());
    }

    @d
    public static final k B1(short s7, byte b7) {
        return new k(s7, b7 - 1);
    }

    public static final int C(int i7, @d g<Integer> gVar) {
        Integer endInclusive;
        l0.p(gVar, "range");
        if (gVar instanceof f) {
            return ((Number) G(Integer.valueOf(i7), (f) gVar)).intValue();
        }
        if (!gVar.isEmpty()) {
            if (i7 < gVar.getStart().intValue()) {
                endInclusive = gVar.getStart();
            } else if (i7 <= gVar.getEndInclusive().intValue()) {
                return i7;
            } else {
                endInclusive = gVar.getEndInclusive();
            }
            return endInclusive.intValue();
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: " + gVar + '.');
    }

    @g1(version = "1.7")
    @e
    public static final Integer C0(@d i iVar) {
        l0.p(iVar, "<this>");
        if (iVar.isEmpty()) {
            return null;
        }
        return Integer.valueOf(iVar.e());
    }

    @d
    public static final k C1(short s7, int i7) {
        return i7 <= Integer.MIN_VALUE ? k.f19960y.a() : new k(s7, i7 - 1);
    }

    public static long D(long j7, long j8, long j9) {
        if (j8 <= j9) {
            return j7 < j8 ? j8 : j7 > j9 ? j9 : j7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + j9 + " is less than minimum " + j8 + '.');
    }

    @g1(version = "1.7")
    @e
    public static final Long D0(@d l lVar) {
        l0.p(lVar, "<this>");
        if (lVar.isEmpty()) {
            return null;
        }
        return Long.valueOf(lVar.e());
    }

    @d
    public static final k D1(short s7, short s8) {
        return new k(s7, s8 - 1);
    }

    public static long E(long j7, @d g<Long> gVar) {
        Long endInclusive;
        l0.p(gVar, "range");
        if (gVar instanceof f) {
            return ((Number) G(Long.valueOf(j7), (f) gVar)).longValue();
        }
        if (!gVar.isEmpty()) {
            if (j7 < gVar.getStart().longValue()) {
                endInclusive = gVar.getStart();
            } else if (j7 <= gVar.getEndInclusive().longValue()) {
                return j7;
            } else {
                endInclusive = gVar.getEndInclusive();
            }
            return endInclusive.longValue();
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: " + gVar + '.');
    }

    @h(name = "longRangeContains")
    public static final boolean E0(@d g<Long> gVar, byte b7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Long.valueOf((long) b7));
    }

    @d
    public static final n E1(byte b7, long j7) {
        return j7 <= Long.MIN_VALUE ? n.f19969y.a() : new n((long) b7, j7 - 1);
    }

    @d
    public static final <T extends Comparable<? super T>> T F(@d T t7, @e T t8, @e T t9) {
        l0.p(t7, "<this>");
        if (t8 == null || t9 == null) {
            return (t8 == null || t7.compareTo(t8) >= 0) ? (t9 == null || t7.compareTo(t9) <= 0) ? t7 : t9 : t8;
        }
        if (t8.compareTo(t9) > 0) {
            throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + t9 + " is less than minimum " + t8 + '.');
        } else if (t7.compareTo(t8) < 0) {
            return t8;
        } else {
            if (t7.compareTo(t9) > 0) {
                return t9;
            }
        }
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "longRangeContains")
    public static final /* synthetic */ boolean F0(g gVar, double d7) {
        l0.p(gVar, "<this>");
        Long o12 = o1(d7);
        if (o12 != null) {
            return gVar.contains(o12);
        }
        return false;
    }

    @d
    public static final n F1(int i7, long j7) {
        return j7 <= Long.MIN_VALUE ? n.f19969y.a() : new n((long) i7, j7 - 1);
    }

    @d
    @g1(version = "1.1")
    public static final <T extends Comparable<? super T>> T G(@d T t7, @d f<T> fVar) {
        l0.p(t7, "<this>");
        l0.p(fVar, "range");
        if (!fVar.isEmpty()) {
            return (!fVar.b(t7, fVar.getStart()) || fVar.b(fVar.getStart(), t7)) ? (!fVar.b(fVar.getEndInclusive(), t7) || fVar.b(t7, fVar.getEndInclusive())) ? t7 : fVar.getEndInclusive() : fVar.getStart();
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: " + fVar + '.');
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "longRangeContains")
    public static final /* synthetic */ boolean G0(g gVar, float f7) {
        l0.p(gVar, "<this>");
        Long p12 = p1(f7);
        if (p12 != null) {
            return gVar.contains(p12);
        }
        return false;
    }

    @d
    public static final n G1(long j7, byte b7) {
        return new n(j7, ((long) b7) - 1);
    }

    @d
    public static final <T extends Comparable<? super T>> T H(@d T t7, @d g<T> gVar) {
        l0.p(t7, "<this>");
        l0.p(gVar, "range");
        if (gVar instanceof f) {
            return (T) G(t7, (f) gVar);
        }
        if (!gVar.isEmpty()) {
            return t7.compareTo(gVar.getStart()) < 0 ? gVar.getStart() : t7.compareTo(gVar.getEndInclusive()) > 0 ? gVar.getEndInclusive() : t7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: " + gVar + '.');
    }

    @h(name = "longRangeContains")
    public static final boolean H0(@d g<Long> gVar, int i7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Long.valueOf((long) i7));
    }

    @d
    public static final n H1(long j7, int i7) {
        return new n(j7, ((long) i7) - 1);
    }

    public static final short I(short s7, short s8, short s9) {
        if (s8 <= s9) {
            return s7 < s8 ? s8 : s7 > s9 ? s9 : s7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + ((int) s9) + " is less than minimum " + ((int) s8) + '.');
    }

    @h(name = "longRangeContains")
    public static final boolean I0(@d g<Long> gVar, short s7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Long.valueOf((long) s7));
    }

    @d
    public static final n I1(long j7, long j8) {
        return j8 <= Long.MIN_VALUE ? n.f19969y.a() : new n(j7, j8 - 1);
    }

    @g1(version = "1.3")
    @f
    private static final boolean J(c cVar, Character ch) {
        l0.p(cVar, "<this>");
        return ch != null && cVar.m(ch.charValue());
    }

    @g1(version = "1.3")
    @f
    private static final char J0(c cVar) {
        l0.p(cVar, "<this>");
        return K0(cVar, kotlin.random.f.f19930f);
    }

    @d
    public static final n J1(long j7, short s7) {
        return new n(j7, ((long) s7) - 1);
    }

    @g1(version = "1.3")
    @f
    private static final boolean K(k kVar, Integer num) {
        l0.p(kVar, "<this>");
        return num != null && kVar.m(num.intValue());
    }

    @g1(version = "1.3")
    public static final char K0(@d c cVar, @d kotlin.random.f fVar) {
        l0.p(cVar, "<this>");
        l0.p(fVar, "random");
        try {
            return (char) fVar.p(cVar.c(), cVar.e() + 1);
        } catch (IllegalArgumentException e7) {
            throw new NoSuchElementException(e7.getMessage());
        }
    }

    @d
    public static final n K1(short s7, long j7) {
        return j7 <= Long.MIN_VALUE ? n.f19969y.a() : new n((long) s7, j7 - 1);
    }

    @g1(version = "1.3")
    @f
    private static final boolean L(n nVar, Long l7) {
        l0.p(nVar, "<this>");
        return l7 != null && nVar.m(l7.longValue());
    }

    @g1(version = "1.3")
    @f
    private static final int L0(k kVar) {
        l0.p(kVar, "<this>");
        return M0(kVar, kotlin.random.f.f19930f);
    }

    @g1(version = "1.3")
    public static final int M0(@d k kVar, @d kotlin.random.f fVar) {
        l0.p(kVar, "<this>");
        l0.p(fVar, "random");
        try {
            return g.h(fVar, kVar);
        } catch (IllegalArgumentException e7) {
            throw new NoSuchElementException(e7.getMessage());
        }
    }

    @h(name = "doubleRangeContains")
    public static final boolean N(@d g<Double> gVar, float f7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Double.valueOf((double) f7));
    }

    @g1(version = "1.3")
    @f
    private static final long N0(n nVar) {
        l0.p(nVar, "<this>");
        return O0(nVar, kotlin.random.f.f19930f);
    }

    @g1(version = "1.3")
    public static final long O0(@d n nVar, @d kotlin.random.f fVar) {
        l0.p(nVar, "<this>");
        l0.p(fVar, "random");
        try {
            return g.i(fVar, nVar);
        } catch (IllegalArgumentException e7) {
            throw new NoSuchElementException(e7.getMessage());
        }
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final Character P0(c cVar) {
        l0.p(cVar, "<this>");
        return Q0(cVar, kotlin.random.f.f19930f);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @e
    public static final Character Q0(@d c cVar, @d kotlin.random.f fVar) {
        l0.p(cVar, "<this>");
        l0.p(fVar, "random");
        if (cVar.isEmpty()) {
            return null;
        }
        return Character.valueOf((char) fVar.p(cVar.c(), cVar.e() + 1));
    }

    @d
    public static final a R(char c7, char c8) {
        return a.f19937x.a(c7, c8, -1);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final Integer R0(k kVar) {
        l0.p(kVar, "<this>");
        return S0(kVar, kotlin.random.f.f19930f);
    }

    @d
    public static final i S(byte b7, byte b8) {
        return i.f19952x.a(b7, b8, -1);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @e
    public static final Integer S0(@d k kVar, @d kotlin.random.f fVar) {
        l0.p(kVar, "<this>");
        l0.p(fVar, "random");
        if (kVar.isEmpty()) {
            return null;
        }
        return Integer.valueOf(g.h(fVar, kVar));
    }

    @d
    public static final i T(byte b7, int i7) {
        return i.f19952x.a(b7, i7, -1);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final Long T0(n nVar) {
        l0.p(nVar, "<this>");
        return U0(nVar, kotlin.random.f.f19930f);
    }

    @d
    public static final i U(byte b7, short s7) {
        return i.f19952x.a(b7, s7, -1);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @e
    public static final Long U0(@d n nVar, @d kotlin.random.f fVar) {
        l0.p(nVar, "<this>");
        l0.p(fVar, "random");
        if (nVar.isEmpty()) {
            return null;
        }
        return Long.valueOf(g.i(fVar, nVar));
    }

    @d
    public static final i V(int i7, byte b7) {
        return i.f19952x.a(i7, b7, -1);
    }

    @d
    public static final a V0(@d a aVar) {
        l0.p(aVar, "<this>");
        return a.f19937x.a(aVar.e(), aVar.c(), -aVar.h());
    }

    @d
    public static i W(int i7, int i8) {
        return i.f19952x.a(i7, i8, -1);
    }

    @d
    public static final i W0(@d i iVar) {
        l0.p(iVar, "<this>");
        return i.f19952x.a(iVar.e(), iVar.c(), -iVar.h());
    }

    @d
    public static final i X(int i7, short s7) {
        return i.f19952x.a(i7, s7, -1);
    }

    @d
    public static final l X0(@d l lVar) {
        l0.p(lVar, "<this>");
        return l.f19961x.a(lVar.e(), lVar.c(), -lVar.h());
    }

    @d
    public static final i Y(short s7, byte b7) {
        return i.f19952x.a(s7, b7, -1);
    }

    @h(name = "shortRangeContains")
    public static final boolean Y0(@d g<Short> gVar, byte b7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Short.valueOf((short) b7));
    }

    @d
    public static final i Z(short s7, int i7) {
        return i.f19952x.a(s7, i7, -1);
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "shortRangeContains")
    public static final /* synthetic */ boolean Z0(g gVar, double d7) {
        l0.p(gVar, "<this>");
        Short q12 = q1(d7);
        if (q12 != null) {
            return gVar.contains(q12);
        }
        return false;
    }

    @d
    public static final i a0(short s7, short s8) {
        return i.f19952x.a(s7, s8, -1);
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "shortRangeContains")
    public static final /* synthetic */ boolean a1(g gVar, float f7) {
        l0.p(gVar, "<this>");
        Short r12 = r1(f7);
        if (r12 != null) {
            return gVar.contains(r12);
        }
        return false;
    }

    @d
    public static final l b0(byte b7, long j7) {
        return l.f19961x.a((long) b7, j7, -1);
    }

    @h(name = "shortRangeContains")
    public static final boolean b1(@d g<Short> gVar, int i7) {
        l0.p(gVar, "<this>");
        Short s12 = s1(i7);
        if (s12 != null) {
            return gVar.contains(s12);
        }
        return false;
    }

    @d
    public static final l c0(int i7, long j7) {
        return l.f19961x.a((long) i7, j7, -1);
    }

    @h(name = "shortRangeContains")
    public static final boolean c1(@d g<Short> gVar, long j7) {
        l0.p(gVar, "<this>");
        Short t12 = t1(j7);
        if (t12 != null) {
            return gVar.contains(t12);
        }
        return false;
    }

    @d
    public static final l d0(long j7, byte b7) {
        return l.f19961x.a(j7, (long) b7, -1);
    }

    @d
    public static final a d1(@d a aVar, int i7) {
        l0.p(aVar, "<this>");
        p.a(i7 > 0, Integer.valueOf(i7));
        a.C0288a aVar2 = a.f19937x;
        char c7 = aVar.c();
        char e7 = aVar.e();
        if (aVar.h() <= 0) {
            i7 = -i7;
        }
        return aVar2.a(c7, e7, i7);
    }

    @d
    public static final l e0(long j7, int i7) {
        return l.f19961x.a(j7, (long) i7, -1);
    }

    @d
    public static i e1(@d i iVar, int i7) {
        l0.p(iVar, "<this>");
        p.a(i7 > 0, Integer.valueOf(i7));
        i.a aVar = i.f19952x;
        int c7 = iVar.c();
        int e7 = iVar.e();
        if (iVar.h() <= 0) {
            i7 = -i7;
        }
        return aVar.a(c7, e7, i7);
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "byteRangeContains")
    public static final /* synthetic */ boolean f(g gVar, double d7) {
        l0.p(gVar, "<this>");
        Byte g12 = g1(d7);
        if (g12 != null) {
            return gVar.contains(g12);
        }
        return false;
    }

    @d
    public static final l f0(long j7, long j8) {
        return l.f19961x.a(j7, j8, -1);
    }

    @d
    public static final l f1(@d l lVar, long j7) {
        l0.p(lVar, "<this>");
        p.a(j7 > 0, Long.valueOf(j7));
        l.a aVar = l.f19961x;
        long c7 = lVar.c();
        long e7 = lVar.e();
        if (lVar.h() <= 0) {
            j7 = -j7;
        }
        return aVar.a(c7, e7, j7);
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @kotlin.l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "byteRangeContains")
    public static final /* synthetic */ boolean g(g gVar, float f7) {
        l0.p(gVar, "<this>");
        Byte h12 = h1(f7);
        if (h12 != null) {
            return gVar.contains(h12);
        }
        return false;
    }

    @d
    public static final l g0(long j7, short s7) {
        return l.f19961x.a(j7, (long) s7, -1);
    }

    @e
    public static final Byte g1(double d7) {
        boolean z7 = false;
        if (d7 <= 127.0d && -128.0d <= d7) {
            z7 = true;
        }
        if (z7) {
            return Byte.valueOf((byte) ((int) d7));
        }
        return null;
    }

    @h(name = "byteRangeContains")
    public static final boolean h(@d g<Byte> gVar, int i7) {
        l0.p(gVar, "<this>");
        Byte i12 = i1(i7);
        if (i12 != null) {
            return gVar.contains(i12);
        }
        return false;
    }

    @d
    public static final l h0(short s7, long j7) {
        return l.f19961x.a((long) s7, j7, -1);
    }

    @e
    public static final Byte h1(float f7) {
        boolean z7 = false;
        if (f7 <= 127.0f && -128.0f <= f7) {
            z7 = true;
        }
        if (z7) {
            return Byte.valueOf((byte) ((int) f7));
        }
        return null;
    }

    @h(name = "byteRangeContains")
    public static final boolean i(@d g<Byte> gVar, long j7) {
        l0.p(gVar, "<this>");
        Byte j12 = j1(j7);
        if (j12 != null) {
            return gVar.contains(j12);
        }
        return false;
    }

    @g1(version = "1.7")
    public static final char i0(@d a aVar) {
        l0.p(aVar, "<this>");
        if (!aVar.isEmpty()) {
            return aVar.c();
        }
        throw new NoSuchElementException("Progression " + aVar + " is empty.");
    }

    @e
    public static final Byte i1(int i7) {
        if (new k(-128, r.f21961c).m(i7)) {
            return Byte.valueOf((byte) i7);
        }
        return null;
    }

    @h(name = "byteRangeContains")
    public static final boolean j(@d g<Byte> gVar, short s7) {
        l0.p(gVar, "<this>");
        Byte k12 = k1(s7);
        if (k12 != null) {
            return gVar.contains(k12);
        }
        return false;
    }

    @g1(version = "1.7")
    public static final int j0(@d i iVar) {
        l0.p(iVar, "<this>");
        if (!iVar.isEmpty()) {
            return iVar.c();
        }
        throw new NoSuchElementException("Progression " + iVar + " is empty.");
    }

    @e
    public static final Byte j1(long j7) {
        if (new n(-128, 127).m(j7)) {
            return Byte.valueOf((byte) ((int) j7));
        }
        return null;
    }

    public static final byte k(byte b7, byte b8) {
        return b7 < b8 ? b8 : b7;
    }

    @g1(version = "1.7")
    public static final long k0(@d l lVar) {
        l0.p(lVar, "<this>");
        if (!lVar.isEmpty()) {
            return lVar.c();
        }
        throw new NoSuchElementException("Progression " + lVar + " is empty.");
    }

    @e
    public static final Byte k1(short s7) {
        if (x0(new k(-128, r.f21961c), s7)) {
            return Byte.valueOf((byte) s7);
        }
        return null;
    }

    public static final double l(double d7, double d8) {
        return d7 < d8 ? d8 : d7;
    }

    @g1(version = "1.7")
    @e
    public static final Character l0(@d a aVar) {
        l0.p(aVar, "<this>");
        if (aVar.isEmpty()) {
            return null;
        }
        return Character.valueOf(aVar.c());
    }

    @e
    public static final Integer l1(double d7) {
        boolean z7 = false;
        if (d7 <= 2.147483647E9d && -2.147483648E9d <= d7) {
            z7 = true;
        }
        if (z7) {
            return Integer.valueOf((int) d7);
        }
        return null;
    }

    public static float m(float f7, float f8) {
        return f7 < f8 ? f8 : f7;
    }

    @g1(version = "1.7")
    @e
    public static final Integer m0(@d i iVar) {
        l0.p(iVar, "<this>");
        if (iVar.isEmpty()) {
            return null;
        }
        return Integer.valueOf(iVar.c());
    }

    @e
    public static final Integer m1(float f7) {
        boolean z7 = false;
        if (f7 <= 2.14748365E9f && -2.14748365E9f <= f7) {
            z7 = true;
        }
        if (z7) {
            return Integer.valueOf((int) f7);
        }
        return null;
    }

    public static int n(int i7, int i8) {
        return i7 < i8 ? i8 : i7;
    }

    @g1(version = "1.7")
    @e
    public static final Long n0(@d l lVar) {
        l0.p(lVar, "<this>");
        if (lVar.isEmpty()) {
            return null;
        }
        return Long.valueOf(lVar.c());
    }

    @e
    public static final Integer n1(long j7) {
        if (new n(-2147483648L, 2147483647L).m(j7)) {
            return Integer.valueOf((int) j7);
        }
        return null;
    }

    public static long o(long j7, long j8) {
        return j7 < j8 ? j8 : j7;
    }

    @e
    public static final Long o1(double d7) {
        boolean z7 = false;
        if (d7 <= 9.223372036854776E18d && -9.223372036854776E18d <= d7) {
            z7 = true;
        }
        if (z7) {
            return Long.valueOf((long) d7);
        }
        return null;
    }

    @d
    public static final <T extends Comparable<? super T>> T p(@d T t7, @d T t8) {
        l0.p(t7, "<this>");
        l0.p(t8, "minimumValue");
        return t7.compareTo(t8) < 0 ? t8 : t7;
    }

    @h(name = "floatRangeContains")
    public static final boolean p0(@d g<Float> gVar, double d7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Float.valueOf((float) d7));
    }

    @e
    public static final Long p1(float f7) {
        boolean z7 = false;
        if (f7 <= 9.223372E18f && -9.223372E18f <= f7) {
            z7 = true;
        }
        if (z7) {
            return Long.valueOf((long) f7);
        }
        return null;
    }

    public static final short q(short s7, short s8) {
        return s7 < s8 ? s8 : s7;
    }

    @e
    public static final Short q1(double d7) {
        boolean z7 = false;
        if (d7 <= 32767.0d && -32768.0d <= d7) {
            z7 = true;
        }
        if (z7) {
            return Short.valueOf((short) ((int) d7));
        }
        return null;
    }

    public static final byte r(byte b7, byte b8) {
        return b7 > b8 ? b8 : b7;
    }

    @e
    public static final Short r1(float f7) {
        boolean z7 = false;
        if (f7 <= 32767.0f && -32768.0f <= f7) {
            z7 = true;
        }
        if (z7) {
            return Short.valueOf((short) ((int) f7));
        }
        return null;
    }

    public static double s(double d7, double d8) {
        return d7 > d8 ? d8 : d7;
    }

    @e
    public static final Short s1(int i7) {
        if (new k(-32768, 32767).m(i7)) {
            return Short.valueOf((short) i7);
        }
        return null;
    }

    public static float t(float f7, float f8) {
        return f7 > f8 ? f8 : f7;
    }

    @h(name = "intRangeContains")
    public static final boolean t0(@d g<Integer> gVar, byte b7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Integer.valueOf(b7));
    }

    @e
    public static final Short t1(long j7) {
        if (new n(-32768, 32767).m(j7)) {
            return Short.valueOf((short) ((int) j7));
        }
        return null;
    }

    public static int u(int i7, int i8) {
        return i7 > i8 ? i8 : i7;
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @kotlin.l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "intRangeContains")
    public static final /* synthetic */ boolean u0(g gVar, double d7) {
        l0.p(gVar, "<this>");
        Integer l12 = l1(d7);
        if (l12 != null) {
            return gVar.contains(l12);
        }
        return false;
    }

    @d
    public static final c u1(char c7, char c8) {
        return l0.t(c8, 0) <= 0 ? c.f19945y.a() : new c(c7, (char) (c8 - 1));
    }

    public static long v(long j7, long j8) {
        return j7 > j8 ? j8 : j7;
    }

    @k(message = "This `contains` operation mixing integer and floating point arguments has ambiguous semantics and is going to be removed.")
    @kotlin.l(errorSince = "1.4", hiddenSince = "1.5", warningSince = "1.3")
    @h(name = "intRangeContains")
    public static final /* synthetic */ boolean v0(g gVar, float f7) {
        l0.p(gVar, "<this>");
        Integer m12 = m1(f7);
        if (m12 != null) {
            return gVar.contains(m12);
        }
        return false;
    }

    @d
    public static final k v1(byte b7, byte b8) {
        return new k(b7, b8 - 1);
    }

    @d
    public static final <T extends Comparable<? super T>> T w(@d T t7, @d T t8) {
        l0.p(t7, "<this>");
        l0.p(t8, "maximumValue");
        return t7.compareTo(t8) > 0 ? t8 : t7;
    }

    @h(name = "intRangeContains")
    public static final boolean w0(@d g<Integer> gVar, long j7) {
        l0.p(gVar, "<this>");
        Integer n12 = n1(j7);
        if (n12 != null) {
            return gVar.contains(n12);
        }
        return false;
    }

    @d
    public static final k w1(byte b7, int i7) {
        return i7 <= Integer.MIN_VALUE ? k.f19960y.a() : new k(b7, i7 - 1);
    }

    public static final short x(short s7, short s8) {
        return s7 > s8 ? s8 : s7;
    }

    @h(name = "intRangeContains")
    public static final boolean x0(@d g<Integer> gVar, short s7) {
        l0.p(gVar, "<this>");
        return gVar.contains(Integer.valueOf(s7));
    }

    @d
    public static final k x1(byte b7, short s7) {
        return new k(b7, s7 - 1);
    }

    public static final byte y(byte b7, byte b8, byte b9) {
        if (b8 <= b9) {
            return b7 < b8 ? b8 : b7 > b9 ? b9 : b7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + ((int) b9) + " is less than minimum " + ((int) b8) + '.');
    }

    @g1(version = "1.7")
    public static final char y0(@d a aVar) {
        l0.p(aVar, "<this>");
        if (!aVar.isEmpty()) {
            return aVar.e();
        }
        throw new NoSuchElementException("Progression " + aVar + " is empty.");
    }

    @d
    public static final k y1(int i7, byte b7) {
        return new k(i7, b7 - 1);
    }

    public static final double z(double d7, double d8, double d9) {
        if (d8 <= d9) {
            return d7 < d8 ? d8 : d7 > d9 ? d9 : d7;
        }
        throw new IllegalArgumentException("Cannot coerce value to an empty range: maximum " + d9 + " is less than minimum " + d8 + '.');
    }

    @g1(version = "1.7")
    public static final int z0(@d i iVar) {
        l0.p(iVar, "<this>");
        if (!iVar.isEmpty()) {
            return iVar.e();
        }
        throw new NoSuchElementException("Progression " + iVar + " is empty.");
    }

    @d
    public static k z1(int i7, int i8) {
        return i8 <= Integer.MIN_VALUE ? k.f19960y.a() : new k(i7, i8 - 1);
    }
}
