package kotlin.text;

import java.nio.ByteBuffer;
import java.nio.CharBuffer;
import java.nio.charset.Charset;
import java.nio.charset.CodingErrorAction;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.regex.Pattern;
import kotlin.collections.c;
import kotlin.collections.o;
import kotlin.collections.u0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.s1;
import kotlin.ranges.k;
import kotlin.ranges.q;

public class b0 extends a0 {
    public static final String A1(String str) {
        l0.p(str, "<this>");
        if (!(str.length() > 0) || Character.isLowerCase(str.charAt(0))) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        String substring = str.substring(0, 1);
        l0.o(substring, "this as java.lang.String…ing(startIndex, endIndex)");
        l0.n(substring, "null cannot be cast to non-null type java.lang.String");
        String lowerCase = substring.toLowerCase();
        l0.o(lowerCase, "this as java.lang.String).toLowerCase()");
        sb.append(lowerCase);
        String substring2 = str.substring(1);
        l0.o(substring2, "this as java.lang.String).substring(startIndex)");
        sb.append(substring2);
        return sb.toString();
    }

    public static final char[] A2(String str, int i7, int i8) {
        l0.p(str, "<this>");
        c.f19469f.a(i7, i8, str.length());
        char[] cArr = new char[(i8 - i7)];
        str.getChars(i7, i8, cArr, 0);
        return cArr;
    }

    public static final String B1(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        if (!(str.length() > 0) || Character.isLowerCase(str.charAt(0))) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        String substring = str.substring(0, 1);
        l0.o(substring, "this as java.lang.String…ing(startIndex, endIndex)");
        l0.n(substring, "null cannot be cast to non-null type java.lang.String");
        String lowerCase = substring.toLowerCase(locale);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(locale)");
        sb.append(lowerCase);
        String substring2 = str.substring(1);
        l0.o(substring2, "this as java.lang.String).substring(startIndex)");
        sb.append(substring2);
        return sb.toString();
    }

    private static final char[] B2(String str, char[] cArr, int i7, int i8, int i9) {
        l0.p(str, "<this>");
        l0.p(cArr, "destination");
        str.getChars(i8, i9, cArr, i7);
        return cArr;
    }

    public static final String C1(byte[] bArr) {
        l0.p(bArr, "<this>");
        return new String(bArr, f.f20248b);
    }

    public static /* synthetic */ char[] C2(String str, int i7, int i8, int i9, Object obj) {
        if ((i9 & 1) != 0) {
            i7 = 0;
        }
        if ((i9 & 2) != 0) {
            i8 = str.length();
        }
        return A2(str, i7, i8);
    }

    public static final String D1(byte[] bArr, int i7, int i8, boolean z7) {
        l0.p(bArr, "<this>");
        c.f19469f.a(i7, i8, bArr.length);
        if (!z7) {
            return new String(bArr, i7, i8 - i7, f.f20248b);
        }
        String charBuffer = f.f20248b.newDecoder().onMalformedInput(CodingErrorAction.REPORT).onUnmappableCharacter(CodingErrorAction.REPORT).decode(ByteBuffer.wrap(bArr, i7, i8 - i7)).toString();
        l0.o(charBuffer, "decoder.decode(ByteBuffe…- startIndex)).toString()");
        return charBuffer;
    }

    static /* synthetic */ char[] D2(String str, char[] cArr, int i7, int i8, int i9, int i10, Object obj) {
        if ((i10 & 2) != 0) {
            i7 = 0;
        }
        if ((i10 & 4) != 0) {
            i8 = 0;
        }
        if ((i10 & 8) != 0) {
            i9 = str.length();
        }
        l0.p(str, "<this>");
        l0.p(cArr, "destination");
        str.getChars(i8, i9, cArr, i7);
        return cArr;
    }

    public static /* synthetic */ String E1(byte[] bArr, int i7, int i8, boolean z7, int i9, Object obj) {
        if ((i9 & 1) != 0) {
            i7 = 0;
        }
        if ((i9 & 2) != 0) {
            i8 = bArr.length;
        }
        if ((i9 & 4) != 0) {
            z7 = false;
        }
        return D1(bArr, i7, i8, z7);
    }

    private static final String E2(String str) {
        l0.p(str, "<this>");
        String lowerCase = str.toLowerCase();
        l0.o(lowerCase, "this as java.lang.String).toLowerCase()");
        return lowerCase;
    }

    public static final byte[] F1(String str) {
        l0.p(str, "<this>");
        byte[] bytes = str.getBytes(f.f20248b);
        l0.o(bytes, "this as java.lang.String).getBytes(charset)");
        return bytes;
    }

    private static final String F2(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        String lowerCase = str.toLowerCase(locale);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(locale)");
        return lowerCase;
    }

    public static final byte[] G1(String str, int i7, int i8, boolean z7) {
        l0.p(str, "<this>");
        c.f19469f.a(i7, i8, str.length());
        if (!z7) {
            String substring = str.substring(i7, i8);
            l0.o(substring, "this as java.lang.String…ing(startIndex, endIndex)");
            Charset charset = f.f20248b;
            l0.n(substring, "null cannot be cast to non-null type java.lang.String");
            byte[] bytes = substring.getBytes(charset);
            l0.o(bytes, "this as java.lang.String).getBytes(charset)");
            return bytes;
        }
        ByteBuffer encode = f.f20248b.newEncoder().onMalformedInput(CodingErrorAction.REPORT).onUnmappableCharacter(CodingErrorAction.REPORT).encode(CharBuffer.wrap(str, i7, i8));
        if (encode.hasArray() && encode.arrayOffset() == 0) {
            int remaining = encode.remaining();
            byte[] array = encode.array();
            l0.m(array);
            if (remaining == array.length) {
                byte[] array2 = encode.array();
                l0.o(array2, "{\n        byteBuffer.array()\n    }");
                return array2;
            }
        }
        byte[] bArr = new byte[encode.remaining()];
        encode.get(bArr);
        return bArr;
    }

    private static final Pattern G2(String str, int i7) {
        l0.p(str, "<this>");
        Pattern compile = Pattern.compile(str, i7);
        l0.o(compile, "compile(this, flags)");
        return compile;
    }

    public static /* synthetic */ byte[] H1(String str, int i7, int i8, boolean z7, int i9, Object obj) {
        if ((i9 & 1) != 0) {
            i7 = 0;
        }
        if ((i9 & 2) != 0) {
            i8 = str.length();
        }
        if ((i9 & 4) != 0) {
            z7 = false;
        }
        return G1(str, i7, i8, z7);
    }

    static /* synthetic */ Pattern H2(String str, int i7, int i8, Object obj) {
        if ((i8 & 1) != 0) {
            i7 = 0;
        }
        l0.p(str, "<this>");
        Pattern compile = Pattern.compile(str, i7);
        l0.o(compile, "compile(this, flags)");
        return compile;
    }

    public static final boolean I1(String str, String str2, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "suffix");
        return !z7 ? str.endsWith(str2) : d2(str, str.length() - str2.length(), str2, 0, str2.length(), true);
    }

    private static final String I2(String str) {
        l0.p(str, "<this>");
        String upperCase = str.toUpperCase();
        l0.o(upperCase, "this as java.lang.String).toUpperCase()");
        return upperCase;
    }

    public static /* synthetic */ boolean J1(String str, String str2, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        return I1(str, str2, z7);
    }

    private static final String J2(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        String upperCase = str.toUpperCase(locale);
        l0.o(upperCase, "this as java.lang.String).toUpperCase(locale)");
        return upperCase;
    }

    public static boolean K1(String str, String str2, boolean z7) {
        return str == null ? str2 == null : !z7 ? str.equals(str2) : str.equalsIgnoreCase(str2);
    }

    private static final String K2(String str) {
        l0.p(str, "<this>");
        String upperCase = str.toUpperCase(Locale.ROOT);
        l0.o(upperCase, "this as java.lang.String).toUpperCase(Locale.ROOT)");
        return upperCase;
    }

    public static /* synthetic */ boolean L1(String str, String str2, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        return K1(str, str2, z7);
    }

    private static final String L2(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        String upperCase = str.toUpperCase(locale);
        l0.o(upperCase, "this as java.lang.String).toUpperCase(locale)");
        return upperCase;
    }

    private static final /* synthetic */ String M1(String str, Locale locale, Object... objArr) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        l0.p(objArr, "args");
        String format = String.format(locale, str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(locale, this, *args)");
        return format;
    }

    private static final String N1(String str, Object... objArr) {
        l0.p(str, "<this>");
        l0.p(objArr, "args");
        String format = String.format(str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(this, *args)");
        return format;
    }

    private static final String O1(s1 s1Var, String str, Object... objArr) {
        l0.p(s1Var, "<this>");
        l0.p(str, "format");
        l0.p(objArr, "args");
        String format = String.format(str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(format, *args)");
        return format;
    }

    private static final /* synthetic */ String P1(s1 s1Var, Locale locale, String str, Object... objArr) {
        l0.p(s1Var, "<this>");
        l0.p(locale, "locale");
        l0.p(str, "format");
        l0.p(objArr, "args");
        String format = String.format(locale, str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(locale, format, *args)");
        return format;
    }

    private static final String Q1(String str, Locale locale, Object... objArr) {
        l0.p(str, "<this>");
        l0.p(objArr, "args");
        String format = String.format(locale, str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(locale, this, *args)");
        return format;
    }

    private static final String R1(s1 s1Var, Locale locale, String str, Object... objArr) {
        l0.p(s1Var, "<this>");
        l0.p(str, "format");
        l0.p(objArr, "args");
        String format = String.format(locale, str, Arrays.copyOf(objArr, objArr.length));
        l0.o(format, "format(locale, format, *args)");
        return format;
    }

    public static final Comparator<String> S1(s1 s1Var) {
        l0.p(s1Var, "<this>");
        Comparator<String> comparator = String.CASE_INSENSITIVE_ORDER;
        l0.o(comparator, "CASE_INSENSITIVE_ORDER");
        return comparator;
    }

    private static final String T1(String str) {
        l0.p(str, "<this>");
        String intern = str.intern();
        l0.o(intern, "this as java.lang.String).intern()");
        return intern;
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:19:? A[RETURN, SYNTHETIC] */
    public static boolean U1(CharSequence charSequence) {
        boolean z7;
        l0.p(charSequence, "<this>");
        if (charSequence.length() == 0) {
            return true;
        }
        k h32 = c0.h3(charSequence);
        if (!(h32 instanceof Collection) || !((Collection) h32).isEmpty()) {
            Iterator it = h32.iterator();
            while (true) {
                if (it.hasNext()) {
                    if (!d.r(charSequence.charAt(((u0) it).nextInt()))) {
                        z7 = false;
                        break;
                    }
                } else {
                    break;
                }
            }
            return !z7;
        }
        z7 = true;
        if (!z7) {
        }
    }

    private static final String V1(String str) {
        l0.p(str, "<this>");
        String lowerCase = str.toLowerCase(Locale.ROOT);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(Locale.ROOT)");
        return lowerCase;
    }

    private static final String W1(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        String lowerCase = str.toLowerCase(locale);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(locale)");
        return lowerCase;
    }

    private static final int X1(String str, char c7, int i7) {
        l0.p(str, "<this>");
        return str.indexOf(c7, i7);
    }

    private static final int Y1(String str, String str2, int i7) {
        l0.p(str, "<this>");
        l0.p(str2, "str");
        return str.indexOf(str2, i7);
    }

    private static final int Z1(String str, char c7, int i7) {
        l0.p(str, "<this>");
        return str.lastIndexOf(c7, i7);
    }

    private static final int a2(String str, String str2, int i7) {
        l0.p(str, "<this>");
        l0.p(str2, "str");
        return str.lastIndexOf(str2, i7);
    }

    private static final int b2(String str, int i7, int i8) {
        l0.p(str, "<this>");
        return str.offsetByCodePoints(i7, i8);
    }

    public static final boolean c2(CharSequence charSequence, int i7, CharSequence charSequence2, int i8, int i9, boolean z7) {
        l0.p(charSequence, "<this>");
        l0.p(charSequence2, "other");
        return (!(charSequence instanceof String) || !(charSequence2 instanceof String)) ? c0.a4(charSequence, i7, charSequence2, i8, i9, z7) : d2((String) charSequence, i7, (String) charSequence2, i8, i9, z7);
    }

    private static final String d1(StringBuffer stringBuffer) {
        l0.p(stringBuffer, "stringBuffer");
        return new String(stringBuffer);
    }

    public static boolean d2(String str, int i7, String str2, int i8, int i9, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "other");
        return !z7 ? str.regionMatches(i7, str2, i8, i9) : str.regionMatches(z7, i7, str2, i8, i9);
    }

    private static final String e1(StringBuilder sb) {
        l0.p(sb, "stringBuilder");
        return new String(sb);
    }

    public static /* synthetic */ boolean e2(CharSequence charSequence, int i7, CharSequence charSequence2, int i8, int i9, boolean z7, int i10, Object obj) {
        if ((i10 & 16) != 0) {
            z7 = false;
        }
        return c2(charSequence, i7, charSequence2, i8, i9, z7);
    }

    private static final String f1(byte[] bArr) {
        l0.p(bArr, "bytes");
        return new String(bArr, f.f20248b);
    }

    public static /* synthetic */ boolean f2(String str, int i7, String str2, int i8, int i9, boolean z7, int i10, Object obj) {
        if ((i10 & 16) != 0) {
            z7 = false;
        }
        return d2(str, i7, str2, i8, i9, z7);
    }

    private static final String g1(byte[] bArr, int i7, int i8) {
        l0.p(bArr, "bytes");
        return new String(bArr, i7, i8, f.f20248b);
    }

    public static String g2(CharSequence charSequence, int i7) {
        l0.p(charSequence, "<this>");
        if (!(i7 >= 0)) {
            throw new IllegalArgumentException(("Count 'n' must be non-negative, but was " + i7 + '.').toString());
        } else if (i7 == 0) {
            return "";
        } else {
            if (i7 == 1) {
                return charSequence.toString();
            }
            int length = charSequence.length();
            if (length == 0) {
                return "";
            }
            if (length != 1) {
                StringBuilder sb = new StringBuilder(charSequence.length() * i7);
                u0 k7 = new k(1, i7).iterator();
                while (k7.hasNext()) {
                    k7.nextInt();
                    sb.append(charSequence);
                }
                String sb2 = sb.toString();
                l0.o(sb2, "{\n                    va…tring()\n                }");
                return sb2;
            }
            char charAt = charSequence.charAt(0);
            char[] cArr = new char[i7];
            for (int i8 = 0; i8 < i7; i8++) {
                cArr[i8] = charAt;
            }
            return new String(cArr);
        }
    }

    private static final String h1(byte[] bArr, int i7, int i8, Charset charset) {
        l0.p(bArr, "bytes");
        l0.p(charset, "charset");
        return new String(bArr, i7, i8, charset);
    }

    public static final String h2(String str, char c7, char c8, boolean z7) {
        String sb;
        String str2;
        l0.p(str, "<this>");
        if (!z7) {
            sb = str.replace(c7, c8);
            str2 = "this as java.lang.String…replace(oldChar, newChar)";
        } else {
            StringBuilder sb2 = new StringBuilder(str.length());
            for (int i7 = 0; i7 < str.length(); i7++) {
                char charAt = str.charAt(i7);
                if (e.J(charAt, c7, z7)) {
                    charAt = c8;
                }
                sb2.append(charAt);
            }
            sb = sb2.toString();
            str2 = "StringBuilder(capacity).…builderAction).toString()";
        }
        l0.o(sb, str2);
        return sb;
    }

    private static final String i1(byte[] bArr, Charset charset) {
        l0.p(bArr, "bytes");
        l0.p(charset, "charset");
        return new String(bArr, charset);
    }

    public static final String i2(String str, String str2, String str3, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "oldValue");
        l0.p(str3, "newValue");
        int i7 = 0;
        int n32 = c0.n3(str, str2, 0, z7);
        if (n32 < 0) {
            return str;
        }
        int length = str2.length();
        int i8 = q.n(length, 1);
        int length2 = (str.length() - length) + str3.length();
        if (length2 >= 0) {
            StringBuilder sb = new StringBuilder(length2);
            do {
                sb.append((CharSequence) str, i7, n32);
                sb.append(str3);
                i7 = n32 + length;
                if (n32 >= str.length()) {
                    break;
                }
                n32 = c0.n3(str, str2, n32 + i8, z7);
            } while (n32 > 0);
            sb.append((CharSequence) str, i7, str.length());
            String sb2 = sb.toString();
            l0.o(sb2, "stringBuilder.append(this, i, length).toString()");
            return sb2;
        }
        throw new OutOfMemoryError();
    }

    private static final String j1(char[] cArr) {
        l0.p(cArr, "chars");
        return new String(cArr);
    }

    public static /* synthetic */ String j2(String str, char c7, char c8, boolean z7, int i7, Object obj) {
        if ((i7 & 4) != 0) {
            z7 = false;
        }
        return h2(str, c7, c8, z7);
    }

    private static final String k1(char[] cArr, int i7, int i8) {
        l0.p(cArr, "chars");
        return new String(cArr, i7, i8);
    }

    public static /* synthetic */ String k2(String str, String str2, String str3, boolean z7, int i7, Object obj) {
        if ((i7 & 4) != 0) {
            z7 = false;
        }
        return i2(str, str2, str3, z7);
    }

    private static final String l1(int[] iArr, int i7, int i8) {
        l0.p(iArr, "codePoints");
        return new String(iArr, i7, i8);
    }

    public static final String l2(String str, char c7, char c8, boolean z7) {
        l0.p(str, "<this>");
        int i7 = c0.q3(str, c7, 0, z7, 2, null);
        return i7 < 0 ? str : c0.I4(str, i7, i7 + 1, String.valueOf(c8)).toString();
    }

    public static final String m1(String str) {
        l0.p(str, "<this>");
        Locale locale = Locale.getDefault();
        l0.o(locale, "getDefault()");
        return n1(str, locale);
    }

    public static final String m2(String str, String str2, String str3, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "oldValue");
        l0.p(str3, "newValue");
        int i7 = c0.r3(str, str2, 0, z7, 2, null);
        return i7 < 0 ? str : c0.I4(str, i7, str2.length() + i7, str3).toString();
    }

    public static final String n1(String str, Locale locale) {
        l0.p(str, "<this>");
        l0.p(locale, "locale");
        if (!(str.length() > 0)) {
            return str;
        }
        char charAt = str.charAt(0);
        if (!Character.isLowerCase(charAt)) {
            return str;
        }
        StringBuilder sb = new StringBuilder();
        char titleCase = Character.toTitleCase(charAt);
        if (titleCase != Character.toUpperCase(charAt)) {
            sb.append(titleCase);
        } else {
            String substring = str.substring(0, 1);
            l0.o(substring, "this as java.lang.String…ing(startIndex, endIndex)");
            l0.n(substring, "null cannot be cast to non-null type java.lang.String");
            String upperCase = substring.toUpperCase(locale);
            l0.o(upperCase, "this as java.lang.String).toUpperCase(locale)");
            sb.append(upperCase);
        }
        String substring2 = str.substring(1);
        l0.o(substring2, "this as java.lang.String).substring(startIndex)");
        sb.append(substring2);
        String sb2 = sb.toString();
        l0.o(sb2, "StringBuilder().apply(builderAction).toString()");
        return sb2;
    }

    public static /* synthetic */ String n2(String str, char c7, char c8, boolean z7, int i7, Object obj) {
        if ((i7 & 4) != 0) {
            z7 = false;
        }
        return l2(str, c7, c8, z7);
    }

    private static final int o1(String str, int i7) {
        l0.p(str, "<this>");
        return str.codePointAt(i7);
    }

    public static /* synthetic */ String o2(String str, String str2, String str3, boolean z7, int i7, Object obj) {
        if ((i7 & 4) != 0) {
            z7 = false;
        }
        return m2(str, str2, str3, z7);
    }

    private static final int p1(String str, int i7) {
        l0.p(str, "<this>");
        return str.codePointBefore(i7);
    }

    public static final List<String> p2(CharSequence charSequence, Pattern pattern, int i7) {
        l0.p(charSequence, "<this>");
        l0.p(pattern, "regex");
        c0.M4(i7);
        if (i7 == 0) {
            i7 = -1;
        }
        String[] split = pattern.split(charSequence, i7);
        l0.o(split, "regex.split(this, if (limit == 0) -1 else limit)");
        return o.t(split);
    }

    private static final int q1(String str, int i7, int i8) {
        l0.p(str, "<this>");
        return str.codePointCount(i7, i8);
    }

    public static /* synthetic */ List q2(CharSequence charSequence, Pattern pattern, int i7, int i8, Object obj) {
        if ((i8 & 2) != 0) {
            i7 = 0;
        }
        return p2(charSequence, pattern, i7);
    }

    public static final int r1(String str, String str2, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "other");
        return z7 ? str.compareToIgnoreCase(str2) : str.compareTo(str2);
    }

    public static final boolean r2(String str, String str2, int i7, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "prefix");
        return !z7 ? str.startsWith(str2, i7) : d2(str, i7, str2, 0, str2.length(), z7);
    }

    public static /* synthetic */ int s1(String str, String str2, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        return r1(str, str2, z7);
    }

    public static boolean s2(String str, String str2, boolean z7) {
        l0.p(str, "<this>");
        l0.p(str2, "prefix");
        return !z7 ? str.startsWith(str2) : d2(str, 0, str2, 0, str2.length(), z7);
    }

    public static final String t1(char[] cArr) {
        l0.p(cArr, "<this>");
        return new String(cArr);
    }

    public static /* synthetic */ boolean t2(String str, String str2, int i7, boolean z7, int i8, Object obj) {
        if ((i8 & 4) != 0) {
            z7 = false;
        }
        return r2(str, str2, i7, z7);
    }

    public static final String u1(char[] cArr, int i7, int i8) {
        l0.p(cArr, "<this>");
        c.f19469f.a(i7, i8, cArr.length);
        return new String(cArr, i7, i8 - i7);
    }

    public static /* synthetic */ boolean u2(String str, String str2, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        return s2(str, str2, z7);
    }

    public static /* synthetic */ String v1(char[] cArr, int i7, int i8, int i9, Object obj) {
        if ((i9 & 1) != 0) {
            i7 = 0;
        }
        if ((i9 & 2) != 0) {
            i8 = cArr.length;
        }
        return u1(cArr, i7, i8);
    }

    private static final String v2(String str, int i7) {
        l0.p(str, "<this>");
        String substring = str.substring(i7);
        l0.o(substring, "this as java.lang.String).substring(startIndex)");
        return substring;
    }

    public static final boolean w1(CharSequence charSequence, CharSequence charSequence2) {
        return (!(charSequence instanceof String) || charSequence2 == null) ? c0.X2(charSequence, charSequence2) : ((String) charSequence).contentEquals(charSequence2);
    }

    private static final String w2(String str, int i7, int i8) {
        l0.p(str, "<this>");
        String substring = str.substring(i7, i8);
        l0.o(substring, "this as java.lang.String…ing(startIndex, endIndex)");
        return substring;
    }

    public static final boolean x1(CharSequence charSequence, CharSequence charSequence2, boolean z7) {
        return z7 ? c0.W2(charSequence, charSequence2) : w1(charSequence, charSequence2);
    }

    private static final byte[] x2(String str, Charset charset) {
        l0.p(str, "<this>");
        l0.p(charset, "charset");
        byte[] bytes = str.getBytes(charset);
        l0.o(bytes, "this as java.lang.String).getBytes(charset)");
        return bytes;
    }

    private static final boolean y1(String str, CharSequence charSequence) {
        l0.p(str, "<this>");
        l0.p(charSequence, "charSequence");
        return str.contentEquals(charSequence);
    }

    static /* synthetic */ byte[] y2(String str, Charset charset, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            charset = f.f20248b;
        }
        l0.p(str, "<this>");
        l0.p(charset, "charset");
        byte[] bytes = str.getBytes(charset);
        l0.o(bytes, "this as java.lang.String).getBytes(charset)");
        return bytes;
    }

    private static final boolean z1(String str, StringBuffer stringBuffer) {
        l0.p(str, "<this>");
        l0.p(stringBuffer, "stringBuilder");
        return str.contentEquals(stringBuffer);
    }

    private static final char[] z2(String str) {
        l0.p(str, "<this>");
        char[] charArray = str.toCharArray();
        l0.o(charArray, "this as java.lang.String).toCharArray()");
        return charArray;
    }
}
