package kotlin.text;

import java.util.Locale;
import kotlin.a1;
import kotlin.b1;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.l;
import kotlin.q2;
import kotlin.ranges.k;
import kotlin.s;

/* access modifiers changed from: package-private */
public class d {
    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @f
    private static final String A(char c7) {
        String valueOf = String.valueOf(c7);
        l0.n(valueOf, "null cannot be cast to non-null type java.lang.String");
        String upperCase = valueOf.toUpperCase(Locale.ROOT);
        l0.o(upperCase, "this as java.lang.String).toUpperCase(Locale.ROOT)");
        return upperCase;
    }

    @a7.d
    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final String B(char c7, @a7.d Locale locale) {
        l0.p(locale, "locale");
        String valueOf = String.valueOf(c7);
        l0.n(valueOf, "null cannot be cast to non-null type java.lang.String");
        String upperCase = valueOf.toUpperCase(locale);
        l0.o(upperCase, "this as java.lang.String).toUpperCase(locale)");
        return upperCase;
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @f
    private static final char C(char c7) {
        return Character.toUpperCase(c7);
    }

    @a1
    public static int a(int i7) {
        if (new k(2, 36).m(i7)) {
            return i7;
        }
        throw new IllegalArgumentException("radix " + i7 + " was not in valid range " + new k(2, 36));
    }

    public static final int b(char c7, int i7) {
        return Character.digit((int) c7, i7);
    }

    @a7.d
    public static final a c(char c7) {
        return a.f20200p.a(Character.getType(c7));
    }

    @a7.d
    public static final b d(char c7) {
        return b.f20217g.b(Character.getDirectionality(c7));
    }

    @f
    private static final boolean e(char c7) {
        return Character.isDefined(c7);
    }

    @f
    private static final boolean f(char c7) {
        return Character.isDigit(c7);
    }

    @f
    private static final boolean g(char c7) {
        return Character.isHighSurrogate(c7);
    }

    @f
    private static final boolean h(char c7) {
        return Character.isISOControl(c7);
    }

    @f
    private static final boolean i(char c7) {
        return Character.isIdentifierIgnorable(c7);
    }

    @f
    private static final boolean j(char c7) {
        return Character.isJavaIdentifierPart(c7);
    }

    @f
    private static final boolean k(char c7) {
        return Character.isJavaIdentifierStart(c7);
    }

    @f
    private static final boolean l(char c7) {
        return Character.isLetter(c7);
    }

    @f
    private static final boolean m(char c7) {
        return Character.isLetterOrDigit(c7);
    }

    @f
    private static final boolean n(char c7) {
        return Character.isLowSurrogate(c7);
    }

    @f
    private static final boolean o(char c7) {
        return Character.isLowerCase(c7);
    }

    @f
    private static final boolean p(char c7) {
        return Character.isTitleCase(c7);
    }

    @f
    private static final boolean q(char c7) {
        return Character.isUpperCase(c7);
    }

    public static final boolean r(char c7) {
        return Character.isWhitespace(c7) || Character.isSpaceChar(c7);
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @f
    private static final String s(char c7) {
        String valueOf = String.valueOf(c7);
        l0.n(valueOf, "null cannot be cast to non-null type java.lang.String");
        String lowerCase = valueOf.toLowerCase(Locale.ROOT);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(Locale.ROOT)");
        return lowerCase;
    }

    @a7.d
    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final String t(char c7, @a7.d Locale locale) {
        l0.p(locale, "locale");
        String valueOf = String.valueOf(c7);
        l0.n(valueOf, "null cannot be cast to non-null type java.lang.String");
        String lowerCase = valueOf.toLowerCase(locale);
        l0.o(lowerCase, "this as java.lang.String).toLowerCase(locale)");
        return lowerCase;
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @f
    private static final char u(char c7) {
        return Character.toLowerCase(c7);
    }

    @a7.d
    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static String v(char c7, @a7.d Locale locale) {
        l0.p(locale, "locale");
        String B = B(c7, locale);
        if (B.length() <= 1) {
            String valueOf = String.valueOf(c7);
            l0.n(valueOf, "null cannot be cast to non-null type java.lang.String");
            String upperCase = valueOf.toUpperCase(Locale.ROOT);
            l0.o(upperCase, "this as java.lang.String).toUpperCase(Locale.ROOT)");
            return !l0.g(B, upperCase) ? B : String.valueOf(Character.toTitleCase(c7));
        } else if (c7 == 329) {
            return B;
        } else {
            char charAt = B.charAt(0);
            l0.n(B, "null cannot be cast to non-null type java.lang.String");
            String substring = B.substring(1);
            l0.o(substring, "this as java.lang.String).substring(startIndex)");
            l0.n(substring, "null cannot be cast to non-null type java.lang.String");
            String lowerCase = substring.toLowerCase(Locale.ROOT);
            l0.o(lowerCase, "this as java.lang.String).toLowerCase(Locale.ROOT)");
            return charAt + lowerCase;
        }
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @f
    private static final char w(char c7) {
        return Character.toTitleCase(c7);
    }

    @kotlin.k(message = "Use lowercaseChar() instead.", replaceWith = @b1(expression = "lowercaseChar()", imports = {}))
    @l(warningSince = "1.5")
    @f
    private static final char x(char c7) {
        return Character.toLowerCase(c7);
    }

    @kotlin.k(message = "Use titlecaseChar() instead.", replaceWith = @b1(expression = "titlecaseChar()", imports = {}))
    @l(warningSince = "1.5")
    @f
    private static final char y(char c7) {
        return Character.toTitleCase(c7);
    }

    @kotlin.k(message = "Use uppercaseChar() instead.", replaceWith = @b1(expression = "uppercaseChar()", imports = {}))
    @l(warningSince = "1.5")
    @f
    private static final char z(char c7) {
        return Character.toUpperCase(c7);
    }
}
