package kotlin.text;

import a7.d;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Comparator;
import java.util.SortedSet;
import java.util.TreeSet;
import kotlin.b1;
import kotlin.collections.u0;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.l;
import kotlin.t0;
import q4.h;

class d0 extends c0 {
    @f
    private static final char W5(CharSequence charSequence, int i7) {
        l0.p(charSequence, "<this>");
        return charSequence.charAt(i7);
    }

    @k(message = "Use maxByOrNull instead.", replaceWith = @b1(expression = "this.maxByOrNull(selector)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ <R extends Comparable<? super R>> Character Y5(CharSequence charSequence, r4.l<? super Character, ? extends R> lVar) {
        l0.p(charSequence, "<this>");
        l0.p(lVar, "selector");
        if (charSequence.length() == 0) {
            return null;
        }
        char charAt = charSequence.charAt(0);
        int i7 = c0.i3(charSequence);
        if (i7 != 0) {
            Comparable comparable = (Comparable) lVar.invoke(Character.valueOf(charAt));
            u0 k7 = new kotlin.ranges.k(1, i7).iterator();
            while (k7.hasNext()) {
                char charAt2 = charSequence.charAt(k7.nextInt());
                Comparable comparable2 = (Comparable) lVar.invoke(Character.valueOf(charAt2));
                if (comparable.compareTo(comparable2) < 0) {
                    charAt = charAt2;
                    comparable = comparable2;
                }
            }
        }
        return Character.valueOf(charAt);
    }

    @k(message = "Use maxWithOrNull instead.", replaceWith = @b1(expression = "this.maxWithOrNull(comparator)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ Character Z5(CharSequence charSequence, Comparator comparator) {
        l0.p(charSequence, "<this>");
        l0.p(comparator, "comparator");
        return e0.R7(charSequence, comparator);
    }

    @k(message = "Use minByOrNull instead.", replaceWith = @b1(expression = "this.minByOrNull(selector)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ <R extends Comparable<? super R>> Character b6(CharSequence charSequence, r4.l<? super Character, ? extends R> lVar) {
        l0.p(charSequence, "<this>");
        l0.p(lVar, "selector");
        if (charSequence.length() == 0) {
            return null;
        }
        char charAt = charSequence.charAt(0);
        int i7 = c0.i3(charSequence);
        if (i7 != 0) {
            Comparable comparable = (Comparable) lVar.invoke(Character.valueOf(charAt));
            u0 k7 = new kotlin.ranges.k(1, i7).iterator();
            while (k7.hasNext()) {
                char charAt2 = charSequence.charAt(k7.nextInt());
                Comparable comparable2 = (Comparable) lVar.invoke(Character.valueOf(charAt2));
                if (comparable.compareTo(comparable2) > 0) {
                    charAt = charAt2;
                    comparable = comparable2;
                }
            }
        }
        return Character.valueOf(charAt);
    }

    @k(message = "Use minWithOrNull instead.", replaceWith = @b1(expression = "this.minWithOrNull(comparator)", imports = {}))
    @l(errorSince = "1.5", hiddenSince = "1.6", warningSince = "1.4")
    public static final /* synthetic */ Character c6(CharSequence charSequence, Comparator comparator) {
        l0.p(charSequence, "<this>");
        l0.p(comparator, "comparator");
        return e0.f8(charSequence, comparator);
    }

    @g1(version = "1.4")
    @h(name = "sumOfBigDecimal")
    @t0
    @f
    private static final BigDecimal d6(CharSequence charSequence, r4.l<? super Character, ? extends BigDecimal> lVar) {
        l0.p(charSequence, "<this>");
        l0.p(lVar, "selector");
        BigDecimal valueOf = BigDecimal.valueOf(0L);
        l0.o(valueOf, "valueOf(this.toLong())");
        for (int i7 = 0; i7 < charSequence.length(); i7++) {
            valueOf = valueOf.add((BigDecimal) lVar.invoke(Character.valueOf(charSequence.charAt(i7))));
            l0.o(valueOf, "this.add(other)");
        }
        return valueOf;
    }

    @g1(version = "1.4")
    @h(name = "sumOfBigInteger")
    @t0
    @f
    private static final BigInteger e6(CharSequence charSequence, r4.l<? super Character, ? extends BigInteger> lVar) {
        l0.p(charSequence, "<this>");
        l0.p(lVar, "selector");
        BigInteger valueOf = BigInteger.valueOf(0);
        l0.o(valueOf, "valueOf(this.toLong())");
        for (int i7 = 0; i7 < charSequence.length(); i7++) {
            valueOf = valueOf.add((BigInteger) lVar.invoke(Character.valueOf(charSequence.charAt(i7))));
            l0.o(valueOf, "this.add(other)");
        }
        return valueOf;
    }

    @d
    public static final SortedSet<Character> f6(@d CharSequence charSequence) {
        l0.p(charSequence, "<this>");
        return (SortedSet) e0.e9(charSequence, new TreeSet());
    }
}
