package kotlin.text;

import a7.d;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.q2;
import kotlin.ranges.c;
import kotlin.ranges.k;
import kotlin.s;

class e extends d {
    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final char D(int i7) {
        if (new k(0, 9).m(i7)) {
            return (char) (i7 + 48);
        }
        throw new IllegalArgumentException("Int " + i7 + " is not a decimal digit");
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final char E(int i7, int i8) {
        if (!new k(2, 36).m(i8)) {
            throw new IllegalArgumentException("Invalid radix: " + i8 + ". Valid radix values are in range 2..36");
        } else if (i7 < 0 || i7 >= i8) {
            throw new IllegalArgumentException("Digit " + i7 + " does not represent a valid digit in radix " + i8);
        } else {
            return (char) (i7 < 10 ? i7 + 48 : ((char) (i7 + 65)) - '\n');
        }
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final int F(char c7) {
        int b7 = d.b(c7, 10);
        if (b7 >= 0) {
            return b7;
        }
        throw new IllegalArgumentException("Char " + c7 + " is not a decimal digit");
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    public static final int G(char c7, int i7) {
        Integer I = I(c7, i7);
        if (I != null) {
            return I.intValue();
        }
        throw new IllegalArgumentException("Char " + c7 + " is not a digit in the given radix=" + i7);
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @a7.e
    public static final Integer H(char c7) {
        Integer valueOf = Integer.valueOf(d.b(c7, 10));
        if (valueOf.intValue() >= 0) {
            return valueOf;
        }
        return null;
    }

    @g1(version = "1.5")
    @q2(markerClass = {s.class})
    @a7.e
    public static final Integer I(char c7, int i7) {
        int unused = d.a(i7);
        Integer valueOf = Integer.valueOf(d.b(c7, i7));
        if (valueOf.intValue() >= 0) {
            return valueOf;
        }
        return null;
    }

    public static final boolean J(char c7, char c8, boolean z7) {
        if (c7 == c8) {
            return true;
        }
        if (!z7) {
            return false;
        }
        char upperCase = Character.toUpperCase(c7);
        char upperCase2 = Character.toUpperCase(c8);
        return upperCase == upperCase2 || Character.toLowerCase(upperCase) == Character.toLowerCase(upperCase2);
    }

    public static /* synthetic */ boolean K(char c7, char c8, boolean z7, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            z7 = false;
        }
        return J(c7, c8, z7);
    }

    public static final boolean L(char c7) {
        return new c(55296, 57343).m(c7);
    }

    @f
    private static final String M(char c7, String str) {
        l0.p(str, "other");
        return c7 + str;
    }

    @d
    @g1(version = "1.5")
    public static final String N(char c7) {
        return j0.a(c7);
    }
}
