package kotlin.text;

import a7.d;
import kotlin.b1;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.m;
import kotlin.q2;
import kotlin.s;

class x extends w {
    @g1(version = "1.4")
    @f
    private static final StringBuilder A(StringBuilder sb, long j7) {
        l0.p(sb, "<this>");
        sb.append(j7);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder B(StringBuilder sb, StringBuffer stringBuffer) {
        l0.p(sb, "<this>");
        sb.append(stringBuffer);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder C(StringBuilder sb, StringBuilder sb2) {
        l0.p(sb, "<this>");
        sb.append((CharSequence) sb2);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder D(StringBuilder sb, short s7) {
        l0.p(sb, "<this>");
        sb.append((int) s7);
        l0.o(sb, "append(value.toInt())");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder E(StringBuilder sb, CharSequence charSequence, int i7, int i8) {
        l0.p(sb, "<this>");
        l0.p(charSequence, "value");
        sb.append(charSequence, i7, i8);
        l0.o(sb, "this.append(value, startIndex, endIndex)");
        return sb;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder F(StringBuilder sb, char[] cArr, int i7, int i8) {
        l0.p(sb, "<this>");
        l0.p(cArr, "value");
        sb.append(cArr, i7, i8 - i7);
        l0.o(sb, "this.append(value, start…x, endIndex - startIndex)");
        return sb;
    }

    @d
    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine()", imports = {}))
    public static final Appendable G(@d Appendable appendable) {
        l0.p(appendable, "<this>");
        Appendable append = appendable.append(f0.f20258b);
        l0.o(append, "append(SystemProperties.LINE_SEPARATOR)");
        return append;
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final Appendable H(Appendable appendable, char c7) {
        l0.p(appendable, "<this>");
        Appendable append = appendable.append(c7);
        l0.o(append, "append(value)");
        return G(append);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final Appendable I(Appendable appendable, CharSequence charSequence) {
        l0.p(appendable, "<this>");
        Appendable append = appendable.append(charSequence);
        l0.o(append, "append(value)");
        return G(append);
    }

    @d
    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine()", imports = {}))
    public static final StringBuilder J(@d StringBuilder sb) {
        l0.p(sb, "<this>");
        sb.append(f0.f20258b);
        l0.o(sb, "append(SystemProperties.LINE_SEPARATOR)");
        return sb;
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder K(StringBuilder sb, byte b7) {
        l0.p(sb, "<this>");
        sb.append((int) b7);
        l0.o(sb, "append(value.toInt())");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder L(StringBuilder sb, char c7) {
        l0.p(sb, "<this>");
        sb.append(c7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder M(StringBuilder sb, double d7) {
        l0.p(sb, "<this>");
        sb.append(d7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder N(StringBuilder sb, float f7) {
        l0.p(sb, "<this>");
        sb.append(f7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder O(StringBuilder sb, int i7) {
        l0.p(sb, "<this>");
        sb.append(i7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder P(StringBuilder sb, long j7) {
        l0.p(sb, "<this>");
        sb.append(j7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder Q(StringBuilder sb, CharSequence charSequence) {
        l0.p(sb, "<this>");
        sb.append(charSequence);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder R(StringBuilder sb, Object obj) {
        l0.p(sb, "<this>");
        sb.append(obj);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder S(StringBuilder sb, String str) {
        l0.p(sb, "<this>");
        sb.append(str);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder T(StringBuilder sb, StringBuffer stringBuffer) {
        l0.p(sb, "<this>");
        sb.append(stringBuffer);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder U(StringBuilder sb, StringBuilder sb2) {
        l0.p(sb, "<this>");
        sb.append((CharSequence) sb2);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder V(StringBuilder sb, short s7) {
        l0.p(sb, "<this>");
        sb.append((int) s7);
        l0.o(sb, "append(value.toInt())");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder W(StringBuilder sb, boolean z7) {
        l0.p(sb, "<this>");
        sb.append(z7);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @k(level = m.WARNING, message = "Use appendLine instead. Note that the new method always appends the line feed character '\\n' regardless of the system line separator.", replaceWith = @b1(expression = "appendLine(value)", imports = {}))
    @f
    private static final StringBuilder X(StringBuilder sb, char[] cArr) {
        l0.p(sb, "<this>");
        l0.p(cArr, "value");
        sb.append(cArr);
        l0.o(sb, "append(value)");
        return J(sb);
    }

    @d
    @g1(version = "1.3")
    public static final StringBuilder Y(@d StringBuilder sb) {
        l0.p(sb, "<this>");
        sb.setLength(0);
        return sb;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder Z(StringBuilder sb, int i7) {
        l0.p(sb, "<this>");
        StringBuilder deleteCharAt = sb.deleteCharAt(i7);
        l0.o(deleteCharAt, "this.deleteCharAt(index)");
        return deleteCharAt;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder a0(StringBuilder sb, int i7, int i8) {
        l0.p(sb, "<this>");
        StringBuilder delete = sb.delete(i7, i8);
        l0.o(delete, "this.delete(startIndex, endIndex)");
        return delete;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder b0(StringBuilder sb, int i7, CharSequence charSequence, int i8, int i9) {
        l0.p(sb, "<this>");
        l0.p(charSequence, "value");
        StringBuilder insert = sb.insert(i7, charSequence, i8, i9);
        l0.o(insert, "this.insert(index, value, startIndex, endIndex)");
        return insert;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder c0(StringBuilder sb, int i7, char[] cArr, int i8, int i9) {
        l0.p(sb, "<this>");
        l0.p(cArr, "value");
        StringBuilder insert = sb.insert(i7, cArr, i8, i9 - i8);
        l0.o(insert, "this.insert(index, value…x, endIndex - startIndex)");
        return insert;
    }

    @f
    private static final void d0(StringBuilder sb, int i7, char c7) {
        l0.p(sb, "<this>");
        sb.setCharAt(i7, c7);
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final StringBuilder e0(StringBuilder sb, int i7, int i8, String str) {
        l0.p(sb, "<this>");
        l0.p(str, "value");
        StringBuilder replace = sb.replace(i7, i8, str);
        l0.o(replace, "this.replace(startIndex, endIndex, value)");
        return replace;
    }

    @g1(version = "1.4")
    @q2(markerClass = {s.class})
    @f
    private static final void f0(StringBuilder sb, char[] cArr, int i7, int i8, int i9) {
        l0.p(sb, "<this>");
        l0.p(cArr, "destination");
        sb.getChars(i8, i9, cArr, i7);
    }

    static /* synthetic */ void g0(StringBuilder sb, char[] cArr, int i7, int i8, int i9, int i10, Object obj) {
        if ((i10 & 2) != 0) {
            i7 = 0;
        }
        if ((i10 & 4) != 0) {
            i8 = 0;
        }
        if ((i10 & 8) != 0) {
            i9 = sb.length();
        }
        l0.p(sb, "<this>");
        l0.p(cArr, "destination");
        sb.getChars(i8, i9, cArr, i7);
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder w(StringBuilder sb, byte b7) {
        l0.p(sb, "<this>");
        sb.append((int) b7);
        l0.o(sb, "append(value.toInt())");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder x(StringBuilder sb, double d7) {
        l0.p(sb, "<this>");
        sb.append(d7);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder y(StringBuilder sb, float f7) {
        l0.p(sb, "<this>");
        sb.append(f7);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }

    @g1(version = "1.4")
    @f
    private static final StringBuilder z(StringBuilder sb, int i7) {
        l0.p(sb, "<this>");
        sb.append(i7);
        l0.o(sb, "append(value)");
        sb.append('\n');
        l0.o(sb, "append('\\n')");
        return sb;
    }
}
