package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.security.InvalidKeyException;
import java.security.PrivateKey;
import java.security.PublicKey;
import java.security.interfaces.ECPublicKey;
import org.bouncycastle2.asn1.a1;
import org.bouncycastle2.asn1.x9.a;
import org.bouncycastle2.crypto.params.q;
import org.bouncycastle2.crypto.params.t;
import org.bouncycastle2.crypto.params.u;
import org.bouncycastle2.jce.provider.o1;
import org.bouncycastle2.jce.provider.v;
import org.bouncycastle2.jce.spec.d;
import s5.e;
import s5.f;

public class b {
    static int[] a(int[] iArr) {
        int i7;
        int[] iArr2 = new int[3];
        if (iArr.length == 1) {
            iArr2[0] = iArr[0];
        } else if (iArr.length == 3) {
            int i8 = iArr[0];
            int i9 = iArr[1];
            if (i8 >= i9 || i8 >= (i7 = iArr[2])) {
                int i10 = iArr[2];
                if (i9 < i10) {
                    iArr2[0] = i9;
                    int i11 = iArr[0];
                    if (i11 < i10) {
                        iArr2[1] = i11;
                        iArr2[2] = i10;
                    } else {
                        iArr2[1] = i10;
                        iArr2[2] = i11;
                    }
                } else {
                    iArr2[0] = i10;
                    int i12 = iArr[0];
                    if (i12 < i9) {
                        iArr2[1] = i12;
                        iArr2[2] = iArr[1];
                    } else {
                        iArr2[1] = i9;
                        iArr2[2] = i12;
                    }
                }
            } else {
                iArr2[0] = i8;
                if (i9 < i7) {
                    iArr2[1] = i9;
                    iArr2[2] = i7;
                } else {
                    iArr2[1] = i7;
                    iArr2[2] = iArr[1];
                }
            }
        } else {
            throw new IllegalArgumentException("Only Trinomials and pentanomials supported");
        }
        return iArr2;
    }

    public static org.bouncycastle2.crypto.params.b b(PrivateKey privateKey) throws InvalidKeyException {
        if (privateKey instanceof e) {
            e eVar = (e) privateKey;
            d parameters = eVar.getParameters();
            if (parameters == null) {
                parameters = o1.a();
            }
            return new t(eVar.l(), new q(parameters.a(), parameters.b(), parameters.d(), parameters.c(), parameters.e()));
        }
        throw new InvalidKeyException("can't identify EC private key.");
    }

    public static org.bouncycastle2.crypto.params.b c(PublicKey publicKey) throws InvalidKeyException {
        if (publicKey instanceof f) {
            f fVar = (f) publicKey;
            d parameters = fVar.getParameters();
            if (parameters != null) {
                return new u(fVar.o(), new q(parameters.a(), parameters.b(), parameters.d(), parameters.c(), parameters.e()));
            }
            d a8 = o1.a();
            return new u(((v) fVar).c(), new q(a8.a(), a8.b(), a8.d(), a8.c(), a8.e()));
        } else if (publicKey instanceof ECPublicKey) {
            ECPublicKey eCPublicKey = (ECPublicKey) publicKey;
            d f7 = a.f(eCPublicKey.getParams(), false);
            return new u(a.c(eCPublicKey.getParams(), eCPublicKey.getW(), false), new q(f7.a(), f7.b(), f7.d(), f7.c(), f7.e()));
        } else {
            throw new InvalidKeyException("cannot identify EC public key.");
        }
    }

    public static String d(a1 a1Var) {
        String d7 = a.d(a1Var);
        if (d7 != null) {
            return d7;
        }
        String f7 = org.bouncycastle2.asn1.sec.b.f(a1Var);
        if (f7 == null) {
            f7 = org.bouncycastle2.asn1.nist.a.d(a1Var);
        }
        if (f7 == null) {
            f7 = org.bouncycastle2.asn1.teletrust.a.d(a1Var);
        }
        return f7 == null ? org.bouncycastle2.asn1.cryptopro.b.c(a1Var) : f7;
    }

    public static org.bouncycastle2.asn1.x9.d e(a1 a1Var) {
        org.bouncycastle2.asn1.x9.d c7 = a.c(a1Var);
        if (c7 != null) {
            return c7;
        }
        org.bouncycastle2.asn1.x9.d e7 = org.bouncycastle2.asn1.sec.b.e(a1Var);
        if (e7 == null) {
            e7 = org.bouncycastle2.asn1.nist.a.c(a1Var);
        }
        return e7 == null ? org.bouncycastle2.asn1.teletrust.a.c(a1Var) : e7;
    }

    public static a1 f(String str) {
        a1 f7 = a.f(str);
        if (f7 != null) {
            return f7;
        }
        a1 h7 = org.bouncycastle2.asn1.sec.b.h(str);
        if (h7 == null) {
            h7 = org.bouncycastle2.asn1.nist.a.f(str);
        }
        if (h7 == null) {
            h7 = org.bouncycastle2.asn1.teletrust.a.f(str);
        }
        return h7 == null ? org.bouncycastle2.asn1.cryptopro.b.e(str) : h7;
    }
}
