package org.bouncycastle2.jce.provider.symmetric;

import java.security.AlgorithmParameters;
import java.security.InvalidAlgorithmParameterException;
import java.security.SecureRandom;
import java.security.spec.AlgorithmParameterSpec;
import javax.crypto.spec.IvParameterSpec;
import org.bouncycastle2.crypto.engines.f0;
import org.bouncycastle2.crypto.engines.g0;
import org.bouncycastle2.crypto.h;
import org.bouncycastle2.jce.provider.a0;
import org.bouncycastle2.jce.provider.j0;
import org.bouncycastle2.jce.provider.k0;
import org.bouncycastle2.jce.provider.p;
import org.bouncycastle2.jce.provider.t1;

public final class o {

    public static class a extends j0 {
        /* access modifiers changed from: protected */
        public AlgorithmParameters engineGenerateParameters() {
            byte[] bArr = new byte[16];
            if (this.f24359a == null) {
                this.f24359a = new SecureRandom();
            }
            this.f24359a.nextBytes(bArr);
            try {
                AlgorithmParameters instance = AlgorithmParameters.getInstance("SEED", "BC2");
                instance.init(new IvParameterSpec(bArr));
                return instance;
            } catch (Exception e7) {
                throw new RuntimeException(e7.getMessage());
            }
        }

        /* access modifiers changed from: protected */
        @Override // java.security.AlgorithmParameterGeneratorSpi
        public void engineInit(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
            throw new InvalidAlgorithmParameterException("No supported AlgorithmParameterSpec for SEED parameter generation.");
        }
    }

    public static class b extends k0.f {
        /* access modifiers changed from: protected */
        @Override // org.bouncycastle2.jce.provider.k0.f
        public String engineToString() {
            return "SEED IV";
        }
    }

    public static class c extends p {
        public c() {
            super(new org.bouncycastle2.crypto.modes.b(new f0()), 128);
        }
    }

    public static class d extends p {
        public d() {
            super(new f0());
        }
    }

    public static class e extends a0 {
        public e() {
            super("SEED", 128, new h());
        }
    }

    public static class f extends t1 {
        public f() {
            super(new g0());
        }
    }

    private o() {
    }
}
