package androidx.core.graphics;

import a7.d;
import android.graphics.Matrix;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(bv = {1, 0, 3}, d1 = {"\u0000\u0016\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0007\n\u0002\b\u000b\n\u0002\u0010\u0014\n\u0000\u001a\"\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u00032\b\b\u0002\u0010\u0004\u001a\u00020\u00032\b\b\u0002\u0010\u0005\u001a\u00020\u0003\u001a\u001a\u0010\u0006\u001a\u00020\u00012\b\b\u0002\u0010\u0007\u001a\u00020\u00032\b\b\u0002\u0010\b\u001a\u00020\u0003\u001a\u001a\u0010\t\u001a\u00020\u00012\b\b\u0002\u0010\n\u001a\u00020\u00032\b\b\u0002\u0010\u000b\u001a\u00020\u0003\u001a\u0015\u0010\f\u001a\u00020\u0001*\u00020\u00012\u0006\u0010\r\u001a\u00020\u0001H\n\u001a\r\u0010\u000e\u001a\u00020\u000f*\u00020\u0001H\b¨\u0006\u0010"}, d2 = {"rotationMatrix", "Landroid/graphics/Matrix;", "degrees", "", "px", "py", "scaleMatrix", "sx", "sy", "translationMatrix", "tx", "ty", "times", "m", "values", "", "core-ktx_release"}, k = 2, mv = {1, 1, 16})
public final class MatrixKt {
    @d
    public static final Matrix rotationMatrix(float f7, float f8, float f9) {
        Matrix matrix = new Matrix();
        matrix.setRotate(f7, f8, f9);
        return matrix;
    }

    public static /* synthetic */ Matrix rotationMatrix$default(float f7, float f8, float f9, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            f8 = 0.0f;
        }
        if ((i7 & 4) != 0) {
            f9 = 0.0f;
        }
        return rotationMatrix(f7, f8, f9);
    }

    @d
    public static final Matrix scaleMatrix(float f7, float f8) {
        Matrix matrix = new Matrix();
        matrix.setScale(f7, f8);
        return matrix;
    }

    public static /* synthetic */ Matrix scaleMatrix$default(float f7, float f8, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            f7 = 1.0f;
        }
        if ((i7 & 2) != 0) {
            f8 = 1.0f;
        }
        return scaleMatrix(f7, f8);
    }

    @d
    public static final Matrix times(@d Matrix matrix, @d Matrix matrix2) {
        l0.q(matrix, "$this$times");
        l0.q(matrix2, "m");
        Matrix matrix3 = new Matrix(matrix);
        matrix3.preConcat(matrix2);
        return matrix3;
    }

    @d
    public static final Matrix translationMatrix(float f7, float f8) {
        Matrix matrix = new Matrix();
        matrix.setTranslate(f7, f8);
        return matrix;
    }

    public static /* synthetic */ Matrix translationMatrix$default(float f7, float f8, int i7, Object obj) {
        if ((i7 & 1) != 0) {
            f7 = 0.0f;
        }
        if ((i7 & 2) != 0) {
            f8 = 0.0f;
        }
        return translationMatrix(f7, f8);
    }

    @d
    public static final float[] values(@d Matrix matrix) {
        l0.q(matrix, "$this$values");
        float[] fArr = new float[9];
        matrix.getValues(fArr);
        return fArr;
    }
}
