package androidx.core.graphics;

import a7.d;
import android.graphics.Point;
import android.graphics.PointF;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(bv = {1, 0, 3}, d1 = {"\u0000\u0016\n\u0000\n\u0002\u0010\b\n\u0002\u0018\u0002\n\u0002\u0010\u0007\n\u0002\u0018\u0002\n\u0002\b\t\u001a\r\u0010\u0000\u001a\u00020\u0001*\u00020\u0002H\n\u001a\r\u0010\u0000\u001a\u00020\u0003*\u00020\u0004H\n\u001a\r\u0010\u0005\u001a\u00020\u0001*\u00020\u0002H\n\u001a\r\u0010\u0005\u001a\u00020\u0003*\u00020\u0004H\n\u001a\u0015\u0010\u0006\u001a\u00020\u0002*\u00020\u00022\u0006\u0010\u0007\u001a\u00020\u0002H\n\u001a\u0015\u0010\u0006\u001a\u00020\u0002*\u00020\u00022\u0006\u0010\b\u001a\u00020\u0001H\n\u001a\u0015\u0010\u0006\u001a\u00020\u0004*\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u0004H\n\u001a\u0015\u0010\u0006\u001a\u00020\u0004*\u00020\u00042\u0006\u0010\b\u001a\u00020\u0003H\n\u001a\u0015\u0010\t\u001a\u00020\u0002*\u00020\u00022\u0006\u0010\u0007\u001a\u00020\u0002H\n\u001a\u0015\u0010\t\u001a\u00020\u0002*\u00020\u00022\u0006\u0010\b\u001a\u00020\u0001H\n\u001a\u0015\u0010\t\u001a\u00020\u0004*\u00020\u00042\u0006\u0010\u0007\u001a\u00020\u0004H\n\u001a\u0015\u0010\t\u001a\u00020\u0004*\u00020\u00042\u0006\u0010\b\u001a\u00020\u0003H\n\u001a\r\u0010\n\u001a\u00020\u0002*\u00020\u0004H\b\u001a\r\u0010\u000b\u001a\u00020\u0004*\u00020\u0002H\b\u001a\r\u0010\f\u001a\u00020\u0002*\u00020\u0002H\n\u001a\r\u0010\f\u001a\u00020\u0004*\u00020\u0004H\n¨\u0006\r"}, d2 = {"component1", "", "Landroid/graphics/Point;", "", "Landroid/graphics/PointF;", "component2", "minus", "p", "xy", "plus", "toPoint", "toPointF", "unaryMinus", "core-ktx_release"}, k = 2, mv = {1, 1, 16})
public final class PointKt {
    public static final float component1(@d PointF pointF) {
        l0.q(pointF, "$this$component1");
        return pointF.x;
    }

    public static final float component2(@d PointF pointF) {
        l0.q(pointF, "$this$component2");
        return pointF.y;
    }

    @d
    public static final Point minus(@d Point point, int i7) {
        l0.q(point, "$this$minus");
        Point point2 = new Point(point.x, point.y);
        int i8 = -i7;
        point2.offset(i8, i8);
        return point2;
    }

    @d
    public static final Point plus(@d Point point, int i7) {
        l0.q(point, "$this$plus");
        Point point2 = new Point(point.x, point.y);
        point2.offset(i7, i7);
        return point2;
    }

    @d
    public static final Point toPoint(@d PointF pointF) {
        l0.q(pointF, "$this$toPoint");
        return new Point((int) pointF.x, (int) pointF.y);
    }

    @d
    public static final PointF toPointF(@d Point point) {
        l0.q(point, "$this$toPointF");
        return new PointF(point);
    }

    @d
    public static final Point unaryMinus(@d Point point) {
        l0.q(point, "$this$unaryMinus");
        return new Point(-point.x, -point.y);
    }

    public static final int component1(@d Point point) {
        l0.q(point, "$this$component1");
        return point.x;
    }

    public static final int component2(@d Point point) {
        l0.q(point, "$this$component2");
        return point.y;
    }

    @d
    public static final Point minus(@d Point point, @d Point point2) {
        l0.q(point, "$this$minus");
        l0.q(point2, "p");
        Point point3 = new Point(point.x, point.y);
        point3.offset(-point2.x, -point2.y);
        return point3;
    }

    @d
    public static final Point plus(@d Point point, @d Point point2) {
        l0.q(point, "$this$plus");
        l0.q(point2, "p");
        Point point3 = new Point(point.x, point.y);
        point3.offset(point2.x, point2.y);
        return point3;
    }

    @d
    public static final PointF unaryMinus(@d PointF pointF) {
        l0.q(pointF, "$this$unaryMinus");
        return new PointF(-pointF.x, -pointF.y);
    }

    @d
    public static final PointF minus(@d PointF pointF, float f7) {
        l0.q(pointF, "$this$minus");
        PointF pointF2 = new PointF(pointF.x, pointF.y);
        float f8 = -f7;
        pointF2.offset(f8, f8);
        return pointF2;
    }

    @d
    public static final PointF plus(@d PointF pointF, float f7) {
        l0.q(pointF, "$this$plus");
        PointF pointF2 = new PointF(pointF.x, pointF.y);
        pointF2.offset(f7, f7);
        return pointF2;
    }

    @d
    public static final PointF minus(@d PointF pointF, @d PointF pointF2) {
        l0.q(pointF, "$this$minus");
        l0.q(pointF2, "p");
        PointF pointF3 = new PointF(pointF.x, pointF.y);
        pointF3.offset(-pointF2.x, -pointF2.y);
        return pointF3;
    }

    @d
    public static final PointF plus(@d PointF pointF, @d PointF pointF2) {
        l0.q(pointF, "$this$plus");
        l0.q(pointF2, "p");
        PointF pointF3 = new PointF(pointF.x, pointF.y);
        pointF3.offset(pointF2.x, pointF2.y);
        return pointF3;
    }
}
