package androidx.core.location;

import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import java.util.List;

public interface LocationListenerCompat extends LocationListener {
    default void onFlushComplete(int i7) {
    }

    default void onLocationChanged(@NonNull List<Location> list) {
        int size = list.size();
        for (int i7 = 0; i7 < size; i7++) {
            onLocationChanged(list.get(i7));
        }
    }

    default void onProviderDisabled(@NonNull String str) {
    }

    default void onProviderEnabled(@NonNull String str) {
    }

    default void onStatusChanged(@NonNull String str, int i7, @Nullable Bundle bundle) {
    }
}
