package androidx.core.util;

import a7.d;
import android.util.Range;
import androidx.annotation.RequiresApi;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.ranges.g;

@i0(d1 = {"\u0000\u0018\n\u0002\u0010\u000f\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0003\u001a2\u0010\u0004\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\u00028\u00002\u0006\u0010\u0002\u001a\u00028\u0000H\f¢\u0006\u0004\b\u0004\u0010\u0005\u001a8\u0010\u0007\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\b\u0012\u0004\u0012\u00028\u00000\u00032\u0006\u0010\u0006\u001a\u00028\u0000H\n¢\u0006\u0004\b\u0007\u0010\b\u001a7\u0010\u0007\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\b\u0012\u0004\u0012\u00028\u00000\u00032\f\u0010\t\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003H\n\u001a7\u0010\n\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\b\u0012\u0004\u0012\u00028\u00000\u00032\f\u0010\t\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003H\f\u001a(\u0010\f\u001a\b\u0012\u0004\u0012\u00028\u00000\u000b\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\b\u0012\u0004\u0012\u00028\u00000\u0003H\u0007\u001a(\u0010\r\u001a\b\u0012\u0004\u0012\u00028\u00000\u0003\"\u000e\b\u0000\u0010\u0001*\b\u0012\u0004\u0012\u00028\u00000\u0000*\b\u0012\u0004\u0012\u00028\u00000\u000bH\u0007¨\u0006\u000e"}, d2 = {"", "T", "that", "Landroid/util/Range;", "rangeTo", "(Ljava/lang/Comparable;Ljava/lang/Comparable;)Landroid/util/Range;", "value", "plus", "(Landroid/util/Range;Ljava/lang/Comparable;)Landroid/util/Range;", "other", "and", "Lkotlin/ranges/g;", "toClosedRange", "toRange", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class RangeKt {
    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> Range<T> and(@d Range<T> range, @d Range<T> range2) {
        l0.q(range, "$this$and");
        l0.q(range2, "other");
        Range<T> intersect = range.intersect(range2);
        l0.h(intersect, "intersect(other)");
        return intersect;
    }

    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> Range<T> plus(@d Range<T> range, @d Range<T> range2) {
        l0.q(range, "$this$plus");
        l0.q(range2, "other");
        Range<T> extend = range.extend(range2);
        l0.h(extend, "extend(other)");
        return extend;
    }

    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> Range<T> rangeTo(@d T t7, @d T t8) {
        l0.q(t7, "$this$rangeTo");
        l0.q(t8, "that");
        return new Range<>(t7, t8);
    }

    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> g<T> toClosedRange(@d Range<T> range) {
        l0.q(range, "$this$toClosedRange");
        return new RangeKt$toClosedRange$1(range);
    }

    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> Range<T> toRange(@d g<T> gVar) {
        l0.q(gVar, "$this$toRange");
        return new Range<>(gVar.getStart(), gVar.getEndInclusive());
    }

    @d
    @RequiresApi(21)
    public static final <T extends Comparable<? super T>> Range<T> plus(@d Range<T> range, @d T t7) {
        l0.q(range, "$this$plus");
        l0.q(t7, "value");
        Range<T> extend = range.extend(t7);
        l0.h(extend, "extend(value)");
        return extend;
    }
}
