package androidx.core.view;

import a7.d;
import android.view.Menu;
import android.view.MenuItem;
import java.util.Iterator;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.l2;
import kotlin.sequences.m;
import r4.l;
import r4.p;

@i0(d1 = {"\u0000B\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010)\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\u001a\u0015\u0010\u0004\u001a\u00020\u0003*\u00020\u00002\u0006\u0010\u0002\u001a\u00020\u0001H\n\u001a\u0015\u0010\u0007\u001a\u00020\u0006*\u00020\u00002\u0006\u0010\u0005\u001a\u00020\u0003H\u0002\u001a\u0015\u0010\t\u001a\u00020\b*\u00020\u00002\u0006\u0010\u0005\u001a\u00020\u0003H\n\u001a\r\u0010\n\u001a\u00020\u0006*\u00020\u0000H\b\u001a\r\u0010\u000b\u001a\u00020\u0006*\u00020\u0000H\b\u001a0\u0010\u0010\u001a\u00020\b*\u00020\u00002!\u0010\u000f\u001a\u001d\u0012\u0013\u0012\u00110\u0003¢\u0006\f\b\r\u0012\b\b\u000e\u0012\u0004\b\b(\u0005\u0012\u0004\u0012\u00020\b0\fH\b\u001aE\u0010\u0012\u001a\u00020\b*\u00020\u000026\u0010\u000f\u001a2\u0012\u0013\u0012\u00110\u0001¢\u0006\f\b\r\u0012\b\b\u000e\u0012\u0004\b\b(\u0002\u0012\u0013\u0012\u00110\u0003¢\u0006\f\b\r\u0012\b\b\u000e\u0012\u0004\b\b(\u0005\u0012\u0004\u0012\u00020\b0\u0011H\b\u001a\u0013\u0010\u0014\u001a\b\u0012\u0004\u0012\u00020\u00030\u0013*\u00020\u0000H\u0002\"\u0016\u0010\u0017\u001a\u00020\u0001*\u00020\u00008Æ\u0002¢\u0006\u0006\u001a\u0004\b\u0015\u0010\u0016\"\u001b\u0010\u001b\u001a\b\u0012\u0004\u0012\u00020\u00030\u0018*\u00020\u00008F¢\u0006\u0006\u001a\u0004\b\u0019\u0010\u001a¨\u0006\u001c"}, d2 = {"Landroid/view/Menu;", "", "index", "Landroid/view/MenuItem;", "get", "item", "", "contains", "Lkotlin/l2;", "minusAssign", "isEmpty", "isNotEmpty", "Lkotlin/Function1;", "Lkotlin/v0;", "name", "action", "forEach", "Lkotlin/Function2;", "forEachIndexed", "", "iterator", "getSize", "(Landroid/view/Menu;)I", "size", "Lkotlin/sequences/m;", "getChildren", "(Landroid/view/Menu;)Lkotlin/sequences/m;", "children", "core-ktx_release"}, k = 2, mv = {1, 4, 0})
public final class MenuKt {
    public static final boolean contains(@d Menu menu, @d MenuItem menuItem) {
        l0.q(menu, "$this$contains");
        l0.q(menuItem, "item");
        int size = menu.size();
        for (int i7 = 0; i7 < size; i7++) {
            if (l0.g(menu.getItem(i7), menuItem)) {
                return true;
            }
        }
        return false;
    }

    public static final void forEach(@d Menu menu, @d l<? super MenuItem, l2> lVar) {
        l0.q(menu, "$this$forEach");
        l0.q(lVar, "action");
        int size = menu.size();
        for (int i7 = 0; i7 < size; i7++) {
            MenuItem item = menu.getItem(i7);
            l0.h(item, "getItem(index)");
            lVar.invoke(item);
        }
    }

    public static final void forEachIndexed(@d Menu menu, @d p<? super Integer, ? super MenuItem, l2> pVar) {
        l0.q(menu, "$this$forEachIndexed");
        l0.q(pVar, "action");
        int size = menu.size();
        for (int i7 = 0; i7 < size; i7++) {
            Integer valueOf = Integer.valueOf(i7);
            MenuItem item = menu.getItem(i7);
            l0.h(item, "getItem(index)");
            pVar.invoke(valueOf, item);
        }
    }

    @d
    public static final MenuItem get(@d Menu menu, int i7) {
        l0.q(menu, "$this$get");
        MenuItem item = menu.getItem(i7);
        l0.h(item, "getItem(index)");
        return item;
    }

    @d
    public static final m<MenuItem> getChildren(@d Menu menu) {
        l0.q(menu, "$this$children");
        return new MenuKt$children$1(menu);
    }

    public static final int getSize(@d Menu menu) {
        l0.q(menu, "$this$size");
        return menu.size();
    }

    public static final boolean isEmpty(@d Menu menu) {
        l0.q(menu, "$this$isEmpty");
        return menu.size() == 0;
    }

    public static final boolean isNotEmpty(@d Menu menu) {
        l0.q(menu, "$this$isNotEmpty");
        return menu.size() != 0;
    }

    @d
    public static final Iterator<MenuItem> iterator(@d Menu menu) {
        l0.q(menu, "$this$iterator");
        return new MenuKt$iterator$1(menu);
    }

    public static final void minusAssign(@d Menu menu, @d MenuItem menuItem) {
        l0.q(menu, "$this$minusAssign");
        l0.q(menuItem, "item");
        menu.removeItem(menuItem.getItemId());
    }
}
