package androidx.lifecycle;

import androidx.annotation.RestrictTo;
import java.util.HashMap;
import java.util.Map;

@RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
public class MethodCallsLogger {
    private Map<String, Integer> mCalledMethods = new HashMap();

    @RestrictTo({RestrictTo.Scope.LIBRARY_GROUP_PREFIX})
    public boolean approveCall(String str, int i7) {
        Integer num = this.mCalledMethods.get(str);
        boolean z7 = false;
        int intValue = num != null ? num.intValue() : 0;
        if ((intValue & i7) != 0) {
            z7 = true;
        }
        this.mCalledMethods.put(str, Integer.valueOf(i7 | intValue));
        return !z7;
    }
}
