package androidx.media;

import android.media.VolumeProvider;
import androidx.annotation.RequiresApi;

/* access modifiers changed from: package-private */
@RequiresApi(21)
public class VolumeProviderCompatApi21 {

    public interface Delegate {
        void onAdjustVolume(int i7);

        void onSetVolumeTo(int i7);
    }

    private VolumeProviderCompatApi21() {
    }

    public static Object createVolumeProvider(int i7, int i8, int i9, final Delegate delegate) {
        return new VolumeProvider(i7, i8, i9) {
            /* class androidx.media.VolumeProviderCompatApi21.AnonymousClass1 */

            public void onAdjustVolume(int i7) {
                delegate.onAdjustVolume(i7);
            }

            public void onSetVolumeTo(int i7) {
                delegate.onSetVolumeTo(i7);
            }
        };
    }

    public static void setCurrentVolume(Object obj, int i7) {
        ((VolumeProvider) obj).setCurrentVolume(i7);
    }
}
