package androidx.navigation;

import a7.d;
import androidx.annotation.IdRes;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000&\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\u001a\u0017\u0010\u0004\u001a\u00020\u0003*\u00020\u00002\b\b\u0001\u0010\u0002\u001a\u00020\u0001H\n\u001a\u0015\u0010\u0004\u001a\u00020\u0003*\u00020\u00002\u0006\u0010\u0006\u001a\u00020\u0005H\n\u001a\u0017\u0010\b\u001a\u00020\u0007*\u00020\u00002\b\b\u0001\u0010\u0002\u001a\u00020\u0001H\u0002\u001a\u0015\u0010\b\u001a\u00020\u0007*\u00020\u00002\u0006\u0010\u0006\u001a\u00020\u0005H\u0002\u001a\u0015\u0010\u000b\u001a\u00020\n*\u00020\u00002\u0006\u0010\t\u001a\u00020\u0003H\n\u001a\u0015\u0010\u000b\u001a\u00020\n*\u00020\u00002\u0006\u0010\f\u001a\u00020\u0000H\n\u001a\u0015\u0010\r\u001a\u00020\n*\u00020\u00002\u0006\u0010\t\u001a\u00020\u0003H\n¨\u0006\u000e"}, d2 = {"Landroidx/navigation/NavGraph;", "", "id", "Landroidx/navigation/NavDestination;", "get", "", "route", "", "contains", "node", "Lkotlin/l2;", "plusAssign", "other", "minusAssign", "navigation-common_release"}, k = 2, mv = {1, 6, 0})
public final class NavGraphKt {
    public static final boolean contains(@d NavGraph navGraph, @IdRes int i7) {
        l0.p(navGraph, "<this>");
        return navGraph.findNode(i7) != null;
    }

    @d
    public static final NavDestination get(@d NavGraph navGraph, @IdRes int i7) {
        l0.p(navGraph, "<this>");
        NavDestination findNode = navGraph.findNode(i7);
        if (findNode != null) {
            return findNode;
        }
        throw new IllegalArgumentException("No destination for " + i7 + " was found in " + navGraph);
    }

    public static final void minusAssign(@d NavGraph navGraph, @d NavDestination navDestination) {
        l0.p(navGraph, "<this>");
        l0.p(navDestination, "node");
        navGraph.remove(navDestination);
    }

    public static final void plusAssign(@d NavGraph navGraph, @d NavDestination navDestination) {
        l0.p(navGraph, "<this>");
        l0.p(navDestination, "node");
        navGraph.addDestination(navDestination);
    }

    public static final boolean contains(@d NavGraph navGraph, @d String str) {
        l0.p(navGraph, "<this>");
        l0.p(str, "route");
        return navGraph.findNode(str) != null;
    }

    @d
    public static final NavDestination get(@d NavGraph navGraph, @d String str) {
        l0.p(navGraph, "<this>");
        l0.p(str, "route");
        NavDestination findNode = navGraph.findNode(str);
        if (findNode != null) {
            return findNode;
        }
        throw new IllegalArgumentException("No destination for " + str + " was found in " + navGraph);
    }

    public static final void plusAssign(@d NavGraph navGraph, @d NavGraph navGraph2) {
        l0.p(navGraph, "<this>");
        l0.p(navGraph2, "other");
        navGraph.addAll(navGraph2);
    }
}
