package com.google.android.gms.common.internal;

import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import r.a;
import x.h0;

@a
public final class b0 {
    private b0() {
        throw new AssertionError("Uninstantiable");
    }

    @a
    public static void a(boolean z7) {
        if (!z7) {
            throw new IllegalArgumentException();
        }
    }

    @a
    public static void b(boolean z7, Object obj) {
        if (!z7) {
            throw new IllegalArgumentException(String.valueOf(obj));
        }
    }

    @a
    public static void c(boolean z7, String str, Object... objArr) {
        if (!z7) {
            throw new IllegalArgumentException(String.format(str, objArr));
        }
    }

    @a
    public static void d(Handler handler) {
        e(handler, "Must be called on the handler thread");
    }

    @a
    public static void e(Handler handler, String str) {
        if (Looper.myLooper() != handler.getLooper()) {
            throw new IllegalStateException(str);
        }
    }

    @a
    public static void f(String str) {
        if (!h0.a()) {
            throw new IllegalStateException(str);
        }
    }

    @a
    public static String g(String str) {
        if (!TextUtils.isEmpty(str)) {
            return str;
        }
        throw new IllegalArgumentException("Given String is empty or null");
    }

    @a
    public static String h(String str, Object obj) {
        if (!TextUtils.isEmpty(str)) {
            return str;
        }
        throw new IllegalArgumentException(String.valueOf(obj));
    }

    @a
    public static void i() {
        j("Must not be called on the main application thread");
    }

    @a
    public static void j(String str) {
        if (h0.a()) {
            throw new IllegalStateException(str);
        }
    }

    @NonNull
    @a
    public static <T> T k(@Nullable T t7) {
        if (t7 != null) {
            return t7;
        }
        throw new NullPointerException("null reference");
    }

    @NonNull
    @a
    public static <T> T l(T t7, Object obj) {
        if (t7 != null) {
            return t7;
        }
        throw new NullPointerException(String.valueOf(obj));
    }

    @a
    public static int m(int i7) {
        if (i7 != 0) {
            return i7;
        }
        throw new IllegalArgumentException("Given Integer is zero");
    }

    @a
    public static int n(int i7, Object obj) {
        if (i7 != 0) {
            return i7;
        }
        throw new IllegalArgumentException(String.valueOf(obj));
    }

    @a
    public static long o(long j7) {
        if (j7 != 0) {
            return j7;
        }
        throw new IllegalArgumentException("Given Long is zero");
    }

    @a
    public static long p(long j7, Object obj) {
        if (j7 != 0) {
            return j7;
        }
        throw new IllegalArgumentException(String.valueOf(obj));
    }

    @a
    public static void q(boolean z7) {
        if (!z7) {
            throw new IllegalStateException();
        }
    }

    @a
    public static void r(boolean z7, Object obj) {
        if (!z7) {
            throw new IllegalStateException(String.valueOf(obj));
        }
    }

    @a
    public static void s(boolean z7, String str, Object... objArr) {
        if (!z7) {
            throw new IllegalStateException(String.format(str, objArr));
        }
    }
}
