package com.google.android.gms.common.server.response;

import android.os.Parcel;
import com.google.android.gms.common.internal.e0;
import com.google.android.gms.common.internal.safeparcel.SafeParcelable;
import com.google.android.gms.common.server.response.FastJsonResponse;
import r.a;
import x.d0;

@a
@e0
public abstract class FastSafeParcelableJsonResponse extends FastJsonResponse implements SafeParcelable {
    public final int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!getClass().isInstance(obj)) {
            return false;
        }
        FastJsonResponse fastJsonResponse = (FastJsonResponse) obj;
        for (FastJsonResponse.Field<?, ?> field : j().values()) {
            if (n(field)) {
                if (!fastJsonResponse.n(field) || !l(field).equals(fastJsonResponse.l(field))) {
                    return false;
                }
            } else if (fastJsonResponse.n(field)) {
                return false;
            }
        }
        return true;
    }

    public int hashCode() {
        int i7 = 0;
        for (FastJsonResponse.Field<?, ?> field : j().values()) {
            if (n(field)) {
                i7 = (i7 * 31) + l(field).hashCode();
            }
        }
        return i7;
    }

    @a
    public byte[] k0() {
        Parcel obtain = Parcel.obtain();
        writeToParcel(obtain, 0);
        byte[] marshall = obtain.marshall();
        obtain.recycle();
        return marshall;
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    @d0
    public Object m(String str) {
        return null;
    }

    @Override // com.google.android.gms.common.server.response.FastJsonResponse
    @d0
    public boolean o(String str) {
        return false;
    }
}
