package com.google.android.gms.internal.play_billing;

import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public final class j {
    public static int a(int i7, int i8, @NullableDecl String str) {
        String str2;
        if (i7 >= 0 && i7 < i8) {
            return i7;
        }
        if (i7 < 0) {
            str2 = k.a("%s (%s) must not be negative", "index", Integer.valueOf(i7));
        } else if (i8 < 0) {
            StringBuilder sb = new StringBuilder(26);
            sb.append("negative size: ");
            sb.append(i8);
            throw new IllegalArgumentException(sb.toString());
        } else {
            str2 = k.a("%s (%s) must be less than size (%s)", "index", Integer.valueOf(i7), Integer.valueOf(i8));
        }
        throw new IndexOutOfBoundsException(str2);
    }

    public static int b(int i7, int i8, @NullableDecl String str) {
        if (i7 >= 0 && i7 <= i8) {
            return i7;
        }
        throw new IndexOutOfBoundsException(d(i7, i8, "index"));
    }

    public static void c(int i7, int i8, int i9) {
        String str;
        if (i7 < 0 || i8 < i7 || i8 > i9) {
            if (i7 < 0 || i7 > i9) {
                str = d(i7, i9, "start index");
            } else if (i8 < 0 || i8 > i9) {
                str = d(i8, i9, "end index");
            } else {
                str = k.a("end index (%s) must not be less than start index (%s)", Integer.valueOf(i8), Integer.valueOf(i7));
            }
            throw new IndexOutOfBoundsException(str);
        }
    }

    private static String d(int i7, int i8, @NullableDecl String str) {
        if (i7 < 0) {
            return k.a("%s (%s) must not be negative", str, Integer.valueOf(i7));
        } else if (i8 >= 0) {
            return k.a("%s (%s) must not be greater than size (%s)", str, Integer.valueOf(i7), Integer.valueOf(i8));
        } else {
            StringBuilder sb = new StringBuilder(26);
            sb.append("negative size: ");
            sb.append(i8);
            throw new IllegalArgumentException(sb.toString());
        }
    }
}
