package com.google.android.gms.internal.vision;

import com.google.android.gms.internal.vision.h;
import com.google.android.gms.internal.vision.i;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public abstract class h<MessageType extends h<MessageType, BuilderType>, BuilderType extends i<MessageType, BuilderType>> implements b2 {
    private static boolean zzgj = false;
    protected int zzgi = 0;

    protected static <T> void f(Iterable<T> iterable, List<? super T> list) {
        w0.a(iterable);
        if (iterable instanceof k1) {
            List<?> E0 = ((k1) iterable).E0();
            k1 k1Var = (k1) list;
            int size = list.size();
            for (Object obj : E0) {
                if (obj == null) {
                    StringBuilder sb = new StringBuilder(37);
                    sb.append("Element at index ");
                    sb.append(k1Var.size() - size);
                    sb.append(" is null.");
                    String sb2 = sb.toString();
                    for (int size2 = k1Var.size() - 1; size2 >= size; size2--) {
                        k1Var.remove(size2);
                    }
                    throw new NullPointerException(sb2);
                } else if (obj instanceof q) {
                    k1Var.X0((q) obj);
                } else {
                    k1Var.add((String) obj);
                }
            }
        } else if (iterable instanceof n2) {
            list.addAll((Collection) iterable);
        } else {
            if ((list instanceof ArrayList) && (iterable instanceof Collection)) {
                ((ArrayList) list).ensureCapacity(list.size() + ((Collection) iterable).size());
            }
            int size3 = list.size();
            for (T t7 : iterable) {
                if (t7 == null) {
                    StringBuilder sb3 = new StringBuilder(37);
                    sb3.append("Element at index ");
                    sb3.append(list.size() - size3);
                    sb3.append(" is null.");
                    String sb4 = sb3.toString();
                    for (int size4 = list.size() - 1; size4 >= size3; size4--) {
                        list.remove(size4);
                    }
                    throw new NullPointerException(sb4);
                }
                list.add(t7);
            }
        }
    }

    public final byte[] e() {
        try {
            byte[] bArr = new byte[a()];
            d0 U = d0.U(bArr);
            d(U);
            U.H();
            return bArr;
        } catch (IOException e7) {
            String name = getClass().getName();
            StringBuilder sb = new StringBuilder(name.length() + 62 + "byte array".length());
            sb.append("Serializing ");
            sb.append(name);
            sb.append(" to a ");
            sb.append("byte array");
            sb.append(" threw an IOException (should never happen).");
            throw new RuntimeException(sb.toString(), e7);
        }
    }

    /* access modifiers changed from: package-private */
    public int g() {
        throw new UnsupportedOperationException();
    }

    /* access modifiers changed from: package-private */
    public void h(int i7) {
        throw new UnsupportedOperationException();
    }

    @Override // com.google.android.gms.internal.vision.b2
    public final q y() {
        try {
            v u7 = q.u(a());
            d(u7.b());
            return u7.a();
        } catch (IOException e7) {
            String name = this.getClass().getName();
            StringBuilder sb = new StringBuilder(name.length() + 62 + "ByteString".length());
            sb.append("Serializing ");
            sb.append(name);
            sb.append(" to a ");
            sb.append("ByteString");
            sb.append(" threw an IOException (should never happen).");
            throw new RuntimeException(sb.toString(), e7);
        }
    }
}
