package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.util.Collection;
import java.util.Map;
import java.util.Set;
import java.util.function.BiConsumer;
import m0.b;
import p0.a;
import p0.c;

@b
public interface na<K, V> {
    /* access modifiers changed from: private */
    static /* synthetic */ default void g0(BiConsumer biConsumer, Map.Entry entry) {
        biConsumer.accept(entry.getKey(), entry.getValue());
    }

    @a
    boolean B0(na<? extends K, ? extends V> naVar);

    ya<K> N0();

    @a
    Collection<V> b(@c("K") Object obj);

    @a
    Collection<V> c(K k7, Iterable<? extends V> iterable);

    void clear();

    boolean containsKey(@c("K") Object obj);

    boolean containsValue(@c("V") Object obj);

    Map<K, Collection<V>> e();

    boolean equals(Object obj);

    default void forEach(BiConsumer<? super K, ? super V> biConsumer) {
        Preconditions.checkNotNull(biConsumer);
        h().forEach(new ma(biConsumer));
    }

    Collection<V> get(K k7);

    Collection<Map.Entry<K, V>> h();

    int hashCode();

    boolean isEmpty();

    Set<K> keySet();

    @a
    boolean put(K k7, V v7);

    boolean q1(@c("K") Object obj, @c("V") Object obj2);

    @a
    boolean remove(@c("K") Object obj, @c("V") Object obj2);

    int size();

    @a
    boolean v1(K k7, Iterable<? extends V> iterable);

    Collection<V> values();
}
