package com.google.common.collect;

import com.google.common.base.Preconditions;
import java.util.Collection;
import java.util.Iterator;
import java.util.Set;
import java.util.Spliterator;
import java.util.function.Consumer;
import java.util.function.ObjIntConsumer;
import m0.b;
import p0.c;

@b
public interface ya<E> extends Collection<E> {

    public interface a<E> {
        E a();

        boolean equals(Object obj);

        int getCount();

        int hashCode();

        String toString();
    }

    /* access modifiers changed from: private */
    static /* synthetic */ default void G0(Consumer consumer, a aVar) {
        Object a8 = aVar.a();
        int count = aVar.getCount();
        for (int i7 = 0; i7 < count; i7++) {
            consumer.accept(a8);
        }
    }

    /* access modifiers changed from: private */
    static /* synthetic */ default void c1(ObjIntConsumer objIntConsumer, a aVar) {
        objIntConsumer.accept(aVar.a(), aVar.getCount());
    }

    @m0.a
    default void L0(ObjIntConsumer<? super E> objIntConsumer) {
        Preconditions.checkNotNull(objIntConsumer);
        entrySet().forEach(new wa(objIntConsumer));
    }

    int O0(@c("E") Object obj);

    @p0.a
    int V(@c("E") Object obj, int i7);

    @Override // java.util.Collection
    @p0.a
    boolean add(E e7);

    @p0.a
    int c0(E e7, int i7);

    boolean contains(Object obj);

    @Override // java.util.Collection
    boolean containsAll(Collection<?> collection);

    Set<E> d();

    Set<a<E>> entrySet();

    boolean equals(Object obj);

    @Override // java.lang.Iterable
    default void forEach(Consumer<? super E> consumer) {
        Preconditions.checkNotNull(consumer);
        entrySet().forEach(new xa(consumer));
    }

    int hashCode();

    @Override // java.util.Collection, java.lang.Iterable
    Iterator<E> iterator();

    @p0.a
    int p0(E e7, int i7);

    @p0.a
    boolean remove(Object obj);

    @Override // java.util.Collection
    @p0.a
    boolean removeAll(Collection<?> collection);

    @Override // java.util.Collection
    @p0.a
    boolean retainAll(Collection<?> collection);

    int size();

    @Override // java.util.Collection, java.lang.Iterable
    default Spliterator<E> spliterator() {
        return db.C(this);
    }

    String toString();

    @p0.a
    boolean w0(E e7, int i7, int i8);
}
