package com.google.common.graph;

import com.google.common.base.Preconditions;
import com.google.common.collect.le;
import com.google.common.collect.t5;
import p0.a;

/* access modifiers changed from: package-private */
public final class j<N, E> extends l<N, E> implements j0<N, E> {
    j(m0<? super N, ? super E> m0Var) {
        super(m0Var);
    }

    @a
    private n0<N, E> Y(N n7) {
        n0<N, E> Z = Z();
        Preconditions.checkState(this.f11114f.i(n7, Z) == null);
        return Z;
    }

    private n0<N, E> Z() {
        boolean f7 = f();
        boolean z7 = z();
        return f7 ? z7 ? o.p() : p.n() : z7 ? s0.p() : t0.m();
    }

    @Override // com.google.common.graph.j0
    @a
    public boolean H(s<N> sVar, E e7) {
        T(sVar);
        return P(sVar.h(), sVar.k(), e7);
    }

    @Override // com.google.common.graph.j0
    @a
    public boolean J(E e7) {
        Preconditions.checkNotNull(e7, "edge");
        N f7 = this.f11115g.f(e7);
        boolean z7 = false;
        if (f7 == null) {
            return false;
        }
        n0<N, E> f8 = this.f11114f.f(f7);
        N f9 = f8.f(e7);
        n0<N, E> f10 = this.f11114f.f(f9);
        f8.h(e7);
        if (i() && f7.equals(f9)) {
            z7 = true;
        }
        f10.d(e7, z7);
        this.f11115g.j(e7);
        return true;
    }

    @Override // com.google.common.graph.j0
    @a
    public boolean P(N n7, N n8, E e7) {
        Preconditions.checkNotNull(n7, "nodeU");
        Preconditions.checkNotNull(n8, "nodeV");
        Preconditions.checkNotNull(e7, "edge");
        boolean z7 = false;
        if (W(e7)) {
            s<N> A = A(e7);
            s m7 = s.m(this, n7, n8);
            Preconditions.checkArgument(A.equals(m7), "Edge %s already exists between the following nodes: %s, so it cannot be reused to connect the following nodes: %s.", e7, A, m7);
            return false;
        }
        n0<N, E> f7 = this.f11114f.f(n7);
        if (!z()) {
            if (f7 == null || !f7.b().contains(n8)) {
                z7 = true;
            }
            Preconditions.checkArgument(z7, "Nodes %s and %s are already connected by a different edge. To construct a graph that allows parallel edges, call allowsParallelEdges(true) on the Builder.", n7, n8);
        }
        boolean equals = n7.equals(n8);
        if (!i()) {
            Preconditions.checkArgument(!equals, "Cannot add self-loop edge on node %s, as self-loops are not allowed. To construct a graph that allows self-loops, call allowsSelfLoops(true) on the Builder.", n7);
        }
        if (f7 == null) {
            f7 = Y(n7);
        }
        f7.j(e7, n8);
        n0<N, E> f8 = this.f11114f.f(n8);
        if (f8 == null) {
            f8 = Y(n8);
        }
        f8.l(e7, n7, equals);
        this.f11115g.i(e7, n7);
        return true;
    }

    @Override // com.google.common.graph.j0
    @a
    public boolean o(N n7) {
        Preconditions.checkNotNull(n7, "node");
        if (X(n7)) {
            return false;
        }
        Y(n7);
        return true;
    }

    @Override // com.google.common.graph.j0
    @a
    public boolean p(N n7) {
        Preconditions.checkNotNull(n7, "node");
        n0<N, E> f7 = this.f11114f.f(n7);
        if (f7 == null) {
            return false;
        }
        le<E> n8 = t5.D(f7.e()).iterator();
        while (n8.hasNext()) {
            J(n8.next());
        }
        this.f11114f.j(n7);
        return true;
    }
}
