package com.google.common.graph;

import com.google.common.base.Preconditions;
import p0.a;

final class k<N, V> extends m<N, V> implements k0<N, V> {
    k(d<? super N> dVar) {
        super(dVar);
    }

    @a
    private z<N, V> Y(N n7) {
        z<N, V> Z = Z();
        Preconditions.checkState(this.f11119d.i(n7, Z) == null);
        return Z;
    }

    private z<N, V> Z() {
        return f() ? n.p() : r0.i();
    }

    @Override // com.google.common.graph.k0
    @a
    public V K(s<N> sVar, V v7) {
        S(sVar);
        return M(sVar.h(), sVar.k(), v7);
    }

    @Override // com.google.common.graph.k0
    @a
    public V M(N n7, N n8, V v7) {
        Preconditions.checkNotNull(n7, "nodeU");
        Preconditions.checkNotNull(n8, "nodeV");
        Preconditions.checkNotNull(v7, "value");
        if (!i()) {
            Preconditions.checkArgument(!n7.equals(n8), "Cannot add self-loop edge on node %s, as self-loops are not allowed. To construct a graph that allows self-loops, call allowsSelfLoops(true) on the Builder.", n7);
        }
        z<N, V> f7 = this.f11119d.f(n7);
        if (f7 == null) {
            f7 = Y(n7);
        }
        V g7 = f7.g(n8, v7);
        z<N, V> f8 = this.f11119d.f(n8);
        if (f8 == null) {
            f8 = Y(n8);
        }
        f8.h(n7, v7);
        if (g7 == null) {
            long j7 = this.f11120e + 1;
            this.f11120e = j7;
            b0.e(j7);
        }
        return g7;
    }

    @Override // com.google.common.graph.k0
    @a
    public boolean o(N n7) {
        Preconditions.checkNotNull(n7, "node");
        if (V(n7)) {
            return false;
        }
        Y(n7);
        return true;
    }

    @Override // com.google.common.graph.k0
    @a
    public boolean p(N n7) {
        Preconditions.checkNotNull(n7, "node");
        z<N, V> f7 = this.f11119d.f(n7);
        if (f7 == null) {
            return false;
        }
        if (i() && f7.d(n7) != null) {
            f7.f(n7);
            this.f11120e--;
        }
        for (N n8 : f7.b()) {
            this.f11119d.h(n8).f(n7);
            this.f11120e--;
        }
        if (f()) {
            for (N n9 : f7.c()) {
                Preconditions.checkState(this.f11119d.h(n9).d(n7) != null);
                this.f11120e--;
            }
        }
        this.f11119d.j(n7);
        b0.c(this.f11120e);
        return true;
    }

    @Override // com.google.common.graph.k0
    @a
    public V q(N n7, N n8) {
        Preconditions.checkNotNull(n7, "nodeU");
        Preconditions.checkNotNull(n8, "nodeV");
        z<N, V> f7 = this.f11119d.f(n7);
        z<N, V> f8 = this.f11119d.f(n8);
        if (f7 == null || f8 == null) {
            return null;
        }
        V d7 = f7.d(n8);
        if (d7 != null) {
            f8.f(n7);
            long j7 = this.f11120e - 1;
            this.f11120e = j7;
            b0.c(j7);
        }
        return d7;
    }

    @Override // com.google.common.graph.k0
    @a
    public V r(s<N> sVar) {
        S(sVar);
        return q(sVar.h(), sVar.k());
    }
}
