package com.google.common.hash;

import com.google.common.base.Preconditions;
import java.nio.ByteBuffer;
import java.nio.charset.Charset;
import p0.a;

@a
abstract class d implements s {
    d() {
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s a(byte[] bArr) {
        return d(bArr, 0, bArr.length);
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s c(CharSequence charSequence) {
        int length = charSequence.length();
        for (int i7 = 0; i7 < length; i7++) {
            e(charSequence.charAt(i7));
        }
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s d(byte[] bArr, int i7, int i8) {
        Preconditions.checkPositionIndexes(i7, i7 + i8, bArr.length);
        for (int i9 = 0; i9 < i8; i9++) {
            b(bArr[i7 + i9]);
        }
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s e(char c7) {
        b((byte) c7);
        b((byte) (c7 >>> '\b'));
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s f(ByteBuffer byteBuffer) {
        if (byteBuffer.hasArray()) {
            d(byteBuffer.array(), byteBuffer.arrayOffset() + byteBuffer.position(), byteBuffer.remaining());
            byteBuffer.position(byteBuffer.limit());
        } else {
            for (int remaining = byteBuffer.remaining(); remaining > 0; remaining--) {
                b(byteBuffer.get());
            }
        }
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s g(CharSequence charSequence, Charset charset) {
        return a(charSequence.toString().getBytes(charset));
    }

    @Override // com.google.common.hash.s
    public <T> s h(T t7, o<? super T> oVar) {
        oVar.s0(t7, this);
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public final s putBoolean(boolean z7) {
        return b(z7 ? (byte) 1 : 0);
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public final s putDouble(double d7) {
        return putLong(Double.doubleToRawLongBits(d7));
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public final s putFloat(float f7) {
        return putInt(Float.floatToRawIntBits(f7));
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s putInt(int i7) {
        b((byte) i7);
        b((byte) (i7 >>> 8));
        b((byte) (i7 >>> 16));
        b((byte) (i7 >>> 24));
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s putLong(long j7) {
        for (int i7 = 0; i7 < 64; i7 += 8) {
            b((byte) ((int) (j7 >>> i7)));
        }
        return this;
    }

    @Override // com.google.common.hash.s, com.google.common.hash.s, com.google.common.hash.f0
    public s putShort(short s7) {
        b((byte) s7);
        b((byte) (s7 >>> 8));
        return this;
    }
}
