package com.google.common.util.concurrent;

import com.google.common.base.Preconditions;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.TimeUnit;
import m0.a;
import m0.c;

@a
@p0.a
@c
public final class j0 implements y1 {
    @Override // com.google.common.util.concurrent.y1
    public <T> T b(Callable<T> callable, long j7, TimeUnit timeUnit) throws ExecutionException {
        return (T) f(callable, j7, timeUnit);
    }

    @Override // com.google.common.util.concurrent.y1
    public void d(Runnable runnable, long j7, TimeUnit timeUnit) {
        Preconditions.checkNotNull(runnable);
        Preconditions.checkNotNull(timeUnit);
        try {
            runnable.run();
        } catch (RuntimeException e7) {
            throw new c2(e7);
        } catch (Error e8) {
            throw new g0(e8);
        } catch (Throwable th) {
            throw new c2(th);
        }
    }

    @Override // com.google.common.util.concurrent.y1
    public <T> T f(Callable<T> callable, long j7, TimeUnit timeUnit) throws ExecutionException {
        Preconditions.checkNotNull(callable);
        Preconditions.checkNotNull(timeUnit);
        try {
            return callable.call();
        } catch (RuntimeException e7) {
            throw new c2(e7);
        } catch (Exception e8) {
            throw new ExecutionException(e8);
        } catch (Error e9) {
            throw new g0(e9);
        } catch (Throwable th) {
            throw new ExecutionException(th);
        }
    }

    @Override // com.google.common.util.concurrent.y1
    public <T> T h(T t7, Class<T> cls, long j7, TimeUnit timeUnit) {
        Preconditions.checkNotNull(t7);
        Preconditions.checkNotNull(cls);
        Preconditions.checkNotNull(timeUnit);
        return t7;
    }

    @Override // com.google.common.util.concurrent.y1
    public void j(Runnable runnable, long j7, TimeUnit timeUnit) {
        d(runnable, j7, timeUnit);
    }
}
