package com.google.common.util.concurrent;

import com.google.common.base.Function;
import com.google.common.base.Preconditions;
import com.google.common.util.concurrent.c;
import com.google.common.util.concurrent.l1;
import java.time.Duration;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import m0.b;

@m0.a
@b(emulated = true)
public abstract class k0<V> extends x0<V> {

    /* access modifiers changed from: package-private */
    public static abstract class a<V> extends k0<V> implements c.i<V> {
        a() {
        }

        @Override // com.google.common.util.concurrent.d1, com.google.common.util.concurrent.c
        public final void addListener(Runnable runnable, Executor executor) {
            super.addListener(runnable, executor);
        }

        @Override // com.google.common.util.concurrent.c
        @p0.a
        public final boolean cancel(boolean z7) {
            return super.cancel(z7);
        }

        @Override // java.util.concurrent.Future, com.google.common.util.concurrent.c
        @p0.a
        public final V get() throws InterruptedException, ExecutionException {
            return (V) super.get();
        }

        @Override // com.google.common.util.concurrent.c
        public final boolean isCancelled() {
            return super.isCancelled();
        }

        @Override // com.google.common.util.concurrent.c
        public final boolean isDone() {
            return super.isDone();
        }

        @Override // java.util.concurrent.Future, com.google.common.util.concurrent.c
        @p0.a
        public final V get(long j7, TimeUnit timeUnit) throws InterruptedException, ExecutionException, TimeoutException {
            return (V) super.get(j7, timeUnit);
        }
    }

    k0() {
    }

    @Deprecated
    public static <V> k0<V> H(k0<V> k0Var) {
        return (k0) Preconditions.checkNotNull(k0Var);
    }

    public static <V> k0<V> I(d1<V> d1Var) {
        return d1Var instanceof k0 ? (k0) d1Var : new p0(d1Var);
    }

    public final void E(u0<? super V> u0Var, Executor executor) {
        v0.a(this, u0Var, executor);
    }

    @l1.a("AVAILABLE but requires exceptionType to be Throwable.class")
    public final <X extends Throwable> k0<V> F(Class<X> cls, Function<? super X, ? extends V> function, Executor executor) {
        return (k0) v0.d(this, cls, function, executor);
    }

    @l1.a("AVAILABLE but requires exceptionType to be Throwable.class")
    public final <X extends Throwable> k0<V> G(Class<X> cls, m<? super X, ? extends V> mVar, Executor executor) {
        return (k0) v0.e(this, cls, mVar, executor);
    }

    public final <T> k0<T> J(Function<? super V, T> function, Executor executor) {
        return (k0) v0.v(this, function, executor);
    }

    public final <T> k0<T> K(m<? super V, T> mVar, Executor executor) {
        return (k0) v0.w(this, mVar, executor);
    }

    @m0.c
    public final k0<V> L(long j7, TimeUnit timeUnit, ScheduledExecutorService scheduledExecutorService) {
        return (k0) v0.B(this, j7, timeUnit, scheduledExecutorService);
    }

    @m0.c
    public final k0<V> M(Duration duration, ScheduledExecutorService scheduledExecutorService) {
        return L(a1.a(duration), TimeUnit.NANOSECONDS, scheduledExecutorService);
    }
}
