package com.graphisoft.bimx.connector;

import a7.d;
import com.graphisoft.bimx.connector.data.ConversionCellData;
import com.graphisoft.bimx.connector.data.ModelID;
import com.graphisoft.bimx.connector.dataaddresses.DataAddress;
import com.graphisoft.bimx.connector.enums.OperationResultCode;
import com.graphisoft.bimx.connector.handles.ConversionLauncherDataProviderHandle;
import java.util.ArrayList;
import java.util.function.Consumer;
import kotlin.i0;

@i0(d1 = {"\u0000>\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u0013\u0010\u0014J\u001f\u0010\b\u001a\u00020\u00072\u0006\u0010\u0003\u001a\u00020\u00022\f\u0010\u0006\u001a\b\u0012\u0004\u0012\u00020\u00050\u0004H J\u0017\u0010\f\u001a\b\u0012\u0004\u0012\u00020\u000b0\n2\u0006\u0010\t\u001a\u00020\u0002H J\u0019\u0010\u0010\u001a\u00020\u000f2\u0006\u0010\u000e\u001a\u00020\r2\u0006\u0010\t\u001a\u00020\u0002H J\u0011\u0010\u0012\u001a\u00020\u00112\u0006\u0010\t\u001a\u00020\u0002H ¨\u0006\u0015"}, d2 = {"Lcom/graphisoft/bimx/connector/ConversionDataConnector;", "", "Lcom/graphisoft/bimx/connector/dataaddresses/DataAddress;", "modelListAddress", "Ljava/util/function/Consumer;", "", "callback", "Lcom/graphisoft/bimx/connector/handles/ConversionLauncherDataProviderHandle;", "createDataProvider", "hyperModelListAddress", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/ConversionCellData;", "getDataOf", "Lcom/graphisoft/bimx/connector/data/ModelID;", "modelId", "Lcom/graphisoft/bimx/connector/enums/OperationResultCode;", "convertHyperModel", "Lkotlin/l2;", "cancelConversion", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class ConversionDataConnector {
    @d
    public static final ConversionDataConnector INSTANCE = new ConversionDataConnector();

    private ConversionDataConnector() {
    }

    public final native void cancelConversion(@d DataAddress dataAddress);

    @d
    public final native OperationResultCode convertHyperModel(@d ModelID modelID, @d DataAddress dataAddress);

    @d
    public final native ConversionLauncherDataProviderHandle createDataProvider(@d DataAddress dataAddress, @d Consumer<Boolean> consumer);

    @d
    public final native ArrayList<ConversionCellData> getDataOf(@d DataAddress dataAddress);
}
