package com.graphisoft.bimx.connector;

import a7.d;
import a7.e;
import android.graphics.RectF;
import com.graphisoft.bimx.connector.data.ElementInfoData;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.handles.ElementInfoDataHandle;
import com.graphisoft.bimx.connector.handles.ExtensionManagerHandle;
import java.util.UUID;
import java.util.function.Consumer;
import kotlin.i0;

@i0(d1 = {"\u0000Z\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u000b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\u0007\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0007\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b$\u0010%J/\u0010\t\u001a\u00020\b2\u0006\u0010\u0003\u001a\u00020\u00022\b\u0010\u0005\u001a\u0004\u0018\u00010\u00042\b\u0010\u0006\u001a\u0004\u0018\u00010\u00042\b\u0010\u0007\u001a\u0004\u0018\u00010\u0004H J!\u0010\u000f\u001a\u00020\n2\u0006\u0010\u000b\u001a\u00020\n2\u0006\u0010\f\u001a\u00020\n2\u0006\u0010\u000e\u001a\u00020\rH JU\u0010\u001a\u001a\u00020\u00192\u0006\u0010\u0003\u001a\u00020\u00022\u0006\u0010\u0005\u001a\u00020\u00042\b\u0010\u0006\u001a\u0004\u0018\u00010\u00042\b\u0010\u0010\u001a\u0004\u0018\u00010\u00042\b\u0010\u0011\u001a\u0004\u0018\u00010\u00042\u0006\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0015\u001a\u00020\u00142\f\u0010\u0018\u001a\b\u0012\u0004\u0012\u00020\u00170\u0016H J\u0011\u0010\u001d\u001a\u00020\u001c2\u0006\u0010\u001b\u001a\u00020\u0019H J\u0011\u0010\u001e\u001a\u00020\u00042\u0006\u0010\u001b\u001a\u00020\u0019H J\u0011\u0010 \u001a\u00020\u001f2\u0006\u0010\u001b\u001a\u00020\u0019H J%\u0010#\u001a\u00020\u001f2\u0006\u0010\u001b\u001a\u00020\u00192\b\u0010!\u001a\u0004\u0018\u00010\u00172\b\u0010\"\u001a\u0004\u0018\u00010\u0017H ¨\u0006&"}, d2 = {"Lcom/graphisoft/bimx/connector/ElementInfoConnector;", "", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "address", "Ljava/util/UUID;", "elementId", "drawingId", "pubItem3dId", "", "hasElementInfo", "Landroid/graphics/RectF;", "objectRect", "viewRect", "", "targetWidth", "getObjectRect", "source3D", "visible3D", "Lcom/graphisoft/bimx/connector/handles/ExtensionManagerHandle;", "extensionManagerHandle", "Ljava/lang/Runnable;", "dataChangeCallback", "Ljava/util/function/Consumer;", "", "authRequiredCallback", "Lcom/graphisoft/bimx/connector/handles/ElementInfoDataHandle;", "createHandle", "handle", "Lcom/graphisoft/bimx/connector/data/ElementInfoData;", "getData", "infoSource3dGuid", "Lkotlin/l2;", "cancelAuthRequest", "username", "password", "completeAuthRequest", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class ElementInfoConnector {
    @d
    public static final ElementInfoConnector INSTANCE = new ElementInfoConnector();

    private ElementInfoConnector() {
    }

    public final native void cancelAuthRequest(@d ElementInfoDataHandle elementInfoDataHandle);

    public final native void completeAuthRequest(@d ElementInfoDataHandle elementInfoDataHandle, @e String str, @e String str2);

    @d
    public final native ElementInfoDataHandle createHandle(@d HyperModelDataAddress hyperModelDataAddress, @d UUID uuid, @e UUID uuid2, @e UUID uuid3, @e UUID uuid4, @d ExtensionManagerHandle extensionManagerHandle, @d Runnable runnable, @d Consumer<String> consumer);

    @d
    public final native ElementInfoData getData(@d ElementInfoDataHandle elementInfoDataHandle);

    @d
    public final native RectF getObjectRect(@d RectF rectF, @d RectF rectF2, float f7);

    public final native boolean hasElementInfo(@d HyperModelDataAddress hyperModelDataAddress, @e UUID uuid, @e UUID uuid2, @e UUID uuid3);

    @d
    public final native UUID infoSource3dGuid(@d ElementInfoDataHandle elementInfoDataHandle);
}
