package com.graphisoft.bimx.connector;

import a7.d;
import com.graphisoft.bimx.connector.data.IndexCellData;
import com.graphisoft.bimx.connector.data.IndexHyperModelData;
import com.graphisoft.bimx.connector.dataaddresses.HyperModelDataAddress;
import com.graphisoft.bimx.connector.handles.IndexDataHandle;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;

@i0(d1 = {"\u0000>\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\bÆ\u0002\u0018\u00002\u00020\u0001B\t\b\u0002¢\u0006\u0004\b\u0017\u0010\u0018J\u0011\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0003\u001a\u00020\u0002H J\u0017\u0010\n\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u0006H J\u0017\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u0006H J\u0017\u0010\f\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u0006H J\u001f\u0010\u000f\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\u000e\u001a\u00020\rH J\u001f\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\u000e\u001a\u00020\rH J\u001f\u0010\u0011\u001a\b\u0012\u0004\u0012\u00020\t0\b2\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\u000e\u001a\u00020\rH J\u0011\u0010\u0013\u001a\u00020\u00122\u0006\u0010\u0007\u001a\u00020\u0006H J\u0011\u0010\u0014\u001a\u00020\u00122\u0006\u0010\u0007\u001a\u00020\u0006H J\u0011\u0010\u0016\u001a\u00020\u00152\u0006\u0010\u0003\u001a\u00020\u0002H ¨\u0006\u0019"}, d2 = {"Lcom/graphisoft/bimx/connector/IndexDataConnector;", "", "Lcom/graphisoft/bimx/connector/dataaddresses/HyperModelDataAddress;", "hyperModelAddress", "Lcom/graphisoft/bimx/connector/data/IndexHyperModelData;", "initIndexData", "Lcom/graphisoft/bimx/connector/handles/IndexDataHandle;", "indexDataHandle", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/IndexCellData;", "getDataWithFirst2DAnd3DVisible", "getDataWithAllFolderOpen", "getDataWithAllFolderClose", "Ljava/util/UUID;", "guid", "getDataWithFolderOpen", "getDataWithFolderClose", "getDataWithPubItemSelected", "", "getNumberOfOutdatedPublisherItems", "getFirst3DIndex", "Lkotlin/l2;", "touchMetadataOfPublisherItems", "<init>", "()V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class IndexDataConnector {
    @d
    public static final IndexDataConnector INSTANCE = new IndexDataConnector();

    private IndexDataConnector() {
    }

    @d
    public final native ArrayList<IndexCellData> getDataWithAllFolderClose(@d IndexDataHandle indexDataHandle);

    @d
    public final native ArrayList<IndexCellData> getDataWithAllFolderOpen(@d IndexDataHandle indexDataHandle);

    @d
    public final native ArrayList<IndexCellData> getDataWithFirst2DAnd3DVisible(@d IndexDataHandle indexDataHandle);

    @d
    public final native ArrayList<IndexCellData> getDataWithFolderClose(@d IndexDataHandle indexDataHandle, @d UUID uuid);

    @d
    public final native ArrayList<IndexCellData> getDataWithFolderOpen(@d IndexDataHandle indexDataHandle, @d UUID uuid);

    @d
    public final native ArrayList<IndexCellData> getDataWithPubItemSelected(@d IndexDataHandle indexDataHandle, @d UUID uuid);

    public final native int getFirst3DIndex(@d IndexDataHandle indexDataHandle);

    public final native int getNumberOfOutdatedPublisherItems(@d IndexDataHandle indexDataHandle);

    @d
    public final native IndexHyperModelData initIndexData(@d HyperModelDataAddress hyperModelDataAddress);

    public final native void touchMetadataOfPublisherItems(@d HyperModelDataAddress hyperModelDataAddress);
}
