package com.graphisoft.bimx.connector.contentspecification;

import a7.e;
import android.graphics.RectF;
import android.os.Parcel;
import android.os.Parcelable;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimx.connector.enums.LabelsState;
import com.graphisoft.bimx.connector.enums.ZonesState;
import d5.d;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000<\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0007\b\u0007\u0018\u00002\u00020\u0001B)\u0012\u0006\u0010\n\u001a\u00020\t\u0012\b\u0010\u000f\u001a\u0004\u0018\u00010\u000e\u0012\u0006\u0010\u0014\u001a\u00020\u0013\u0012\u0006\u0010\u0019\u001a\u00020\u0018¢\u0006\u0004\b\u001d\u0010\u001eJ\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u001a\u0010\n\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\f\u0010\rR\u0019\u0010\u000f\u001a\u0004\u0018\u00010\u000e8\u0006¢\u0006\f\n\u0004\b\u000f\u0010\u0010\u001a\u0004\b\u0011\u0010\u0012R\u001a\u0010\u0014\u001a\u00020\u00138\u0016X\u0004¢\u0006\f\n\u0004\b\u0014\u0010\u0015\u001a\u0004\b\u0016\u0010\u0017R\u001a\u0010\u0019\u001a\u00020\u00188\u0016X\u0004¢\u0006\f\n\u0004\b\u0019\u0010\u001a\u001a\u0004\b\u001b\u0010\u001c¨\u0006\u001f"}, d2 = {"Lcom/graphisoft/bimx/connector/contentspecification/PubItem2dPageContentSpecWithZoom;", "Lcom/graphisoft/bimx/connector/contentspecification/PubItem2dPageContentSpec;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "address", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "getAddress", "()Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "Landroid/graphics/RectF;", "zoomRect", "Landroid/graphics/RectF;", "getZoomRect", "()Landroid/graphics/RectF;", "Lcom/graphisoft/bimx/connector/enums/ZonesState;", "zonesState", "Lcom/graphisoft/bimx/connector/enums/ZonesState;", "getZonesState", "()Lcom/graphisoft/bimx/connector/enums/ZonesState;", "Lcom/graphisoft/bimx/connector/enums/LabelsState;", "labelsState", "Lcom/graphisoft/bimx/connector/enums/LabelsState;", "getLabelsState", "()Lcom/graphisoft/bimx/connector/enums/LabelsState;", "<init>", "(Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;Landroid/graphics/RectF;Lcom/graphisoft/bimx/connector/enums/ZonesState;Lcom/graphisoft/bimx/connector/enums/LabelsState;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class PubItem2dPageContentSpecWithZoom implements PubItem2dPageContentSpec {
    @a7.d
    public static final Parcelable.Creator<PubItem2dPageContentSpecWithZoom> CREATOR = new Creator();
    @a7.d
    private final PublisherItemPageDataAddress address;
    @a7.d
    private final LabelsState labelsState;
    @a7.d
    private final ZonesState zonesState;
    @e
    private final RectF zoomRect;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<PubItem2dPageContentSpecWithZoom> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final PubItem2dPageContentSpecWithZoom createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            return new PubItem2dPageContentSpecWithZoom((PublisherItemPageDataAddress) parcel.readParcelable(PubItem2dPageContentSpecWithZoom.class.getClassLoader()), (RectF) parcel.readParcelable(PubItem2dPageContentSpecWithZoom.class.getClassLoader()), ZonesState.valueOf(parcel.readString()), LabelsState.valueOf(parcel.readString()));
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final PubItem2dPageContentSpecWithZoom[] newArray(int i7) {
            return new PubItem2dPageContentSpecWithZoom[i7];
        }
    }

    public PubItem2dPageContentSpecWithZoom(@a7.d PublisherItemPageDataAddress publisherItemPageDataAddress, @e RectF rectF, @a7.d ZonesState zonesState2, @a7.d LabelsState labelsState2) {
        l0.p(publisherItemPageDataAddress, "address");
        l0.p(zonesState2, "zonesState");
        l0.p(labelsState2, "labelsState");
        this.address = publisherItemPageDataAddress;
        this.zoomRect = rectF;
        this.zonesState = zonesState2;
        this.labelsState = labelsState2;
    }

    public int describeContents() {
        return 0;
    }

    @Override // com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec
    @a7.d
    public LabelsState getLabelsState() {
        return this.labelsState;
    }

    @Override // com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec
    @a7.d
    public ZonesState getZonesState() {
        return this.zonesState;
    }

    @e
    public final RectF getZoomRect() {
        return this.zoomRect;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeParcelable(this.address, i7);
        parcel.writeParcelable(this.zoomRect, i7);
        parcel.writeString(this.zonesState.name());
        parcel.writeString(this.labelsState.name());
    }

    @Override // com.graphisoft.bimx.connector.contentspecification.ContentSpecification, com.graphisoft.bimx.connector.contentspecification.PubItem2dPageContentSpec
    @a7.d
    public PublisherItemPageDataAddress getAddress() {
        return this.address;
    }
}
