package com.graphisoft.bimx.connector.data;

import android.os.Parcel;
import android.os.Parcelable;
import d5.d;
import java.util.ArrayList;
import java.util.Iterator;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u00008\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0005\b\u0017\u0018\u00002\u00020\u0001B\u001d\u0012\u0006\u0010\n\u001a\u00020\t\u0012\f\u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\u000f0\u000e¢\u0006\u0004\b\u0017\u0010\u0018J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u001a\u0010\n\u001a\u00020\t8\u0016X\u0004¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\f\u0010\rR \u0010\u0010\u001a\b\u0012\u0004\u0012\u00020\u000f0\u000e8\u0016X\u0004¢\u0006\f\n\u0004\b\u0010\u0010\u0011\u001a\u0004\b\u0012\u0010\u0013R\u001c\u0010\u0016\u001a\n\u0012\u0006\b\u0001\u0012\u00020\u00140\u000e8VX\u0004¢\u0006\u0006\u001a\u0004\b\u0015\u0010\u0013¨\u0006\u0019"}, d2 = {"Lcom/graphisoft/bimx/connector/data/ElementInfoSectionData;", "Landroid/os/Parcelable;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "", "name", "Ljava/lang/String;", "getName", "()Ljava/lang/String;", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/ElementInfoDetailsRow;", "cellsImpl", "Ljava/util/ArrayList;", "getCellsImpl", "()Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/ElementInfoCellData;", "getCells", "cells", "<init>", "(Ljava/lang/String;Ljava/util/ArrayList;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public class ElementInfoSectionData implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<ElementInfoSectionData> CREATOR = new Creator();
    @a7.d
    private final ArrayList<ElementInfoDetailsRow> cellsImpl;
    @a7.d
    private final String name;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<ElementInfoSectionData> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementInfoSectionData createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            String readString = parcel.readString();
            int readInt = parcel.readInt();
            ArrayList arrayList = new ArrayList(readInt);
            for (int i7 = 0; i7 != readInt; i7++) {
                arrayList.add(ElementInfoDetailsRow.CREATOR.createFromParcel(parcel));
            }
            return new ElementInfoSectionData(readString, arrayList);
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final ElementInfoSectionData[] newArray(int i7) {
            return new ElementInfoSectionData[i7];
        }
    }

    public ElementInfoSectionData(@a7.d String str, @a7.d ArrayList<ElementInfoDetailsRow> arrayList) {
        l0.p(str, "name");
        l0.p(arrayList, "cellsImpl");
        this.name = str;
        this.cellsImpl = arrayList;
    }

    public int describeContents() {
        return 0;
    }

    @a7.d
    public ArrayList<? extends ElementInfoCellData> getCells() {
        return getCellsImpl();
    }

    @a7.d
    public ArrayList<ElementInfoDetailsRow> getCellsImpl() {
        return this.cellsImpl;
    }

    @a7.d
    public String getName() {
        return this.name;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeString(this.name);
        ArrayList<ElementInfoDetailsRow> arrayList = this.cellsImpl;
        parcel.writeInt(arrayList.size());
        Iterator<ElementInfoDetailsRow> it = arrayList.iterator();
        while (it.hasNext()) {
            it.next().writeToParcel(parcel, i7);
        }
    }
}
