package com.graphisoft.bimx.connector.data;

import android.os.Parcel;
import android.os.Parcelable;
import d5.d;
import java.util.ArrayList;
import java.util.Iterator;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u00000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\u000e\n\u0002\b\u0007\b\u0007\u0018\u00002\u00020\u0001B\u001d\u0012\f\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\n0\t\u0012\u0006\u0010\u0010\u001a\u00020\u000f¢\u0006\u0004\b\u0014\u0010\u0015J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u001d\u0010\u000b\u001a\b\u0012\u0004\u0012\u00020\n0\t8\u0006¢\u0006\f\n\u0004\b\u000b\u0010\f\u001a\u0004\b\r\u0010\u000eR\u0017\u0010\u0010\u001a\u00020\u000f8\u0006¢\u0006\f\n\u0004\b\u0010\u0010\u0011\u001a\u0004\b\u0012\u0010\u0013¨\u0006\u0016"}, d2 = {"Lcom/graphisoft/bimx/connector/data/MarkerTarget;", "Landroid/os/Parcelable;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/MarkerDestination;", "destinations", "Ljava/util/ArrayList;", "getDestinations", "()Ljava/util/ArrayList;", "", "caption", "Ljava/lang/String;", "getCaption", "()Ljava/lang/String;", "<init>", "(Ljava/util/ArrayList;Ljava/lang/String;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class MarkerTarget implements Parcelable {
    @a7.d
    public static final Parcelable.Creator<MarkerTarget> CREATOR = new Creator();
    @a7.d
    private final String caption;
    @a7.d
    private final ArrayList<MarkerDestination> destinations;

    @i0(k = 3, mv = {1, 6, 0}, xi = 48)
    public static final class Creator implements Parcelable.Creator<MarkerTarget> {
        @Override // android.os.Parcelable.Creator
        @a7.d
        public final MarkerTarget createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            int readInt = parcel.readInt();
            ArrayList arrayList = new ArrayList(readInt);
            for (int i7 = 0; i7 != readInt; i7++) {
                arrayList.add(MarkerDestination.CREATOR.createFromParcel(parcel));
            }
            return new MarkerTarget(arrayList, parcel.readString());
        }

        @Override // android.os.Parcelable.Creator
        @a7.d
        public final MarkerTarget[] newArray(int i7) {
            return new MarkerTarget[i7];
        }
    }

    public MarkerTarget(@a7.d ArrayList<MarkerDestination> arrayList, @a7.d String str) {
        l0.p(arrayList, "destinations");
        l0.p(str, "caption");
        this.destinations = arrayList;
        this.caption = str;
    }

    public int describeContents() {
        return 0;
    }

    @a7.d
    public final String getCaption() {
        return this.caption;
    }

    @a7.d
    public final ArrayList<MarkerDestination> getDestinations() {
        return this.destinations;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        ArrayList<MarkerDestination> arrayList = this.destinations;
        parcel.writeInt(arrayList.size());
        Iterator<MarkerDestination> it = arrayList.iterator();
        while (it.hasNext()) {
            it.next().writeToParcel(parcel, i7);
        }
        parcel.writeString(this.caption);
    }
}
