package com.graphisoft.bimx.connector.data;

import a7.d;
import com.graphisoft.bimx.connector.enums.MessageCellAccessoryType;
import java.util.ArrayList;
import java.util.UUID;
import kotlin.i0;
import kotlin.jvm.internal.l0;

@i0(d1 = {"\u0000H\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\t\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0002R\u001a\u0010\u0003\u001a\u00020\u0004X.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0005\u0010\u0006\"\u0004\b\u0007\u0010\bR\u001a\u0010\t\u001a\u00020\nX.¢\u0006\u000e\n\u0000\u001a\u0004\b\u000b\u0010\f\"\u0004\b\r\u0010\u000eR\u001a\u0010\u000f\u001a\u00020\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0011\u0010\u0012\"\u0004\b\u0013\u0010\u0014R\u001a\u0010\u0015\u001a\u00020\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0015\u0010\u0012\"\u0004\b\u0016\u0010\u0014R\u001a\u0010\u0017\u001a\u00020\u0010X\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0017\u0010\u0012\"\u0004\b\u0018\u0010\u0014R\u001a\u0010\u0019\u001a\u00020\u001aX.¢\u0006\u000e\n\u0000\u001a\u0004\b\u001b\u0010\u001c\"\u0004\b\u001d\u0010\u001eR \u0010\u001f\u001a\b\u0012\u0004\u0012\u00020!0 X.¢\u0006\u000e\n\u0000\u001a\u0004\b\"\u0010#\"\u0004\b$\u0010%R \u0010&\u001a\b\u0012\u0004\u0012\u00020'0 X.¢\u0006\u000e\n\u0000\u001a\u0004\b(\u0010#\"\u0004\b)\u0010%R\u001a\u0010*\u001a\u00020+X.¢\u0006\u000e\n\u0000\u001a\u0004\b,\u0010-\"\u0004\b.\u0010/¨\u00060"}, d2 = {"Lcom/graphisoft/bimx/connector/data/MessageCellData;", "", "()V", "accessoryType", "Lcom/graphisoft/bimx/connector/enums/MessageCellAccessoryType;", "getAccessoryType", "()Lcom/graphisoft/bimx/connector/enums/MessageCellAccessoryType;", "setAccessoryType", "(Lcom/graphisoft/bimx/connector/enums/MessageCellAccessoryType;)V", "cellId", "Ljava/util/UUID;", "getCellId", "()Ljava/util/UUID;", "setCellId", "(Ljava/util/UUID;)V", "hasAttachment", "", "getHasAttachment", "()Z", "setHasAttachment", "(Z)V", "isHighImportance", "setHighImportance", "isUnread", "setUnread", "messageText", "", "getMessageText", "()Ljava/lang/String;", "setMessageText", "(Ljava/lang/String;)V", "relevantFormattedUserNames", "Ljava/util/ArrayList;", "Lcom/graphisoft/bimx/connector/data/FormattedUserName;", "getRelevantFormattedUserNames", "()Ljava/util/ArrayList;", "setRelevantFormattedUserNames", "(Ljava/util/ArrayList;)V", "relevantUserColors", "", "getRelevantUserColors", "setRelevantUserColors", "sentStatus", "Lcom/graphisoft/bimx/connector/data/SentStatusInfo;", "getSentStatus", "()Lcom/graphisoft/bimx/connector/data/SentStatusInfo;", "setSentStatus", "(Lcom/graphisoft/bimx/connector/data/SentStatusInfo;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0}, xi = 48)
public final class MessageCellData {
    public MessageCellAccessoryType accessoryType;
    public UUID cellId;
    private boolean hasAttachment;
    private boolean isHighImportance;
    private boolean isUnread;
    public String messageText;
    public ArrayList<FormattedUserName> relevantFormattedUserNames;
    public ArrayList<Integer> relevantUserColors;
    public SentStatusInfo sentStatus;

    @d
    public final MessageCellAccessoryType getAccessoryType() {
        MessageCellAccessoryType messageCellAccessoryType = this.accessoryType;
        if (messageCellAccessoryType != null) {
            return messageCellAccessoryType;
        }
        l0.S("accessoryType");
        return null;
    }

    @d
    public final UUID getCellId() {
        UUID uuid = this.cellId;
        if (uuid != null) {
            return uuid;
        }
        l0.S("cellId");
        return null;
    }

    public final boolean getHasAttachment() {
        return this.hasAttachment;
    }

    @d
    public final String getMessageText() {
        String str = this.messageText;
        if (str != null) {
            return str;
        }
        l0.S("messageText");
        return null;
    }

    @d
    public final ArrayList<FormattedUserName> getRelevantFormattedUserNames() {
        ArrayList<FormattedUserName> arrayList = this.relevantFormattedUserNames;
        if (arrayList != null) {
            return arrayList;
        }
        l0.S("relevantFormattedUserNames");
        return null;
    }

    @d
    public final ArrayList<Integer> getRelevantUserColors() {
        ArrayList<Integer> arrayList = this.relevantUserColors;
        if (arrayList != null) {
            return arrayList;
        }
        l0.S("relevantUserColors");
        return null;
    }

    @d
    public final SentStatusInfo getSentStatus() {
        SentStatusInfo sentStatusInfo = this.sentStatus;
        if (sentStatusInfo != null) {
            return sentStatusInfo;
        }
        l0.S("sentStatus");
        return null;
    }

    public final boolean isHighImportance() {
        return this.isHighImportance;
    }

    public final boolean isUnread() {
        return this.isUnread;
    }

    public final void setAccessoryType(@d MessageCellAccessoryType messageCellAccessoryType) {
        l0.p(messageCellAccessoryType, "<set-?>");
        this.accessoryType = messageCellAccessoryType;
    }

    public final void setCellId(@d UUID uuid) {
        l0.p(uuid, "<set-?>");
        this.cellId = uuid;
    }

    public final void setHasAttachment(boolean z7) {
        this.hasAttachment = z7;
    }

    public final void setHighImportance(boolean z7) {
        this.isHighImportance = z7;
    }

    public final void setMessageText(@d String str) {
        l0.p(str, "<set-?>");
        this.messageText = str;
    }

    public final void setRelevantFormattedUserNames(@d ArrayList<FormattedUserName> arrayList) {
        l0.p(arrayList, "<set-?>");
        this.relevantFormattedUserNames = arrayList;
    }

    public final void setRelevantUserColors(@d ArrayList<Integer> arrayList) {
        l0.p(arrayList, "<set-?>");
        this.relevantUserColors = arrayList;
    }

    public final void setSentStatus(@d SentStatusInfo sentStatusInfo) {
        l0.p(sentStatusInfo, "<set-?>");
        this.sentStatus = sentStatusInfo;
    }

    public final void setUnread(boolean z7) {
        this.isUnread = z7;
    }
}
