package com.graphisoft.bimx.connector.data;

import com.graphisoft.bimx.connector.enums.OperationResultCode;

public class OperationResult<T> {
    private OperationResultCode mResultCode;
    private T mResultObject;

    public OperationResult(T t7, OperationResultCode operationResultCode) {
        this.mResultObject = t7;
        this.mResultCode = operationResultCode;
    }

    public OperationResultCode getResultCode() {
        return this.mResultCode;
    }

    public T getResultObject() {
        return this.mResultObject;
    }
}
