package com.graphisoft.bimx.connector.enums;

public enum OperationResultCode {
    eSuccess,
    eFailureOperationNotSupported,
    eFailureObjectNotFound,
    eFailureObjectAlreadyExists,
    eFailureAccessDenied,
    eFailureOutOfFreeSpace,
    eFailureInvalidArgument,
    eFailureInvalidName,
    eFailureInvalidType,
    eFailureNotADirectory,
    eFailureIsADirectory,
    eFailureEndOfFile,
    eFailureNetworkClientError,
    eFailureNetworkServerError,
    eFailureNetworkCommunicationError,
    eFailureInternal,
    eFailureCancelledOperation,
    eFailureModelBoundingBoxInvalid,
    eFailureModelBoundingBoxMissing,
    eFailureIndexOutOfRange,
    eFailureGuidCollision,
    eFailureTextureSizeMismatch,
    eFailureRawTextureNotFound,
    eFailure3DTextureNotSupported,
    eFailureCompressionMethodNotImplemented,
    eFailureObjectIsNotEmpty,
    eFailureObjectIsReferenced,
    eFailureOperationCancelled,
    eUnknown
}
