package com.graphisoft.bimx.hypermodelderiveddata;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PointF;
import android.graphics.RectF;
import java.io.ByteArrayOutputStream;
import java.util.ArrayList;

public class TileUtility {
    public static byte[] drawTiles(float f7, float f8, ArrayList<ArrayList<PointF>> arrayList, ArrayList<ArrayList<Bitmap>> arrayList2, RectF rectF) {
        Bitmap createBitmap = Bitmap.createBitmap((int) f7, (int) f8, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        if (!(arrayList2 == null || arrayList == null || arrayList2.size() != arrayList.size())) {
            int size = arrayList2.size();
            for (int i7 = 0; i7 < size; i7++) {
                ArrayList<Bitmap> arrayList3 = arrayList2.get(i7);
                ArrayList<PointF> arrayList4 = arrayList.get(i7);
                int size2 = arrayList3.size();
                for (int i8 = 0; i8 < size2; i8++) {
                    PointF pointF = arrayList4.get(i8);
                    canvas.drawBitmap(arrayList3.get(i8), pointF.x, pointF.y, (Paint) null);
                    arrayList3.get(i8).recycle();
                }
            }
        }
        Bitmap createBitmap2 = Bitmap.createBitmap(createBitmap, (int) rectF.left, (int) rectF.top, (int) rectF.width(), (int) rectF.height());
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        createBitmap2.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream);
        createBitmap2.recycle();
        createBitmap.recycle();
        return byteArrayOutputStream.toByteArray();
    }
}
