package com.graphisoft.bimxlab.mailbox.fragment;

import android.annotation.SuppressLint;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.activity.OnBackPressedCallback;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import androidx.core.content.FileProvider;
import androidx.core.os.BundleKt;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentManager;
import androidx.lifecycle.ViewModelProvider;
import androidx.navigation.NavController;
import androidx.navigation.fragment.FragmentKt;
import com.google.firebase.messaging.c;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.data.MessageComposerUser;
import com.graphisoft.bimxlab.MainActivity;
import com.graphisoft.bimxlab.base.ExtensionsKt;
import com.graphisoft.bimxlab.base.view.IconTextView;
import com.graphisoft.bimxlab.base.view.TitleBarView;
import com.graphisoft.bimxlab.mailbox.fragment.q;
import com.graphisoft.bimxlab.mailbox.model.MarkupFragmentData;
import com.graphisoft.bimxlab.mailbox.model.MessageComposerFragmentData;
import com.graphisoft.bimxlab.mailbox.viewModel.l;
import com.graphisoft.bimxlab.s;
import com.graphisoft.bimxlab.utils.feature.p;
import i1.o;
import j1.d1;
import j1.d4;
import j1.g4;
import j1.h;
import j1.h2;
import j1.k;
import j1.x;
import java.io.File;
import java.util.ArrayList;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.n0;
import kotlin.jvm.internal.w;
import kotlin.l2;
import kotlin.p1;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import s1.c0;
import s1.k3;

@i0(d1 = {"\u0000|\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u000b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0010\b\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0014\u0018\u0000 N2\u00020\u0001:\u0001OB\u0007¢\u0006\u0004\bL\u0010MJ\b\u0010\u0003\u001a\u00020\u0002H\u0002J\b\u0010\u0004\u001a\u00020\u0002H\u0002J\u0012\u0010\u0007\u001a\u00020\u00052\b\u0010\u0006\u001a\u0004\u0018\u00010\u0005H\u0002J\b\u0010\b\u001a\u00020\u0002H\u0002J\b\u0010\t\u001a\u00020\u0002H\u0002J\b\u0010\n\u001a\u00020\u0002H\u0002J\u001e\u0010\u000e\u001a\u00020\u00022\b\u0010\u000b\u001a\u0004\u0018\u00010\u00052\n\b\u0002\u0010\r\u001a\u0004\u0018\u00010\fH\u0002J\b\u0010\u000f\u001a\u00020\u0002H\u0002J\b\u0010\u0010\u001a\u00020\u0002H\u0002J\b\u0010\u0011\u001a\u00020\u0002H\u0002J\b\u0010\u0012\u001a\u00020\u0002H\u0002J\b\u0010\u0013\u001a\u00020\u0002H\u0002J\u0010\u0010\u0016\u001a\u00020\u00022\u0006\u0010\u0015\u001a\u00020\u0014H\u0002J&\u0010\u001e\u001a\u0004\u0018\u00010\u001d2\u0006\u0010\u0018\u001a\u00020\u00172\b\u0010\u001a\u001a\u0004\u0018\u00010\u00192\b\u0010\u001c\u001a\u0004\u0018\u00010\u001bH\u0016J\u001a\u0010 \u001a\u00020\u00022\u0006\u0010\u001f\u001a\u00020\u001d2\b\u0010\u001c\u001a\u0004\u0018\u00010\u001bH\u0016J\b\u0010!\u001a\u00020\u0002H\u0016J\"\u0010'\u001a\u00020\u00022\u0006\u0010#\u001a\u00020\"2\u0006\u0010$\u001a\u00020\"2\b\u0010&\u001a\u0004\u0018\u00010%H\u0016J\b\u0010(\u001a\u00020\u0002H\u0016J\u0006\u0010)\u001a\u00020\u0002J\b\u0010*\u001a\u00020\u0002H\u0007J\u0010\u0010-\u001a\u00020\u00022\u0006\u0010,\u001a\u00020+H\u0007J\u0010\u0010/\u001a\u00020\u00022\u0006\u0010,\u001a\u00020.H\u0007J\u0010\u00101\u001a\u00020\u00022\u0006\u0010,\u001a\u000200H\u0007J\u0010\u00103\u001a\u00020\u00022\u0006\u0010,\u001a\u000202H\u0007R\"\u0010;\u001a\u0002048\u0006@\u0006X.¢\u0006\u0012\n\u0004\b5\u00106\u001a\u0004\b7\u00108\"\u0004\b9\u0010:R\u0018\u0010?\u001a\u0004\u0018\u00010<8\u0002@\u0002X\u000e¢\u0006\u0006\n\u0004\b=\u0010>R\"\u0010E\u001a\u00020\u00148\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b@\u0010\u0016\u001a\u0004\bA\u0010B\"\u0004\bC\u0010DR\u0014\u0010G\u001a\u00020\"8\u0002XD¢\u0006\u0006\n\u0004\bF\u00107R\u0014\u0010I\u001a\u00020\"8\u0002XD¢\u0006\u0006\n\u0004\bH\u00107R\u0014\u0010K\u001a\u00020\u00148BX\u0004¢\u0006\u0006\u001a\u0004\bJ\u0010B¨\u0006P"}, d2 = {"Lcom/graphisoft/bimxlab/mailbox/fragment/b0;", "Lcom/graphisoft/bimxlab/base/fragment/e;", "Lkotlin/l2;", "S", "T", "Landroid/graphics/Bitmap;", "capture", "G", "P", "c0", "V", "image", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "contentSpec", "h0", "F", "a0", "e0", "E", "j0", "", "toVisible", "Z", "Landroid/view/LayoutInflater;", "inflater", "Landroid/view/ViewGroup;", "container", "Landroid/os/Bundle;", "savedInstanceState", "Landroid/view/View;", "onCreateView", "view", "onViewCreated", "onResume", "", "requestCode", "resultCode", "Landroid/content/Intent;", c.f.a.f14539c0, "onActivityResult", "onDestroy", "U", "J", "Lj1/h2;", "event", "onMessageComposerHideKeyboardEvent", "Lj1/x;", "onContentSpecWithBitmapEvent", "Lj1/k;", "onChangeAttachmentImageEvent", "Lj1/h;", "onCameraPermissionGrantedEvent", "Lcom/graphisoft/bimxlab/mailbox/viewModel/l;", "d", "Lcom/graphisoft/bimxlab/mailbox/viewModel/l;", "I", "()Lcom/graphisoft/bimxlab/mailbox/viewModel/l;", "g0", "(Lcom/graphisoft/bimxlab/mailbox/viewModel/l;)V", "viewModel", "Ls1/c0;", "e", "Ls1/c0;", "binding", "f", "H", "()Z", "b0", "(Z)V", "initAttachment", "g", "IMAGE_PICK_CODE", "h", "TAKE_PHOTO_CODE", "Q", "isCameraEnabled", "<init>", "()V", "i", "a", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
public final class b0 extends com.graphisoft.bimxlab.base.fragment.e {
    @a7.d

    /* renamed from: i  reason: collision with root package name */
    public static final a f16165i = new a(null);

    /* renamed from: j  reason: collision with root package name */
    private static final int f16166j = 1;

    /* renamed from: d  reason: collision with root package name */
    public l f16167d;
    @a7.e

    /* renamed from: e  reason: collision with root package name */
    private c0 f16168e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f16169f;

    /* renamed from: g  reason: collision with root package name */
    private final int f16170g = 1357;

    /* renamed from: h  reason: collision with root package name */
    private final int f16171h = 1358;

    public static final class a {
        private a() {
        }

        public final int a() {
            return b0.f16166j;
        }

        @a7.d
        @q4.l
        public final b0 b(@a7.d Parcelable parcelable, boolean z7) {
            l0.p(parcelable, c.f.a.f14539c0);
            b0 b0Var = new b0();
            b0Var.setArguments(BundleKt.bundleOf(p1.a("fragment_data_key", parcelable)));
            b0Var.b0(z7);
            return b0Var;
        }

        public /* synthetic */ a(w wVar) {
            this();
        }
    }

    public /* synthetic */ class b {

        /* renamed from: a  reason: collision with root package name */
        public static final /* synthetic */ int[] f16172a;

        static {
            int[] iArr = new int[i1.d.values().length];
            iArr[i1.d.ADD_ATTACHMENT.ordinal()] = 1;
            iArr[i1.d.GET_IMAGE.ordinal()] = 2;
            f16172a = iArr;
        }
    }

    /* access modifiers changed from: package-private */
    public static final class c extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ c0 f16173f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        c(c0 c0Var) {
            super(0);
            this.f16173f = c0Var;
        }

        @Override // r4.a
        public final void invoke() {
            ExtensionsKt.c0(this.f16173f.f25257j);
            ExtensionsKt.c0(this.f16173f.f25249b);
        }
    }

    public static final class d implements TextWatcher {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b0 f16174a;

        d(b0 b0Var) {
            this.f16174a = b0Var;
        }

        public void afterTextChanged(@a7.e Editable editable) {
        }

        public void beforeTextChanged(@a7.e CharSequence charSequence, int i7, int i8, int i9) {
        }

        public void onTextChanged(@a7.e CharSequence charSequence, int i7, int i8, int i9) {
            this.f16174a.I().N(String.valueOf(charSequence));
            this.f16174a.e0();
        }
    }

    public static final class e extends OnBackPressedCallback {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ b0 f16175a;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        e(b0 b0Var) {
            super(true);
            this.f16175a = b0Var;
        }

        @Override // androidx.activity.OnBackPressedCallback
        public void handleOnBackPressed() {
            this.f16175a.I().G();
            EventBus.getDefault().post(new d4());
        }
    }

    /* access modifiers changed from: package-private */
    public static final class f extends n0 implements r4.a<l2> {

        /* renamed from: f  reason: collision with root package name */
        final /* synthetic */ b0 f16176f;

        /* JADX INFO: super call moved to the top of the method (can break code semantics) */
        f(b0 b0Var) {
            super(0);
            this.f16176f = b0Var;
        }

        @Override // r4.a
        public final void invoke() {
            this.f16176f.I().J(null, null);
            this.f16176f.j0();
        }
    }

    private final void E() {
        TitleBarView titleBarView;
        c0 c0Var = this.f16168e;
        if (c0Var != null && (titleBarView = c0Var.f25267t) != null) {
            l I = I();
            Resources resources = getResources();
            l0.o(resources, "resources");
            titleBarView.n(I.j(resources));
        }
    }

    private final void F() {
        if (!Q()) {
            T();
            return;
        }
        Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
        Context context = getContext();
        if (context != null && intent.resolveActivity(context.getPackageManager()) != null) {
            File file = new File(I().s());
            if (file.exists()) {
                file.delete();
            }
            if (file.createNewFile()) {
                Uri uriForFile = FileProvider.getUriForFile(context, "com.graphisoft.bimx.fileProvider", file);
                l0.o(uriForFile, "getUriForFile(\n\t\t\t\t\t\tctx…\",\n\t\t\t\t\t\tphotoFile\n\t\t\t\t\t)");
                intent.putExtra("output", uriForFile);
                startActivityForResult(intent, this.f16171h);
            }
        }
    }

    private final Bitmap G(Bitmap bitmap) {
        Bitmap decodeResource = BitmapFactory.decodeResource(getResources(), s.g.C0);
        if (bitmap == null) {
            l0.o(decodeResource, "frame");
            return decodeResource;
        }
        Bitmap createBitmap = Bitmap.createBitmap(decodeResource.getWidth(), decodeResource.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        Rect rect = new Rect(0, 0, decodeResource.getWidth(), decodeResource.getHeight());
        paint.setAntiAlias(true);
        canvas.drawARGB(0, 0, 0, 0);
        canvas.drawBitmap(bitmap, new Rect(0, 0, bitmap.getWidth(), bitmap.getHeight()), rect, paint);
        canvas.drawBitmap(decodeResource, rect, rect, paint);
        l0.o(createBitmap, "output");
        return createBitmap;
    }

    /* access modifiers changed from: private */
    public static final boolean K(c0 c0Var, View view, MotionEvent motionEvent) {
        l0.p(c0Var, "$binding");
        c0Var.f25260m.clearFocus();
        return false;
    }

    /* access modifiers changed from: private */
    public static final void L(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        l I = b0Var.I();
        NavController findNavController = FragmentKt.findNavController(b0Var);
        FragmentManager parentFragmentManager = b0Var.getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        I.D(findNavController, parentFragmentManager);
    }

    /* access modifiers changed from: private */
    public static final void M(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        Bitmap m7 = b0Var.I().m();
        if (m7 != null) {
            MarkupFragmentData markupFragmentData = new MarkupFragmentData(m7, null, 2, null);
            q.a aVar = q.f16208c;
            FragmentManager parentFragmentManager = b0Var.getParentFragmentManager();
            l0.o(parentFragmentManager, "parentFragmentManager");
            aVar.a(parentFragmentManager, markupFragmentData);
        }
    }

    /* access modifiers changed from: private */
    public static final void N(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        EventBus.getDefault().post(new g4(b0Var.I().o().a(), b0Var.I().t()));
    }

    /* access modifiers changed from: private */
    public static final void O(c0 c0Var, b0 b0Var, View view) {
        l0.p(c0Var, "$binding");
        l0.p(b0Var, "this$0");
        c0Var.f25260m.clearFocus();
        ConstraintLayout constraintLayout = c0Var.f25257j;
        l0.o(constraintLayout, "binding.messageComposerC…ttachmentConstraintLayout");
        if (constraintLayout.getVisibility() == 0) {
            ConstraintLayout constraintLayout2 = c0Var.f25257j;
            l0.o(constraintLayout2, "binding.messageComposerC…ttachmentConstraintLayout");
            ExtensionsKt.e(constraintLayout2, b0Var.getResources().getDimensionPixelSize(s.f.C), 0, new c(c0Var));
            return;
        }
        ExtensionsKt.e0(c0Var.f25257j);
        ExtensionsKt.e0(c0Var.f25249b);
        ConstraintLayout constraintLayout3 = c0Var.f25257j;
        l0.o(constraintLayout3, "binding.messageComposerC…ttachmentConstraintLayout");
        ExtensionsKt.f(constraintLayout3, 0, b0Var.getResources().getDimensionPixelSize(s.f.C), null, 4, null);
        c0Var.f25253f.setImageBitmap(b0Var.G(null));
        EventBus.getDefault().post(new d1(i1.d.GET_IMAGE));
    }

    private final void P() {
        requireActivity().getOnBackPressedDispatcher().addCallback(getViewLifecycleOwner(), new e(this));
    }

    private final boolean Q() {
        return ContextCompat.checkSelfPermission(requireContext(), "android.permission.CAMERA") == 0;
    }

    @a7.d
    @q4.l
    public static final b0 R(@a7.d Parcelable parcelable, boolean z7) {
        return f16165i.b(parcelable, z7);
    }

    private final void S() {
        FragmentActivity activity = getActivity();
        if (activity != null) {
            ((MainActivity) activity).W(null);
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
    }

    private final void T() {
        String[] strArr = {"android.permission.CAMERA"};
        FragmentActivity activity = getActivity();
        if (activity != null) {
            ActivityCompat.requestPermissions((MainActivity) activity, strArr, f16166j);
            return;
        }
        throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
    }

    private final void V() {
        IconTextView iconTextView;
        IconTextView iconTextView2;
        ImageView imageView;
        c0 c0Var = this.f16168e;
        if (!(c0Var == null || (imageView = c0Var.f25253f) == null)) {
            imageView.setOnClickListener(new s());
        }
        c0 c0Var2 = this.f16168e;
        if (!(c0Var2 == null || (iconTextView2 = c0Var2.f25252e) == null)) {
            iconTextView2.setOnClickListener(new t(this));
        }
        c0 c0Var3 = this.f16168e;
        if (c0Var3 != null && (iconTextView = c0Var3.f25256i) != null) {
            iconTextView.setOnClickListener(new u(this));
        }
    }

    /* access modifiers changed from: private */
    public static final void W(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        b0Var.F();
    }

    /* access modifiers changed from: private */
    public static final void X(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        com.graphisoft.bimxlab.utils.manager.b.f17800a.P(b0Var, b0Var.f16170g);
    }

    /* access modifiers changed from: private */
    public static final void Y(View view) {
        EventBus.getDefault().post(new d1(i1.d.ADD_ATTACHMENT));
    }

    private final void Z(boolean z7) {
        ImageView imageView = null;
        if (z7) {
            c0 c0Var = this.f16168e;
            ExtensionsKt.e0(c0Var != null ? c0Var.f25261n : null);
            c0 c0Var2 = this.f16168e;
            ExtensionsKt.e0(c0Var2 != null ? c0Var2.f25259l : null);
            c0 c0Var3 = this.f16168e;
            ExtensionsKt.e0(c0Var3 != null ? c0Var3.f25264q : null);
            c0 c0Var4 = this.f16168e;
            if (c0Var4 != null) {
                imageView = c0Var4.f25254g;
            }
            ExtensionsKt.e0(imageView);
            return;
        }
        c0 c0Var5 = this.f16168e;
        ExtensionsKt.d0(c0Var5 != null ? c0Var5.f25261n : null);
        c0 c0Var6 = this.f16168e;
        ExtensionsKt.d0(c0Var6 != null ? c0Var6.f25259l : null);
        c0 c0Var7 = this.f16168e;
        ExtensionsKt.d0(c0Var7 != null ? c0Var7.f25264q : null);
        c0 c0Var8 = this.f16168e;
        if (c0Var8 != null) {
            imageView = c0Var8.f25254g;
        }
        ExtensionsKt.c0(imageView);
    }

    private final void a0() {
        TextView textView;
        l I = I();
        Resources resources = getResources();
        l0.o(resources, "resources");
        String n7 = I.n(resources);
        if (n7.length() > 0) {
            c0 c0Var = this.f16168e;
            TextView textView2 = c0Var != null ? c0Var.f25258k : null;
            if (textView2 != null) {
                textView2.setText(n7);
            }
            c0 c0Var2 = this.f16168e;
            if (c0Var2 != null && (textView = c0Var2.f25258k) != null) {
                ExtensionsKt.e0(textView);
            }
        }
    }

    private final void c0() {
        IconTextView iconTextView;
        c0 c0Var = this.f16168e;
        if (c0Var != null && (iconTextView = c0Var.f25264q) != null) {
            iconTextView.setOnClickListener(new a0(this));
        }
    }

    /* access modifiers changed from: private */
    public static final void d0(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        com.graphisoft.bimxlab.utils.manager.a aVar = com.graphisoft.bimxlab.utils.manager.a.f17786a;
        Resources resources = b0Var.getResources();
        l0.o(resources, "resources");
        FragmentManager childFragmentManager = b0Var.getChildFragmentManager();
        l0.o(childFragmentManager, "childFragmentManager");
        aVar.b(resources, childFragmentManager, new f(b0Var));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void e0() {
        TitleBarView titleBarView;
        TitleBarView titleBarView2;
        k3 binding;
        TextView textView;
        TitleBarView titleBarView3;
        TitleBarView titleBarView4;
        k3 binding2;
        TextView textView2;
        CharSequence text;
        CharSequence charSequence = null;
        if (!I().C()) {
            c0 c0Var = this.f16168e;
            String obj = (c0Var == null || (titleBarView4 = c0Var.f25267t) == null || (binding2 = titleBarView4.getBinding()) == null || (textView2 = binding2.f25553f) == null || (text = textView2.getText()) == null) ? null : text.toString();
            c0 c0Var2 = this.f16168e;
            if (c0Var2 != null && (titleBarView3 = c0Var2.f25267t) != null) {
                titleBarView3.t(obj, Integer.valueOf(s.e.f16820e), null);
                return;
            }
            return;
        }
        c0 c0Var3 = this.f16168e;
        if (!(c0Var3 == null || (titleBarView2 = c0Var3.f25267t) == null || (binding = titleBarView2.getBinding()) == null || (textView = binding.f25553f) == null)) {
            charSequence = textView.getText();
        }
        String valueOf = String.valueOf(charSequence);
        c0 c0Var4 = this.f16168e;
        if (c0Var4 != null && (titleBarView = c0Var4.f25267t) != null) {
            titleBarView.t(valueOf, Integer.valueOf(s.e.f16816c), new r(this));
        }
    }

    /* access modifiers changed from: private */
    public static final void f0(b0 b0Var, View view) {
        l0.p(b0Var, "this$0");
        l I = b0Var.I();
        FragmentManager parentFragmentManager = b0Var.getParentFragmentManager();
        l0.o(parentFragmentManager, "parentFragmentManager");
        Resources resources = b0Var.getResources();
        l0.o(resources, "resources");
        I.E(parentFragmentManager, resources);
    }

    private final void h0(Bitmap bitmap, ContentSpecification contentSpecification) {
        ConstraintLayout constraintLayout;
        ConstraintLayout constraintLayout2;
        if (bitmap != null) {
            I().J(bitmap, contentSpecification);
            j0();
            c0 c0Var = this.f16168e;
            if (!(c0Var == null || (constraintLayout2 = c0Var.f25257j) == null)) {
                ExtensionsKt.d0(constraintLayout2);
            }
            c0 c0Var2 = this.f16168e;
            ViewGroup.LayoutParams layoutParams = (c0Var2 == null || (constraintLayout = c0Var2.f25257j) == null) ? null : constraintLayout.getLayoutParams();
            if (layoutParams != null) {
                layoutParams.height = 0;
            }
        }
    }

    static /* synthetic */ void i0(b0 b0Var, Bitmap bitmap, ContentSpecification contentSpecification, int i7, Object obj) {
        if ((i7 & 2) != 0) {
            contentSpecification = null;
        }
        b0Var.h0(bitmap, contentSpecification);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private final void j0() {
        ImageView imageView;
        ImageView imageView2;
        c0 c0Var;
        IconTextView iconTextView;
        c0 c0Var2;
        IconTextView iconTextView2;
        ImageView imageView3;
        c0 c0Var3;
        EditText editText;
        String q7 = I().q();
        if (!(!(q7.length() > 0) || (c0Var3 = this.f16168e) == null || (editText = c0Var3.f25260m) == null)) {
            editText.setText(q7);
        }
        String v7 = I().v();
        IconTextView iconTextView3 = null;
        if (v7.length() > 0) {
            String str = getResources().getString(s.n.S8) + ' ' + v7;
            c0 c0Var4 = this.f16168e;
            TextView textView = c0Var4 != null ? c0Var4.f25263p : null;
            if (textView != null) {
                textView.setText(str);
            }
        }
        Bitmap m7 = I().m();
        if (m7 != null) {
            c0 c0Var5 = this.f16168e;
            if (!(c0Var5 == null || (imageView3 = c0Var5.f25254g) == null)) {
                imageView3.setImageBitmap(m7);
            }
            Z(true);
        } else {
            Z(false);
        }
        if (I().x()) {
            Context context = getContext();
            if (!(context == null || (c0Var2 = this.f16168e) == null || (iconTextView2 = c0Var2.f25261n) == null)) {
                iconTextView2.setTextColor(ContextCompat.getColor(context, s.e.f16814b));
            }
            c0 c0Var6 = this.f16168e;
            if (c0Var6 != null) {
                iconTextView3 = c0Var6.f25261n;
            }
            if (iconTextView3 != null) {
                iconTextView3.setClickable(true);
            }
        } else {
            Context context2 = getContext();
            if (!(context2 == null || (c0Var = this.f16168e) == null || (iconTextView = c0Var.f25261n) == null)) {
                iconTextView.setTextColor(ContextCompat.getColor(context2, s.e.f16835p));
            }
            c0 c0Var7 = this.f16168e;
            if (c0Var7 != null) {
                iconTextView3 = c0Var7.f25261n;
            }
            if (iconTextView3 != null) {
                iconTextView3.setClickable(false);
            }
        }
        o b7 = p.f17724a.I().b();
        o oVar = o.INDEX_BROWSER;
        c0 c0Var8 = this.f16168e;
        if (b7 == oVar) {
            if (c0Var8 != null && (imageView2 = c0Var8.f25253f) != null) {
                ExtensionsKt.d0(imageView2);
            }
        } else if (c0Var8 != null && (imageView = c0Var8.f25253f) != null) {
            ExtensionsKt.e0(imageView);
        }
    }

    public final boolean H() {
        return this.f16169f;
    }

    @a7.d
    public final l I() {
        l lVar = this.f16167d;
        if (lVar != null) {
            return lVar;
        }
        l0.S("viewModel");
        return null;
    }

    @SuppressLint({"ClickableViewAccessibility"})
    public final void J() {
        Object obj;
        c0 c0Var = this.f16168e;
        if (c0Var != null) {
            P();
            g0((l) new ViewModelProvider(this).get(l.class));
            Bundle arguments = getArguments();
            File file = null;
            if (arguments != null) {
                l I = I();
                if (Build.VERSION.SDK_INT >= 33) {
                    obj = (Parcelable) com.graphisoft.bimxlab.base.b.a(arguments, "fragment_data_key", MessageComposerFragmentData.class);
                } else {
                    Parcelable parcelable = arguments.getParcelable("fragment_data_key");
                    if (!(parcelable instanceof MessageComposerFragmentData)) {
                        parcelable = null;
                    }
                    obj = (MessageComposerFragmentData) parcelable;
                }
                l0.m(obj);
                I.L((MessageComposerFragmentData) obj);
            }
            E();
            I().z(p());
            FragmentActivity activity = getActivity();
            if (activity != null) {
                ArrayList<MessageComposerUser> C = ((MainActivity) activity).C();
                if (C != null) {
                    I().P(C);
                }
                FragmentActivity activity2 = getActivity();
                if (activity2 != null) {
                    ((MainActivity) activity2).W(null);
                    e0();
                    c0Var.f25265r.setOnTouchListener(new v(c0Var));
                    c0Var.f25261n.setOnClickListener(new w(this));
                    c0Var.f25259l.setOnClickListener(new x(this));
                    c0Var.f25251d.setOnClickListener(new y(this));
                    c0Var.f25250c.setOnClickListener(new z(c0Var, this));
                    c0Var.f25260m.addTextChangedListener(new d(this));
                    boolean B = I().B();
                    IconTextView iconTextView = c0Var.f25251d;
                    if (B) {
                        ExtensionsKt.e0(iconTextView);
                    } else {
                        ExtensionsKt.d0(iconTextView);
                    }
                    a0();
                    V();
                    c0();
                    j0();
                    l I2 = I();
                    Context context = getContext();
                    if (context != null) {
                        file = context.getFilesDir();
                    }
                    String absolutePath = new File(file, "cameraCaptureForTeamworkMessageAttachment.jpg").getAbsolutePath();
                    l0.o(absolutePath, "File(context?.filesDir, …chment.jpg\").absolutePath");
                    I2.O(absolutePath);
                    return;
                }
                throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
            }
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
        }
    }

    public final void U() {
        I().G();
        S();
    }

    public final void b0(boolean z7) {
        this.f16169f = z7;
    }

    public final void g0(@a7.d l lVar) {
        l0.p(lVar, "<set-?>");
        this.f16167d = lVar;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i7, int i8, @a7.e Intent intent) {
        Bitmap bitmap;
        Uri data;
        Context applicationContext;
        if (i8 == -1 && i7 == this.f16170g) {
            FragmentActivity activity = getActivity();
            ContentResolver contentResolver = (activity == null || (applicationContext = activity.getApplicationContext()) == null) ? null : applicationContext.getContentResolver();
            if (contentResolver != null) {
                bitmap = (intent == null || (data = intent.getData()) == null) ? null : ExtensionsKt.y(data, contentResolver);
            } else {
                return;
            }
        } else if (i8 == -1 && i7 == this.f16171h) {
            bitmap = I().r();
        } else {
            return;
        }
        i0(this, bitmap, null, 2, null);
    }

    @Subscribe
    public final void onCameraPermissionGrantedEvent(@a7.d h hVar) {
        l0.p(hVar, "event");
        F();
    }

    @Subscribe
    public final void onChangeAttachmentImageEvent(@a7.d k kVar) {
        l0.p(kVar, "event");
        I().h(kVar.a());
        j0();
    }

    @Subscribe
    public final void onContentSpecWithBitmapEvent(@a7.d x xVar) {
        c0 c0Var;
        ImageView imageView;
        l0.p(xVar, "event");
        FragmentActivity activity = getActivity();
        if (activity != null) {
            if (((MainActivity) activity).I()) {
                FragmentActivity activity2 = getActivity();
                if (activity2 != null) {
                    MainActivity.s((MainActivity) activity2, false, null, 3, null);
                } else {
                    throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
                }
            }
            int i7 = b.f16172a[xVar.c().ordinal()];
            if (i7 != 1) {
                if (i7 == 2 && (c0Var = this.f16168e) != null && (imageView = c0Var.f25253f) != null) {
                    imageView.setImageBitmap(G(xVar.a()));
                }
            } else if (I().K(xVar.b())) {
                h0(xVar.a(), xVar.b());
            }
        } else {
            throw new NullPointerException("null cannot be cast to non-null type com.graphisoft.bimxlab.MainActivity");
        }
    }

    @Override // androidx.fragment.app.Fragment
    @a7.e
    public View onCreateView(@a7.d LayoutInflater layoutInflater, @a7.e ViewGroup viewGroup, @a7.e Bundle bundle) {
        l0.p(layoutInflater, "inflater");
        c0 d7 = c0.d(layoutInflater, viewGroup, false);
        this.f16168e = d7;
        if (d7 != null) {
            return d7.getRoot();
        }
        return null;
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        this.f16168e = null;
    }

    @Subscribe
    public final void onMessageComposerHideKeyboardEvent(@a7.d h2 h2Var) {
        EditText editText;
        l0.p(h2Var, "event");
        c0 c0Var = this.f16168e;
        if (!(c0Var == null || (editText = c0Var.f25260m) == null)) {
            editText.clearFocus();
        }
        S();
    }

    @Override // com.graphisoft.bimxlab.base.fragment.e, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        if (this.f16169f) {
            this.f16169f = false;
            EventBus.getDefault().post(new d1(i1.d.ADD_ATTACHMENT));
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(@a7.d View view, @a7.e Bundle bundle) {
        l0.p(view, "view");
        super.onViewCreated(view, bundle);
        J();
    }
}
