package com.graphisoft.bimxlab.viewer3D.model;

import a7.e;
import android.graphics.RectF;
import android.os.Parcel;
import android.os.Parcelable;
import com.graphisoft.bimx.connector.contentspecification.ContentSpecification;
import com.graphisoft.bimx.connector.contentspecification.PubItem3dContentSpec;
import com.graphisoft.bimx.connector.dataaddresses.PublisherItemPageDataAddress;
import com.graphisoft.bimxlab.base.model.FragmentData;
import com.graphisoft.bimxlab.utils.manager.navigation.NavigationProcess;
import d5.d;
import kotlin.i0;
import kotlin.jvm.internal.l0;
import kotlin.jvm.internal.w;

@i0(d1 = {"\u0000L\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\u0006\n\u0002\u0018\u0002\n\u0002\b\f\b\u0007\u0018\u00002\u00020\u0001B=\u0012\n\b\u0002\u0010\u000e\u001a\u0004\u0018\u00010\t\u0012\n\b\u0002\u0010\u0016\u001a\u0004\u0018\u00010\u000f\u0012\n\b\u0002\u0010\u001e\u001a\u0004\u0018\u00010\u0017\u0012\u0006\u0010$\u001a\u00020\u001f\u0012\b\u0010+\u001a\u0004\u0018\u00010%¢\u0006\u0004\b6\u00107J\t\u0010\u0003\u001a\u00020\u0002HÖ\u0001J\u0019\u0010\b\u001a\u00020\u00072\u0006\u0010\u0005\u001a\u00020\u00042\u0006\u0010\u0006\u001a\u00020\u0002HÖ\u0001R\u0019\u0010\u000e\u001a\u0004\u0018\u00010\t8\u0006¢\u0006\f\n\u0004\b\n\u0010\u000b\u001a\u0004\b\f\u0010\rR$\u0010\u0016\u001a\u0004\u0018\u00010\u000f8\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\u0010\u0010\u0011\u001a\u0004\b\u0012\u0010\u0013\"\u0004\b\u0014\u0010\u0015R$\u0010\u001e\u001a\u0004\u0018\u00010\u00178\u0006@\u0006X\u000e¢\u0006\u0012\n\u0004\b\u0018\u0010\u0019\u001a\u0004\b\u001a\u0010\u001b\"\u0004\b\u001c\u0010\u001dR\u0017\u0010$\u001a\u00020\u001f8\u0006¢\u0006\f\n\u0004\b \u0010!\u001a\u0004\b\"\u0010#R$\u0010+\u001a\u0004\u0018\u00010%8\u0016@\u0016X\u000e¢\u0006\u0012\n\u0004\b&\u0010'\u001a\u0004\b\u0010\u0010(\"\u0004\b)\u0010*R(\u00105\u001a\u00020,8\u0016@\u0016X\u000e¢\u0006\u0018\n\u0004\b-\u0010.\u0012\u0004\b3\u00104\u001a\u0004\b/\u00100\"\u0004\b1\u00102¨\u00068"}, d2 = {"Lcom/graphisoft/bimxlab/viewer3D/model/Viewer3DFragmentData;", "Lcom/graphisoft/bimxlab/base/model/FragmentData;", "", "describeContents", "Landroid/os/Parcel;", "parcel", "flags", "Lkotlin/l2;", "writeToParcel", "", "f", "Ljava/lang/String;", "a", "()Ljava/lang/String;", "caption", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "g", "Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "l", "()Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;", "n", "(Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;)V", "pubItem2dPageAddress", "Landroid/graphics/RectF;", "p", "Landroid/graphics/RectF;", "m", "()Landroid/graphics/RectF;", "o", "(Landroid/graphics/RectF;)V", "zoomRect2D", "Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;", "x", "Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;", "j", "()Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;", "contentSpecification3d", "Lcom/graphisoft/bimxlab/utils/manager/navigation/NavigationProcess;", "y", "Lcom/graphisoft/bimxlab/utils/manager/navigation/NavigationProcess;", "()Lcom/graphisoft/bimxlab/utils/manager/navigation/NavigationProcess;", "I", "(Lcom/graphisoft/bimxlab/utils/manager/navigation/NavigationProcess;)V", "navProc", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "C1", "Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "c", "()Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;", "k", "(Lcom/graphisoft/bimx/connector/contentspecification/ContentSpecification;)V", "getContentSpecification$annotations", "()V", "contentSpecification", "<init>", "(Ljava/lang/String;Lcom/graphisoft/bimx/connector/dataaddresses/PublisherItemPageDataAddress;Landroid/graphics/RectF;Lcom/graphisoft/bimx/connector/contentspecification/PubItem3dContentSpec;Lcom/graphisoft/bimxlab/utils/manager/navigation/NavigationProcess;)V", "app_arm64Release"}, k = 1, mv = {1, 6, 0})
@d
public final class Viewer3DFragmentData implements FragmentData {
    @a7.d
    public static final Parcelable.Creator<Viewer3DFragmentData> CREATOR = new a();
    @a7.d
    private ContentSpecification C1;
    @e

    /* renamed from: f  reason: collision with root package name */
    private final String f18296f;
    @e

    /* renamed from: g  reason: collision with root package name */
    private PublisherItemPageDataAddress f18297g;
    @e

    /* renamed from: p  reason: collision with root package name */
    private RectF f18298p;
    @a7.d

    /* renamed from: x  reason: collision with root package name */
    private final PubItem3dContentSpec f18299x;
    @e

    /* renamed from: y  reason: collision with root package name */
    private NavigationProcess f18300y;

    public static final class a implements Parcelable.Creator<Viewer3DFragmentData> {
        @a7.d
        /* renamed from: a */
        public final Viewer3DFragmentData createFromParcel(@a7.d Parcel parcel) {
            l0.p(parcel, "parcel");
            return new Viewer3DFragmentData(parcel.readString(), (PublisherItemPageDataAddress) parcel.readParcelable(Viewer3DFragmentData.class.getClassLoader()), (RectF) parcel.readParcelable(Viewer3DFragmentData.class.getClassLoader()), (PubItem3dContentSpec) parcel.readParcelable(Viewer3DFragmentData.class.getClassLoader()), parcel.readInt() == 0 ? null : NavigationProcess.CREATOR.createFromParcel(parcel));
        }

        @a7.d
        /* renamed from: b */
        public final Viewer3DFragmentData[] newArray(int i7) {
            return new Viewer3DFragmentData[i7];
        }
    }

    public Viewer3DFragmentData(@e String str, @e PublisherItemPageDataAddress publisherItemPageDataAddress, @e RectF rectF, @a7.d PubItem3dContentSpec pubItem3dContentSpec, @e NavigationProcess navigationProcess) {
        l0.p(pubItem3dContentSpec, "contentSpecification3d");
        this.f18296f = str;
        this.f18297g = publisherItemPageDataAddress;
        this.f18298p = rectF;
        this.f18299x = pubItem3dContentSpec;
        this.f18300y = navigationProcess;
        this.C1 = pubItem3dContentSpec;
    }

    public static /* synthetic */ void b() {
    }

    @Override // com.graphisoft.bimxlab.base.model.FragmentData
    public void I(@e NavigationProcess navigationProcess) {
        this.f18300y = navigationProcess;
    }

    @e
    public final String a() {
        return this.f18296f;
    }

    @Override // com.graphisoft.bimxlab.base.model.FragmentData
    @a7.d
    public ContentSpecification c() {
        return this.C1;
    }

    public int describeContents() {
        return 0;
    }

    @Override // com.graphisoft.bimxlab.base.model.FragmentData
    @e
    public NavigationProcess g() {
        return this.f18300y;
    }

    @a7.d
    public final PubItem3dContentSpec j() {
        return this.f18299x;
    }

    @Override // com.graphisoft.bimxlab.base.model.FragmentData
    public void k(@a7.d ContentSpecification contentSpecification) {
        l0.p(contentSpecification, "<set-?>");
        this.C1 = contentSpecification;
    }

    @e
    public final PublisherItemPageDataAddress l() {
        return this.f18297g;
    }

    @e
    public final RectF m() {
        return this.f18298p;
    }

    public final void n(@e PublisherItemPageDataAddress publisherItemPageDataAddress) {
        this.f18297g = publisherItemPageDataAddress;
    }

    public final void o(@e RectF rectF) {
        this.f18298p = rectF;
    }

    public void writeToParcel(@a7.d Parcel parcel, int i7) {
        l0.p(parcel, "out");
        parcel.writeString(this.f18296f);
        parcel.writeParcelable(this.f18297g, i7);
        parcel.writeParcelable(this.f18298p, i7);
        parcel.writeParcelable(this.f18299x, i7);
        NavigationProcess navigationProcess = this.f18300y;
        if (navigationProcess == null) {
            parcel.writeInt(0);
            return;
        }
        parcel.writeInt(1);
        navigationProcess.writeToParcel(parcel, i7);
    }

    /* JADX INFO: this call moved to the top of the method (can break code semantics) */
    public /* synthetic */ Viewer3DFragmentData(String str, PublisherItemPageDataAddress publisherItemPageDataAddress, RectF rectF, PubItem3dContentSpec pubItem3dContentSpec, NavigationProcess navigationProcess, int i7, w wVar) {
        this((i7 & 1) != 0 ? null : str, (i7 & 2) != 0 ? null : publisherItemPageDataAddress, (i7 & 4) != 0 ? null : rectF, pubItem3dContentSpec, navigationProcess);
    }
}
