package kotlin.collections;

import a7.d;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.Random;
import kotlin.b1;
import kotlin.g1;
import kotlin.internal.f;
import kotlin.jvm.internal.l0;
import kotlin.k;
import kotlin.k0;
import kotlin.m;
import r4.p;

/* access modifiers changed from: package-private */
public class c0 extends b0 {
    @g1(version = "1.2")
    @f
    private static final <T> void h0(List<T> list, T t7) {
        l0.p(list, "<this>");
        Collections.fill(list, t7);
    }

    @g1(version = "1.2")
    @f
    private static final <T> void i0(List<T> list) {
        l0.p(list, "<this>");
        Collections.shuffle(list);
    }

    @g1(version = "1.2")
    @f
    private static final <T> void j0(List<T> list, Random random) {
        l0.p(list, "<this>");
        l0.p(random, "random");
        Collections.shuffle(list, random);
    }

    public static <T extends Comparable<? super T>> void k0(@d List<T> list) {
        l0.p(list, "<this>");
        if (list.size() > 1) {
            Collections.sort(list);
        }
    }

    @k(level = m.f19892g, message = "Use sortWith(comparator) instead.", replaceWith = @b1(expression = "this.sortWith(comparator)", imports = {}))
    @f
    private static final <T> void l0(List<T> list, Comparator<? super T> comparator) {
        l0.p(list, "<this>");
        l0.p(comparator, "comparator");
        throw new k0(null, 1, null);
    }

    @k(level = m.f19892g, message = "Use sortWith(Comparator(comparison)) instead.", replaceWith = @b1(expression = "this.sortWith(Comparator(comparison))", imports = {}))
    @f
    private static final <T> void m0(List<T> list, p<? super T, ? super T, Integer> pVar) {
        l0.p(list, "<this>");
        l0.p(pVar, "comparison");
        throw new k0(null, 1, null);
    }

    public static <T> void n0(@d List<T> list, @d Comparator<? super T> comparator) {
        l0.p(list, "<this>");
        l0.p(comparator, "comparator");
        if (list.size() > 1) {
            Collections.sort(list, comparator);
        }
    }
}
