package org.bouncycastle2.jce.provider.asymmetric.ec;

import java.math.BigInteger;
import java.security.spec.ECField;
import java.security.spec.ECFieldF2m;
import java.security.spec.ECFieldFp;
import java.security.spec.ECParameterSpec;
import java.security.spec.ECPoint;
import java.security.spec.EllipticCurve;
import org.bouncycastle2.jce.spec.b;
import org.bouncycastle2.jce.spec.d;
import org.bouncycastle2.math.ec.c;
import org.bouncycastle2.math.ec.f;

public class a {
    public static EllipticCurve a(c cVar, byte[] bArr) {
        if (cVar instanceof c.b) {
            return new EllipticCurve(new ECFieldFp(((c.b) cVar).h()), cVar.d().k(), cVar.e().k(), null);
        }
        c.a aVar = (c.a) cVar;
        if (aVar.r()) {
            return new EllipticCurve(new ECFieldF2m(aVar.m(), new int[]{aVar.j()}), cVar.d().k(), cVar.e().k(), null);
        }
        return new EllipticCurve(new ECFieldF2m(aVar.m(), new int[]{aVar.l(), aVar.k(), aVar.j()}), cVar.d().k(), cVar.e().k(), null);
    }

    public static c b(EllipticCurve ellipticCurve) {
        ECField field = ellipticCurve.getField();
        BigInteger a8 = ellipticCurve.getA();
        BigInteger b7 = ellipticCurve.getB();
        if (field instanceof ECFieldFp) {
            return new c.b(((ECFieldFp) field).getP(), a8, b7);
        }
        ECFieldF2m eCFieldF2m = (ECFieldF2m) field;
        int m7 = eCFieldF2m.getM();
        int[] a9 = b.a(eCFieldF2m.getMidTermsOfReductionPolynomial());
        return new c.a(m7, a9[0], a9[1], a9[2], a8, b7);
    }

    public static f c(ECParameterSpec eCParameterSpec, ECPoint eCPoint, boolean z7) {
        return d(b(eCParameterSpec.getCurve()), eCPoint, z7);
    }

    public static f d(c cVar, ECPoint eCPoint, boolean z7) {
        return cVar.a(eCPoint.getAffineX(), eCPoint.getAffineY(), z7);
    }

    public static ECParameterSpec e(EllipticCurve ellipticCurve, d dVar) {
        return dVar instanceof b ? new org.bouncycastle2.jce.spec.c(((b) dVar).f(), ellipticCurve, new ECPoint(dVar.b().f().k(), dVar.b().g().k()), dVar.d(), dVar.c()) : new ECParameterSpec(ellipticCurve, new ECPoint(dVar.b().f().k(), dVar.b().g().k()), dVar.d(), dVar.c().intValue());
    }

    public static d f(ECParameterSpec eCParameterSpec, boolean z7) {
        c b7 = b(eCParameterSpec.getCurve());
        return new d(b7, d(b7, eCParameterSpec.getGenerator(), z7), eCParameterSpec.getOrder(), BigInteger.valueOf((long) eCParameterSpec.getCofactor()), eCParameterSpec.getCurve().getSeed());
    }
}
