package x;

import com.google.android.gms.common.internal.z;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import r.a;

@a
@d0
public final class b {
    private b() {
    }

    @a
    public static <T> T[] a(T[] tArr, T t7) {
        if (tArr == null && t7 == null) {
            throw new IllegalArgumentException("Cannot generate array of generic type w/o class info");
        }
        T[] tArr2 = tArr == null ? (T[]) ((Object[]) Array.newInstance(t7.getClass(), 1)) : (T[]) Arrays.copyOf(tArr, tArr.length + 1);
        tArr2[tArr2.length - 1] = t7;
        return tArr2;
    }

    @a
    public static <T> T[] b(T[]... tArr) {
        if (tArr.length == 0) {
            return (T[]) ((Object[]) Array.newInstance(tArr.getClass(), 0));
        }
        int i7 = 0;
        for (T[] tArr2 : tArr) {
            i7 += tArr2.length;
        }
        T[] tArr3 = (T[]) Arrays.copyOf(tArr[0], i7);
        int length = tArr[0].length;
        for (int i8 = 1; i8 < tArr.length; i8++) {
            T[] tArr4 = tArr[i8];
            System.arraycopy(tArr4, 0, tArr3, length, tArr4.length);
            length += tArr4.length;
        }
        return tArr3;
    }

    @a
    public static byte[] c(byte[]... bArr) {
        if (bArr.length == 0) {
            return new byte[0];
        }
        int i7 = 0;
        for (byte[] bArr2 : bArr) {
            i7 += bArr2.length;
        }
        byte[] copyOf = Arrays.copyOf(bArr[0], i7);
        int length = bArr[0].length;
        for (int i8 = 1; i8 < bArr.length; i8++) {
            byte[] bArr3 = bArr[i8];
            System.arraycopy(bArr3, 0, copyOf, length, bArr3.length);
            length += bArr3.length;
        }
        return copyOf;
    }

    @a
    public static boolean d(int[] iArr, int i7) {
        if (iArr == null) {
            return false;
        }
        for (int i8 : iArr) {
            if (i8 == i7) {
                return true;
            }
        }
        return false;
    }

    @a
    public static <T> boolean e(T[] tArr, T t7) {
        int length = tArr != null ? tArr.length : 0;
        int i7 = 0;
        while (true) {
            if (i7 >= length) {
                i7 = -1;
                break;
            } else if (z.a(tArr[i7], t7)) {
                break;
            } else {
                i7++;
            }
        }
        return i7 >= 0;
    }

    @a
    public static <T> ArrayList<T> f() {
        return new ArrayList<>();
    }

    @a
    public static <T> T[] g(T[] tArr, T... tArr2) {
        int i7;
        if (tArr == null) {
            return null;
        }
        if (tArr2 == null || tArr2.length == 0) {
            return (T[]) Arrays.copyOf(tArr, tArr.length);
        }
        T[] tArr3 = (T[]) ((Object[]) Array.newInstance(tArr2.getClass().getComponentType(), tArr.length));
        if (tArr2.length == 1) {
            i7 = 0;
            for (T t7 : tArr) {
                if (!z.a(tArr2[0], t7)) {
                    tArr3[i7] = t7;
                    i7++;
                }
            }
        } else {
            int i8 = 0;
            for (T t8 : tArr) {
                if (!e(tArr2, t8)) {
                    tArr3[i8] = t8;
                    i8++;
                }
            }
            i7 = i8;
        }
        if (tArr3 == null) {
            return null;
        }
        return i7 != tArr3.length ? (T[]) Arrays.copyOf(tArr3, i7) : tArr3;
    }

    @a
    public static <T> ArrayList<T> h(T[] tArr) {
        int length = tArr.length;
        ArrayList<T> arrayList = new ArrayList<>(length);
        for (T t7 : tArr) {
            arrayList.add(t7);
        }
        return arrayList;
    }

    @a
    public static int[] i(Collection<Integer> collection) {
        int i7 = 0;
        if (collection == null || collection.size() == 0) {
            return new int[0];
        }
        int[] iArr = new int[collection.size()];
        for (Integer num : collection) {
            iArr[i7] = num.intValue();
            i7++;
        }
        return iArr;
    }

    @a
    public static Integer[] j(int[] iArr) {
        if (iArr == null) {
            return null;
        }
        int length = iArr.length;
        Integer[] numArr = new Integer[length];
        for (int i7 = 0; i7 < length; i7++) {
            numArr[i7] = Integer.valueOf(iArr[i7]);
        }
        return numArr;
    }

    @a
    public static void k(StringBuilder sb, double[] dArr) {
        int length = dArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(Double.toString(dArr[i7]));
        }
    }

    @a
    public static void l(StringBuilder sb, float[] fArr) {
        int length = fArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(Float.toString(fArr[i7]));
        }
    }

    @a
    public static void m(StringBuilder sb, int[] iArr) {
        int length = iArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(Integer.toString(iArr[i7]));
        }
    }

    @a
    public static void n(StringBuilder sb, long[] jArr) {
        int length = jArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(Long.toString(jArr[i7]));
        }
    }

    @a
    public static <T> void o(StringBuilder sb, T[] tArr) {
        int length = tArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(tArr[i7].toString());
        }
    }

    @a
    public static void p(StringBuilder sb, boolean[] zArr) {
        int length = zArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append(Boolean.toString(zArr[i7]));
        }
    }

    @a
    public static void q(StringBuilder sb, String[] strArr) {
        int length = strArr.length;
        for (int i7 = 0; i7 < length; i7++) {
            if (i7 != 0) {
                sb.append(",");
            }
            sb.append("\"");
            sb.append(strArr[i7]);
            sb.append("\"");
        }
    }
}
